document.addEventListener( 'DOMContentLoaded', () => {

    // BASIC HELPERS
    // loaded here since we don't load the full library in the customizer

    var FP = FP || {};

    FP.nl2Arr = function (nl) {
        if (nl) {
            return [].slice.call(nl);
        } else {
            return false;
        }
    };

    FP.findAll = function (e, c) {
        c = c || document;
        return FP.nl2Arr(c.querySelectorAll(e));
    };

    FP.findFirst = function (e, c) {
        c = c || document;
        return c.querySelector(e);
    };

    FP.findID = function (e, c) {
        c = c || document;
        return c.getElementById(e);
    };

    FP.keepChecking = function (rule, every, until, cb, args) {
        args ? args : false;
        var timer = 0,
        stopChecking = setInterval(function () {
            if (rule()) {
                cb.call(this, args);
                clearInterval(stopChecking);
            }

            timer += every;

            if (timer == until) {
                clearInterval(stopChecking);
            }
        }, every);
    };

    // ENABLE CUSTOM CONTROLS

    function enableCustomControls() {


        // MULTI CHECKBOX
        var customMultiCheckboxes = FP.findAll( '.customize-control-multi_checkbox input[type="checkbox"]' );

        if ( customMultiCheckboxes ) {
            customMultiCheckboxes.forEach( checkbox => {

                checkbox.addEventListener( 'change', e => {

                    var control_wrapper = e.target.closest( '.customize-control' );

                    if ( control_wrapper ) {

                        var checked_fields = FP.findAll( 'input[type="checkbox"]:checked' );
                        if ( checked_fields ) {
                            var values_a = checked_fields.map( field => field.value ),
                                hidden_field = FP.findFirst( 'input[type="hidden"]', control_wrapper ),
                                change_evt = document.createEvent("HTMLEvents");
                                change_evt.initEvent("change", false, true);

                            hidden_field.value = values_a.join(',');
                            hidden_field.dispatchEvent(change_evt);
                        }
                    }
                });
            })
        }
    }

    // BIND SHOWING/HIDING COOKIE NOTICE

    function bindCooklieNoticeToggle(){

        wp.customize.previewer.bind( 'ready', function() {
            // find cookie notice section
            wp.customize.section.each( function ( section ) {
                if( section.id == 'fupi_set_cookie_notice' ){
                    // send open state to preview if the section is open at the moment
                    if ( section.expanded.get() ) { wp.customize.previewer.send( 'fupi_open_notice', true ); }
                    // bind sending section state to previewer to future opening/closing events
                    section.expanded.bind( function( expanded ) {
                        wp.customize.previewer.send( 'fupi_open_notice', expanded );
                    });
                }
            });
        } );
    }

    // wait for the preview iframe to load
    function init_all(){

        bindCooklieNoticeToggle();
        enableCustomControls();
    }

    FP.keepChecking( function () { return wp && wp.customize && wp.customize.previewer }, 100, 36000, init_all );

} );
