<?php

switch( $a['id'] ){

    // BASIC CONFIG

	case 'fupi_cook_main':

		$output = '<h3 class="fupi_title">' . esc_html__( 'Cookie notice', 'fupi' ) . '</h3>
			<p>Configure and style your cookie notice.</p>

			<div class="fupi_info_tabs">

				<button type="button" class="fupi_tab fupi_active">About</button>
				<div class="fupi_tab_content">
					<p>If you choose recommended settings this cookie notice will fully comply with the strictest privacy and cookie policies.</p>
					<ol>
						<li>Tools that don\'t use cookies and don\'t collect personally identifiable information will start tracking without waiting for consent.</li>
						<li>Other tools will start tracking visitors when they agree to cookies.</li>
					</ol>
					<p>Enable geolocation module to control how visitors are tracked in different countries.</p>
				</div>

				<button type="button" class="fupi_tab">Geolocation</button>
				<div class="fupi_tab_content">
					<p>With geolocation module you can define in which countries you want to start tracking visitors:</p>
					<ol>
						<li>after they agree to cookies,</li>
						<li>or before that - in such case they will be able to opt-out from cookies by clicking the "decline" button in the notice.</li>
					</ol>
					<p>The notice will not show up in countries that were not mentioned in any of them. Visitors in those countries will be tracked from the moment they visit the page.</p>
					<p>For example, let\'s say you chose "Nowhere" in the field "Ask visitors for cookie consent before tracking" and "ES" in the field "Start tracking when people enter the page but let them opt-out". In that case your notice will show up only in Spain (ES) and will not show up in any other country.</p>
				</div>

				<button type="button" class="fupi_tab">Consent mode</button>
				<div class="fupi_tab_content">
					<p>Attention! Due to popular demand I have added consent mode for Google\'s products - Google Analytics 4 and Google Ads. This is however NOT a compliance solution and you may breach GDPR by using it.</p>
					<p><a href="https://brianclifton.com/blog/2022/03/14/google-consent-mode-breaks-privacy-laws/" target="_blank">This article explains it in detail</a>.</p>
				</div>

				<button type="button" class="fupi_tab">Changing cookie permissions</button>
				<div class="fupi_tab_content">
					<p>If you want to comply with pivacy regulations you need to let your visitors change their cookies preferences. Add a button to your privacy policy and set its HTML class to <code>fp_show_cookie_notice</code>. When visitors click this button a screen with cookie settings will pop up.</p>
				</div>

				<button type="button" class="fupi_tab">Compatibility</button>
				<div class="fupi_tab_content">
					<p>This cookie notice is compatible with all the tools available in Full Picture and tools added via Custom Scripts module and GTM.</p>
					<p>To trigger custom scripts in GTM you need to enable an option (in GTM\'s settings) that sends to the dataLayer information when users agree or decline cookies.</p>
				</div>
			</div>';

		return $output;

	break;

	case 'fupi_cook_custom':
		return '<h3 class="fupi_title">' . esc_html__( 'Use a different cookie notice (deprecated)', 'fupi' ) . '</h3>
			<div class="fupi_info_tabs">

				<button type="button" class="fupi_tab fupi_active">This feature is deprecated</button>
				<div class="fupi_tab_content">
					<p>With the next major release of Full Picture it will no longer be possible to use a different cookie notice in place of Full Picture\'s own cookie notice.</p>
					<p>The decision to remove this feature came as a result of these things:</p>
					<ol>
						<li>It is impossible for us to force 3rd party cookie notices to hide/show depending on visitor\'s location or to work with consent mode.</li>
						<li>We will not be able to force 3rd party cookie notices to use the extra features we are planning for Full Picture\'s own cookie notice.</li>
						<li>Allowing for 3rd party custom notices added extra level of complexity to the code, making the updates very complicated and prone to errors.</li>
					</ol>
					<p>The removal of this feature will let us fully concentrate on the development of the Full Picture\'s cookie notice and make it even more powerful.</p>
				</div>
			</div>';

	break;

    default:
        return '';
    break;
};

?>
