<?php

switch( $a['id'] ){

    case 'fupi_mads_install':

        return '<h3 class="fupi_title">Installation and loading</h3>
        <div class="fupi_info_tabs">
            <button type="button" class="fupi_tab fupi_active">Installation</button>
            <div class="fupi_tab_content">
                <p>To install Microsoft Advertising on your site get your Universal Event Tracking (UET) Tag from <a href="https://ads.microsoft.com" target="_blank">your Microsoft Advertising dashboard</a>. Go to "Tools" > "Conversion Tracking" section > "UET Tag". Click "Create a UET tag" to create a new one or view existing ones in the table. Finally, paste the ID in the field below.</p>
            </div>
        </div>';

    break;

    case 'fupi_mads_events':
        return '<h3 class="fupi_title">Track user actions</h3>
        <div class="fupi_info_block" style="padding-bottom: 15px;">
            <p class="fupi_block_title">How to set it up?</p>
            <p>To track conversions and build audiences in Microsoft Advertising you need to do 2 things - set up action tracking (using the fields below) and register these actions in Microsoft Advertising dashboard. Click the button below to learn how to do this.</p>
            <button type="button" class="fupi_open_popup button">How to set it up</button>
			<div class="fupi_popup_content">
				<p>Go to MS Advertising panel, create a new conversion goal or define an audience and follow these steps (only the most important ones are written below):</p>
                <h3>If you configure a conversion goal</h3>
                <ol>
                    <li>Choose a non-commerce conversion goal category (choose "Other" if you do can\'t decide).</li>
                    <li>Choose "Event" as a "Goal type".</li>
                    <li>Specify a conversion action as a "custom event parameter" (do not specify any other parameter) and remember the name of the action.</li>
                    <li>In the "Revenue" field choose "Don\'t assign a value"</li>
                    <li>In the "Set up tagging" section choose "Yes, the UET tag was already installed[...]".</li>
                    <li>Your choice in the "Install event tag" does not make a difference.</li>
                    <li>After your conversion goal is created paste the conversion action name in the appropriate field on this page.</li>
                </ol>
                <h3>If you configure an audience</h3>
                <ol>
                    <li>Choose "remarketing list" as its type.</li>
                    <li>Select your UET tag that you created earlier.</li>
                    <li>In the "Who to add to your audience" choose "Custom events".</li>
                    <li>Only define an action. Remember the name of the action you defined.</li>
                    <li>In the "Set up tagging" section choose "Yes, the UET tag was already installed[...]" </li>
                    <li>Your choice in the "Install event tag" does not matter.</li>
                    <li>After your audience is set up paste the conversion action name in the appropriate field on this page.</li>
                </ol>
			</div>
        </div>';
    break;

	case 'fupi_mads_ecomm_pro':

        return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
        <div class="fupi_info_tabs">
            <button type="button" class="fupi_tab fupi_active">About</button>
            <div class="fupi_tab_content">
                <p>This module tracks WooCommerce purchases, checkouts, list item views, product views and additions to cart.</p>
                <p>To make this data available in MS Advertising for use in your conversion tracking and audience building you need to set up events in MS Ads dashboard. Click the button below to learn how to do this.</p>
                <button type="button" class="fupi_open_popup button">Set up events in MS Advertising panel</button>
                <div class="fupi_popup_content">
                    <p>Log in to your Microsoft Advertising panel and create a conversion goal or define an audience.</p>
                    <h3>If you configure a conversion goal:</h3>
                    <ol>
                        <li>As the "goal category" choose "Purchase", "Add to cart", "Begin Checkout" or "Other".</li>
                        <li>Choose "Event" as the "Goal type".</li>
                        <li>Specify a "conversion action":
                            <ol>
                                <li>for "Purchase" event it should equal to "woo purchase",</li>
                                <li>for "Begin checkout" event it should equal to "woo checkout",</li>
                                <li>for "Add to cart" event it should equal to "woo add to cart",</li>
                                <li>for "Other" event it should equal to "woo product view".</li>
                            </ol>
                        </li>
                        <li>In the "Revenue" field choose "Conversion value may vary".</li>
                        <li>In the "Set up tagging" section choose "Yes, the UET tag was already installed[...]".</li>
                        <li>Your choice in the "Install event tag" does not matter.</li>
                    </ol>
                    <h3>If you configure an audience</h3>
                    <ol>
                        <li>Choose "dynamic remarketing list" as its type.</li>
                        <li>Select your UET tag that you created earlier.</li>
                        <li>In the "Who to add to your audience" field you can choose either "General Visitors", "Product viewers", "Shopping cart abandoners" and "Past buyers". Full Picture sends data to MS Ads for all these groups.</li>
                    </ol>
                </div>
                <p>If you want to see and/or change how the data is tracked go to the <a href="/wp-admin/admin.php?page=full_picture_woo" target="_blank">WooCommerce tracking settings</a>.</p>
            </div>
        </div>';

	break;

    default:
        return '';
    break;
};

?>
