<?php

switch( $a['id'] ){

	// INSTALLATION

	case 'fupi_pla_install':

		return '<h3 class="fupi_title">Installation and loading</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">Installation</button>
				<div class="fupi_tab_content">
					<p>To install Plausible <a href="https://plausible.io/docs/add-website" target="_blank">register this site\'s domain in your Plausible\'s dashboard</a>.</p>
				</div>
				<button type="button" class="fupi_tab">How to bypass ad blockers</button>
				<div class="fupi_tab_content">
					<p>If you want to bypass visitor\'s ad blockers I highly recommend setting up a custom script source domain. It requires an advanced configuration but will let you track more visitors than with other tools and will give you more accurate "blind spot tracking" results.</p>
				</div>
			</div>';
	break;

	// STATS

	case 'fupi_pla_stats':
		return '<h3 class="fupi_title">Add Plausible statistics to your Wordpress admin panel</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About</button>
			<div class="fupi_tab_content">
				<p>To view Plausible statistics in your Wordpress admin simply provide the <a href="https://plausible.io/docs/shared-links" target="_blank">shared link URL</a> in the field below. You will find your statistics page under the "Dashboard" menu item. If stats don\'t show up do not set a password while generating the link!</p>
			</div>
		</div>';
	break;

	// MAIN

	case 'fupi_pla_blindspot':
		return '<h3 class="fupi_title">Blind spot tracking</h3>
			<div class="fupi_info_tabs">
				<button type="button" class="fupi_tab fupi_active">About</button>
				<div class="fupi_tab_content">
					<p>Settings below will let you track how often other tracking tools are blocked by ad-blockers or don\'t load because visitor\'s didn\'t agree to cookies.</p>
					<p>To further increase the precision and track even more visitors the source of your Plausible script needs to be proxied or self-hosted! See "Installation" section.</p>
				</div>
				<button type="button" class="fupi_tab">Set up</button>
				<div class="fupi_tab_content">
					<p><a href="https://plausible.io/docs/custom-event-goals#2-create-a-custom-event-goal-in-your-plausible-analytics-account" target="_blank">Set up goals</a> in your Plausible\'s panel and enter them in the fields below. One goal name per field.</p>
					<p>Attention! If you are NOT using a self-hosted Plausible installation tracking the events listed below will count towards your plan\'s limits</p>
				</div>
			</div>';
	break;

	// EVENT TRACKING

	case 'fupi_pla_events_2':
		return '<h3 class="fupi_title">Track what people do on your site</h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">Set up</button>
			<div class="fupi_tab_content">
				<p><a href="https://plausible.io/docs/custom-event-goals#2-create-a-custom-event-goal-in-your-plausible-analytics-account" target="_blank">Set up goals</a> in your Plausible\'s panel and enter them in the fields below. One goal name per field.</p>
				<p>Attention! If you are NOT using a self-hosted Plausible installation tracking the events listed below will count towards your plan\'s limits</p>
			</div>
		</div>';
	break;

	// E-COMMERCE TRACKING

	case 'fupi_pla_ecomm_pro':

		return '<h3 class="fupi_title"><img src="'. FUPI_URL .'/admin/settings/img/woo_fav.png" aria-hidden="true" style="vertical-align: middle;"> WooCommerce tracking is <strong style="color: green">enabled</strong></h3>
		<div class="fupi_info_tabs">
			<button type="button" class="fupi_tab fupi_active">About & setup</button>
			<div class="fupi_tab_content">
				<p>Full Picture automatically tracks WooCommerce events. Choose which ones to send to Plausible by <a href="https://plausible.io/docs/custom-event-goals#2-create-a-custom-event-goal-in-your-plausible-analytics-account" target="_blank">registering goal names</a> and pasting them in the fields below (one goal name per field).</p>
				<p>Attention! If you are NOT using a self-hosted Plausible installation tracking the events listed below will count towards your plan\'s limits</p>
			</div>
		</div>';

	break;

    default:
        return '';
    break;
};

?>
