<?php

$user_info 			= get_user_by( 'id', get_current_user_id() );

$active_page    	= sanitize_html_class( $_GET[ 'page' ] );
$active_page    	= str_replace( 'full_picture_', '', $active_page );
$active_tab   		= isset( $_GET[ 'tab' ] ) ? sanitize_html_class( $_GET[ 'tab' ] ) : false;

$fupi_tools 		= get_option('fupi_tools');
$fupi_main 			= get_option('fupi_main');
$multisite_url 		= is_multisite() ? network_home_url() : '';
$module_slug 		= '';

// Custom Scripts module
// Temporary fix to prevent double sanitizing settings
// (settings are double-sanitized when they are saved for the first time - https://core.trac.wordpress.org/ticket/21989)
if ( $active_page == 'cscr' ) {
    // Prevents double-encoding HTML entities (which makes them unusable)
    $fupi_cscr = get_option('fupi_cscr');
    if ( empty($fupi_cscr) ) add_option('fupi_cscr', array());
}

?>

<div id="fupi_content" class="wrap <?php echo ' fupi_page_' . $active_page; ?>" data-licence="<?php echo $this->licence; ?>" data-msurl="<?php echo $multisite_url; ?>" data-page="<?php echo $active_page;?>" data-step="0">

    <h1></h1>
    <?php settings_errors(); ?>

    <?php if ( ! empty( $this->tools ) ) { ?>
        <a id="feedback_button" href="https://fullpictureplugin.com/user-feedback/?utm_source=useradmin&utm_medium=settings&utm_campaign=feedback_link" target="_blank"><span>Feedback</span></a>
    	<aside id="fupi_top_bar">
            <div>
                <?php // <a id="fp_tutorials_top_btn" class="button button-secondary" href="/wp-admin/admin.php?page=full_picture_tuts"><i class="dashicons dashicons-youtube" style="vertical-align: middle; position: relative; bottom: 2px;"></i> Video tutorials</a> ?>
                <a id="fp_tutorials_top_btn" class="button button-secondary fupi_vid_link fupi_vid" href="https://www.youtube.com/watch?v=M_YKS1nc2hk" data-srcid="M_YKS1nc2hk"><i class="dashicons dashicons-youtube" style="vertical-align: middle; position: relative; bottom: 2px;"></i> <span>First steps</span></a>
        		<a class="button button-secondary" href="https://fullpictureplugin.com/support/documentation/?utm_source=useradmin&utm_medium=settings&utm_campaign=docs_link" target="_blank"><?php esc_html_e('Documentation', 'fupi'); ?></a>
        		<?php if ( fupi_fs()->is_not_paying() ) { ?>
        				<a class="button button-secondary" href="https://wordpress.org/support/plugin/full-picture-analytics-cookie-notice/" target="_blank"><?php esc_html_e('Support', 'fupi'); ?></a>
        		<?php } else { ?>
        				<a class="button button-secondary" href="https://fullpictureplugin.com/contact/?utm_source=useradmin&utm_medium=settings&utm_campaign=support_link" target="_blank"><?php esc_html_e('Support', 'fupi'); ?></a>
        		<?php }
                if ( fupi_fs()->is_not_paying() ) { ?>
                    <a class="button button-primary" href="https://fullpictureplugin.com/pricing/?utm_source=useradmin&utm_medium=settings&utm_campaign=pricing_link" target="_blank">PRO Pricing</a>
                <?php }
                /*
                    if ( fupi_fs()->is_not_paying() ) {
        				if ( fupi_fs()->is_trial_utilized() ) { ?>
        					<a class="button button-primary" href="/wp-admin/admin.php?page=full_picture_tools-pricing" target="_blank">Get Full Picture Premium</a>
        				<?php } else { ?>
        					<a class="button button-primary" href="/wp-admin/admin.php?page=full_picture_tools-pricing&trial=true" target="_blank">Try Full Picture Premium for FREE</a>
        			<?php }
        		} */
                ?>
            </div>
            <p id="fupi_top_info">
                Development time: <strong>2450+ hours</strong> | Please, help me grow this plugin by <a href="https://fullpictureplugin.com/user-feedback/?utm_source=useradmin&utm_medium=settings&utm_campaign=feedback_link" target="_blank">sending feedback</a> or <a href="https://wordpress.org/support/plugin/full-picture-analytics-cookie-notice/reviews/#new-post">leaving a good review</a>. Thank you :)
            </p>
    	</aside>
    <?php }; ?>

    <div id="fupi_main" class="fupi_pro_hide">

        <?php if ($active_page != 'tools') { ?>
            <div id="fupi_page_nav" ><div id="fupi_side_menu" role="link"></div></div>
        <?php };?>

        <div id="fupi_main_col">

            <div id="fupi_page_title_wrap" >
				<h2 id="fupi_page_title"><?php echo esc_html( get_admin_page_title() ); ?></h2>
			</div>

			<?php $active_slug = empty( $active_tab ) ? $active_page : $active_tab; ?>

            <form id="fupi_settings_form" data-activetab="<?php echo $active_slug ?>" action="options.php" method="post">
                <?php

                    settings_fields( 'fupi_' . $active_slug );
                    do_settings_sections( 'fupi_' . $active_slug ); ?>

					<?php if ( $active_page != 'tuts' ) { ?>

						<div id="fupi_form_buttons_wrap"><?php

                            echo '<p id="fupi_cancel_btn_wrap">
                                <button type="button" id="fupi_cancel_btn" class="button button-secondary">
                                    ' . esc_attr__('Cancel', 'fupi') . ' <span class="dashicons dashicons-no-alt"></span>
                                </button>
                            </p>

                            <p id="fupi_prev_btn_wrap">
                                <button type="button" id="fupi_prev_btn" class="button button-secondary">
                                    <span class="dashicons dashicons-arrow-left-alt2"></span> ' . esc_attr__('Previous', 'fupi') .
                                '</button>
                            </p>

                            <p id="fupi_next_btn_wrap">
                                <span class="fupi_select_modules_text">' . esc_attr__('Please select some tools to continue','fupi') . '</span>
                                <button type="button" id="fupi_next_btn" class="button button-secondary">' .
                                    esc_attr__('Next', 'fupi') . ' <span class="dashicons dashicons-arrow-right-alt2"></span>
                                </button>
                            </p>

                            <p id="fupi_add_tools_btn_wrap">
                                <button type="button" id="fupi_add_tools_btn" class="button button-primary">
                                    ' . esc_attr__('Add / Remove Modules', 'fupi') . ' <span class="dashicons dashicons-admin-plugins"></span></span>
                                </button>
                            </p>';

							submit_button();

							if ( $this->licence == 'free' || $this->licence == 'lite' ){ ?>
				                <div id="fupi_show_pro">
				                    <span id="fupi_show_pro_title"><?php esc_html_e('Show premium settings', 'fupi'); ?></span>
				                    <label class="fupi_switch"><input type="checkbox" id="fupi_show_pro_switch"/><span class="fupi_slider"></span></label>
				                    <div class="fupi_tooltip"><span class="dashicons dashicons-editor-help"></span><span class="fupi_tooltiptext"><?php esc_html_e('Show settings that are available in Lite and PRO versions', 'fupi'); ?></span></div>
				                </div>
							<?php }; ?>
						</div>

					<?php };

                    if ( isset( $fupi_main['debug'] ) && $fupi_main['debug'] == 1 ) {
                        // echo '<div id="fupi_option_debug_box"><p>Option name: fupi_versions</p>';
                        // print "<pre>";
                        // print_r(get_option('fupi_versions'));
                        // print "</pre></div>";
                        echo '<div id="fupi_option_debug_box"><p>Option name: fupi_'. $active_slug .'</p>';
                        print "<pre>";
                        print_r(get_option('fupi_' . $active_slug));
                        print "</pre></div>";
                    }
                ?>
            </form>
        </div>
    </div>
</div>
