(() => {

	// CONDITIONS
	// toggle fields that can be conditionally toggled

	let condition_fields = FP.findAll( '.fupi_condition:not(.fupi_premium)' ),
		fupi_content_el = FP.findID('fupi_content');

	if ( condition_fields.length > 0 ) {

		condition_fields.forEach( field => {

			// after pageload
			sync_settings( field );

			// after click
			field.onclick = (e) => { sync_settings( field ); };

			// on key up
			field.onkeyup = (e) => { sync_settings( field ); }
		})
	};


	function sync_settings( field ) {

		let field_type = field.getAttribute('type') || field.tagName.toLowerCase(),
			table_rows = FP.findAll('.' + field.dataset.target),
			val = false;

		switch (field_type) {

			case 'checkbox':
				toggle_rows(table_rows, field.checked);
			break;

			case 'number':
				val = field.value != 0 ? true : false;
				toggle_rows(table_rows, val);
			break;

			case 'text':
			case 'textarea':
				val = !!field.value;
				toggle_rows(table_rows, val);
			break;

			case 'select' :
				val = field.value;
				toggle_rows(table_rows, val, 'select');
			break;

		}
	}

	function toggle_rows( table_rows, val, field_type ) {

		table_rows.forEach( row => {

			if ( ! row.classList.contains('fupi_premium') ) {

				let inputs = FP.findAll( 'input, textarea, select', row );

				if ( field_type != 'select' ) {

					let enabled = val;
					enabled ? row.classList.remove( 'fupi_disabled' ) : row.classList.add( 'fupi_disabled' ); // toggle class on table row

					// toggle state of inputs
					if ( inputs.length > 0) {
						inputs.forEach( input => {
							input.disabled = ! enabled;
						})
					}

				} else {

					if ( row.classList.contains('fupi_cond_val_' + val ) ) {
						row.classList.remove( 'fupi_disabled' );
						inputs.forEach( input => input.disabled = false )
					} else {
						row.classList.add( 'fupi_disabled' );
						inputs.forEach( input => input.disabled = true )
					}
				}
			}
		})
	}

})();
