;(()=>{
	/*
	// shows notifications about possible issues with certain location choices in cookie notice settings

	let show_in_country = FP.findID('fupi_cook[show_notice]'),
		require_in_country = FP.findID('fupi_cook[enable_scripts_after]');

	function display_warning( message ){
		 [require_in_country].forEach( select => {
		 	let wrap = select.closest('td'),
				warning = FP.findFirst( '.fupi_cookie_country_warning', wrap );

			if ( warning ){
				if ( ! message ){
					FP.remove( warning );
				} else {
					warning.textContent = message;
				}
			} else {
				if ( message ) wrap.insertAdjacentHTML( 'beforeend', '<p class="fupi_cookie_country_warning">' + message + '</p>' );
			}

		 });
	};

	function show_warnings(){
		if ( show_in_country.value == 'in_countries' ){
			switch (require_in_country.value) {
				case 'consent':
					display_warning('Attention! You chose to show cookie notice only in specific countries but require cookie consent in ALL countries. This means that visitors from countries where chookie notice doesn\'t show won\'t have a chance to agree to cookies and will NEVER be tracked.');
				break;
				case 'auto':
					display_warning('Attention! If the list of countries in which you show cookie notice does not contain countries where cookie consent is required for tracking some of your visitors will NEVER be tracked.');
				break;
				case 'choice':
					display_warning('Attention! You chose to show cookie notice and require consent before tracking in specific countries. Please make sure that the second list of countries contains only countries listed in the first one. Otherwise some visitors will never see the notice and won\'t be tracked.');
				break;
				default:
					display_warning(false);
			}
		} else {
			display_warning(false);
		}
	}


	if ( show_in_country && require_in_country ) {

		show_warnings();

		show_in_country.addEventListener( 'change', e=>{
			show_warnings();
		} )

		require_in_country.addEventListener( 'change', e=>{
			show_warnings();
		} )
	}
	*/

	function remove_errors(){

		FP.findAll('.fupi_error_notice.fupi_active').forEach( err_notice => {
			err_notice.classList.remove('fupi_active');
		} );

		FP.findAll('.fupi_field_error').forEach( sel => {
			sel.classList.remove('fupi_field_error');
		} )
	}

	function check_countries_for_duplicates( once ){

		let optin_field = FP.findID( 'fupi_cook[optin_countries]' ),
			optout_field = FP.findID( 'fupi_cook[optout_countries]' );

		[optin_field, optout_field].forEach( field =>{

			field.addEventListener('keyup', e => {

				let in_str = optin_field.value;
				in_str = in_str.replace(' ', '');
				let in_arr = in_str.split(',');


				let out_str = optout_field.value;
				out_str = out_str.replace(' ', '');
				let out_arr = out_str.split(',');

				let arrays_have_common_elements = in_arr.filter(in_val => out_arr.includes(in_val));
				console.log(in_arr, out_arr, arrays_have_common_elements);

				if ( arrays_have_common_elements.length > 0 ) {

					field.classList.add('fupi_field_error');

					let err_notice = FP.findFirst( '.fupi_error_notice', field.closest('tr') );
					if ( err_notice ) err_notice.classList.add('fupi_active');

				} else {
					remove_errors();
				}

			})
		})
	};

	let optin_select = FP.findID('fupi_cook[optin]');

	if ( optin_select ){

		let optout_select = FP.findID('fupi_cook[optout]');

		// check for errors when people select from dropdowns
		[optin_select, optout_select].forEach( sel => {

			sel.addEventListener('change', ()=>{

				remove_errors();

				if ( optin_select.value == 'all' && optout_select.value == 'specific' ) {

					let notice = FP.findFirst('.fupi_countries_error', sel.closest('tr'));

					notice.classList.add('fupi_active');
					sel.classList.add('fupi_field_error');

				} else if ( optin_select.value == 'none' && optout_select.value == 'none' ) {

					let notice = FP.findFirst('.fupi_countries_error_3', sel.closest('tr'));
					
					notice.classList.add('fupi_active');
					sel.classList.add('fupi_field_error');

				} else if ( optin_select.value == 'specific' && optout_select.value == 'specific' ) {

					check_countries_for_duplicates(true);

				}
			})

		})

		// Check for errors when people enter countries in the list
		check_countries_for_duplicates();
	}
})();
