(() => {

	// DISABLE SETTINGS NOT AVAILABLE FOR USERS ON CERTAIN PLANS

	let fupi_content_el = FP.findID('fupi_content');

	if ( fupi_content_el ){

		let settings_fields = [],
			settings_descr = [];

		switch ( fupi_content_el.dataset.licence ) {

			// disable all premium settings for FREE
			case 'free':
				settings_fields = FP.findAll('.fupi_lite input, .fupi_lite textarea, .fupi_lite select, .fupi_pro input, .fupi_pro textarea, .fupi_pro select');
				settings_descr = FP.findAll('.fupi_section_descr.fupi_lite, .fupi_section_descr.fupi_pro');
			break;

			// disable PRO settings for LITE
			case 'lite':
				settings_fields = FP.findAll('.fupi_pro input, .fupi_pro textarea, .fupi_pro select, .fupi_section_descr.fupi_pro');
				settings_descr = FP.findAll('.fupi_section_descr.fupi_pro');
			break;
		}

		if ( settings_fields.length == 0 ){
			let pro_switch = FP.findID('fupi_show_pro');
			if ( pro_switch ) pro_switch.style.display = "none";
		} else {
			settings_fields.forEach( field => {
				let wrap = field.closest('tr');

				field.disabled = true;
				wrap.classList.remove('fupi_pro');
				wrap.classList.remove('fupi_lite');
				wrap.classList.add('fupi_premium');
				wrap.classList.add('fupi_disabled');
			});
		}

		settings_descr.forEach( descr => {
			descr.classList.remove('fupi_lite');
			descr.classList.remove('fupi_pro');
			descr.classList.add('fupi_premium');
		} )
	}
})();
