// CREATE LINKS TO SECTIONS (IN SIDEBAR)

(() => {

	let fupi_settings_form 	= FP.findID('fupi_settings_form'),
		fupi_admin_page 	= FP.getUrlParamByName('page'),
		wp_menu_items 		= FP.findAll('#toplevel_page_full_picture_tools ul.wp-submenu a'),
		headlines 			= FP.findAll( '#fupi_settings_form h2' ),
		side_nav_wrap 		= FP.findID('fupi_side_menu');

	function add_menu_items(){

		let non_fupi_link 		= false,
			is_main 			= false;

		wp_menu_items.forEach( ( wp_menu_item, i ) => {

			let is_current_page = wp_menu_item.classList.contains('current'),
				output = '';

			// add <hr> above the first of the general settings page links
			if ( ! is_main && ( wp_menu_item.href.indexOf('_main') != -1 || wp_menu_item.href.indexOf('_woo') != -1 ) ) {
				is_main = true;
				output += '<hr>';
			}

			// add <hr> above the first freemius page link
			if ( wp_menu_item.href.indexOf('full_picture_tools-') != -1 && ! non_fupi_link ) {
				is_main = false; // this removes the addition of the "cog" icon later
				non_fupi_link = true;
				output += '<hr>';
			}

			// add submenu
			if ( is_current_page ) {
				output += '<div id="fupi_side_sub_nav">' + '<div id="fupi_nav_page_title">' + wp_menu_item.innerText + '</div>';

				if ( wp_menu_item.href.indexOf('tools') == -1 ) {
					output += add_sub_items();
				}

				output += '</div>';

			// add link to top page
			} else {
				output += '<a href="' + wp_menu_item.href + '" class="fupi_nav_page_link"><span>' + wp_menu_item.innerText + ' </span></a>';
			}

			output += '</div>';

			// line after "modules"
			if ( i == 0 ){
				output += '<hr>';
			}

			side_nav_wrap.insertAdjacentHTML('beforeend', output );

		})
	}

	function add_sub_items(){

		if ( headlines.length > 1 ) {

			let active_nav_tab = FP.findFirst('.nav-tab-active'),
				section_links = '',
				active_tab = fupi_settings_form.dataset.activetab,
				is_pro_code = ! FP.findID('fupi_show_pro');

			headlines.forEach( ( headline, i ) => {

				let h_txt = headline.innerText,
					current_class = i == 0  ? 'active' : '',
					show = true;

				// hide sections marked with "*" when they have no fields
				if ( h_txt.indexOf('*') != -1 ){

					// remove "*" from section\'s title
					h_txt = h_txt.replace('*','');
					headline.innerText = h_txt;

					// check if the section has no fields
					show = ( headline.nextElementSibling && headline.nextElementSibling.tagName == 'TABLE' ) || ( headline.nextElementSibling.nextElementSibling && headline.nextElementSibling.nextElementSibling.tagName == 'TABLE' );
				}

				if ( show ) {
					section_links += '<button type="button" data-target="hook_' + active_tab + '_' + i + '" class="fupi_nav_section_btn ' + current_class + '"><span>' + h_txt + '</span></button>';
					headline.setAttribute( 'id', 'hook_' + active_tab + '_' + i );
					headline.classList.add( 'fupi_hook', 'fupi_el');
				}

			});

			return section_links;

		} else {
			return '';
		}
	}

	function enable_sections_toggle(){

		// headlines = FP.findAll('#fupi_settings_form h2');
		let fupi_page_nav_links = FP.findAll('#fupi_page_nav .fupi_nav_section_btn:not(.fupi_never_active)');

		// make 1st section visible & unhide form
		if ( headlines.length > 1 ) show_section( headlines[0].id ); // show first section
		// if ( fupi_settings_form ) fupi_settings_form.classList.remove('fupi_hidden');

		// add events to links that add a target to url & show sections
		if ( fupi_page_nav_links.length > 1 ) {

			fupi_page_nav_links.forEach( link => {
				link.addEventListener( 'click', () => {
					if ( ! link.classList.contains('active') ) {
						FP.findFirst('#fupi_page_nav .fupi_nav_section_btn.active').classList.remove('active');
						let hook = link.dataset.target;
						show_section( hook );
					}
				} )
			} )
		}
	}

	function show_section( hook ) {

		let section_elements 	= FP.findAll( '.fupi_el, .form-table' ),
			pseudo_link 		= FP.findFirst( '.fupi_nav_section_btn[data-target="' + hook + '"]' );

		// hide all sections
		section_elements.forEach( element => element.classList.add('fupi_hidden'));

		// show chosen section
		FP.findAll('#' + hook + ', #' + hook + '+*, #' + hook + '+*+table').forEach( element => element.classList.remove('fupi_hidden'));

		// add class to current pseudo link
		pseudo_link.classList.add('active');
	}

	if ( fupi_admin_page && fupi_admin_page != 'full_picture_tools' && fupi_settings_form) {
		add_menu_items();
		enable_sections_toggle();
	};

})();
