
(()=>{

	// VIDEO POPUP

	function create_popup(){

		if ( !FP.findID('fupi_popup') ){
			FP.findID('fupi_content').insertAdjacentHTML('afterend', '<div id="fupi_popup"><div id="fupi_popup_overlay"></div><div class="fupi_inner"><button type="button" id="fupi_close_popup_btn">&times;</button><div class="fupi_content"></div></div></div>');
		}
	}

	function add_content_to_popup( btn, is_video ){

		// if the user clicked a video link add to the popup only the video
		if ( is_video ){
			let current_vid = FP.findFirst('#fupi_popup .fupi_content iframe'),
				vid_src = 'https://www.youtube-nocookie.com/embed/' + btn.dataset.srcid;

			if ( !current_vid || current_vid.src != vid_src ) {
				FP.findFirst('#fupi_popup .fupi_content').innerHTML = '<div class="fupi_video"><iframe width="560" height="315" src="' + vid_src + '" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe><div>'
			}

		// if the user clicked a popup btn add to the popup all required data (and init a video if there is one)
		} else {
			let popup_content = btn.nextElementSibling;
			if ( popup_content.classList.contains( 'fupi_popup_content' ) ) {
				FP.findFirst('#fupi_popup .fupi_content').innerHTML = popup_content.innerHTML;
			}
		}

	}

	function show_popup(){
		FP.findID('fupi_popup').classList.remove('fupi_hidden');
	}

	function hide_popup(){
		FP.findID('fupi_popup').classList.add('fupi_hidden');
	}

	function add_once_close_listeners(){
		if ( ! FP.findID('fupi_popup').classList.contains('fupi_close_listeners_added') ) {
			FP.findID('fupi_popup').classList.add('fupi_close_listeners_added');
			FP.findID('fupi_close_popup_btn').addEventListener( 'click', e => { hide_popup() });
		}
	}

	FP.findAll('a.fupi_vid').forEach( btn => {
		btn.addEventListener( 'click', e => {
			FP.updateViewportDimensions();
			if ( FP.v.viewport.width > 600 && FP.v.viewport.height > 450 )  {
				e.preventDefault();
				create_popup();
				add_content_to_popup( btn, true );
				show_popup();
				add_once_close_listeners();
			}
		});
	})

	FP.findAll('.fupi_open_popup').forEach( btn => {
		btn.addEventListener( 'click', e => {
			create_popup();
			add_content_to_popup( btn, false );
			show_popup();
			add_once_close_listeners();
		})
	});

})();
/*
(()=>{

	// SHOW "FIRST STEPS" VIDEO AFTER PLUGIN ACTIVATION

	if ( FP.getUrlParamByName('intro') == 'true' && ! FP.findID('setting-error-settings_updated') ){
		let intro_link = FP.findID('fupi_intro_vid_link')
		if ( intro_link ) intro_link.click();
	}
})();
*/
