(()=>{

	// TOGGLE VISIBILITY OF PREMIUM SETTINGS

	let show_pro_switch = FP.findID('fupi_show_pro_switch'),
		fupi_main_wrap = FP.findID('fupi_main');

	function hideSideLink(h){
		var side_link = FP.findFirst('.fupi_nav_section_btn[data-target="' + h.id + '"]');
		side_link.classList.add('fupi_hidden');
	}

	function hide_premium_settings(){

		FP.deleteCookie( 'fupi_show_pro' );

		// hide all premium settings with CSS
		fupi_main_wrap.classList.add('fupi_pro_hide');

		// hide settings tables, descriptions and side nav links

		// get headings of all settings sections
		let section_headings = FP.findAll('#fupi_settings_form h2.fupi_hook'),
			active_is_closed = false;

		// for each heading
		section_headings.forEach( h => {


			let descr = h.nextElementSibling, // always exists since it contains the h3 with section title
				table = descr.nextElementSibling.classList.contains('form-table') ? descr.nextElementSibling : false,
				is_all_premium = descr.classList.contains('fupi_premium'),
				is_descr_hidden = descr.classList.contains('fupi_hidden');

			// if the descr is marked as premium then all the content is in the section is premium
			if ( is_all_premium ) {
				hideSideLink(h);
				if ( ! is_descr_hidden ) active_is_closed = true; // mark that the content that the user was looking at was closed
				descr.classList.add('fupi_hidden');
				if (table) table.classList.add('fupi_hidden');
			} else {
				if (table) {
					// get all non-premium fields
					let not_premium_tr = FP.findAll('tr:not(.fupi_premium)', table);
					// if we have no such fields
					if ( not_premium_tr.length == 0 ) {
						hideSideLink(h);
						if ( ! is_descr_hidden ) active_is_closed = true;  // mark that the content that the user was looking at was closed
						descr.classList.add('fupi_hidden');
						if (table) table.classList.add('fupi_hidden');
					}
				}
			}
		})

		// if the section that the user was looking at was hidden
		if ( active_is_closed ) {

			// get first heading's id
			let hook = section_headings[0].id;

			// hide active from the side link
			FP.findFirst('.fupi_nav_section_btn.active').classList.remove('active');

			// make the first side link active
			FP.findFirst('.fupi_nav_section_btn').classList.add('active');

			// show content of the first section
			FP.findAll('#' + hook + ', #' + hook + '+*, #' + hook + '+*+table').forEach( element => element.classList.remove('fupi_hidden'));
		}
	}

	function show_premium_settings(){

		FP.setCookie( 'fupi_show_pro', true, 365 );

		let disabled_sidelinks = FP.findAll('.fupi_nav_section_btn.fupi_hidden');

		disabled_sidelinks.forEach( section => section.classList.remove('fupi_hidden') );
		fupi_main_wrap.classList.remove('fupi_pro_hide');
	}

	if ( show_pro_switch ) {

		// toggle PRO features after click
		show_pro_switch.addEventListener( 'change', e => e.target.checked ? show_premium_settings() : hide_premium_settings() )

		// toggle PRO features after load
		FP.readCookie('fupi_show_pro') ? show_pro_switch.click() : hide_premium_settings();
	}

})();
