// FILTER THE LIST OF TOOLS

(() => {

	function add_event_to_filter() {

		// FITLER TOOLS BY TYPE

		let select_filter = FP.findFirst('#fupi_tools_filter select');

		select_filter.addEventListener('change', e => {

			let choice = e.target.value,
				tools = FP.findAll('.fupi_tools_list .fupi_tag');

			if ( !!choice ){

				let chosen_tools = FP.findAll('.fupi_tools_list .'+ choice);

				tools.forEach( tool => {
					tool.style.display = "none";
				});

				chosen_tools.forEach( chosen_tool => {
					chosen_tool.style.display = "table-row";
				})
			} else {
				tools.forEach( tool => {
					tool.style.display = "table-row";
				})
			}
		});

		// FILTER TOOLS BY COOKIE USAGE

		let nocookie_switch = FP.findID('fupi_show_nocookie_tools_switch');

		// toggle tools after click

		nocookie_switch.addEventListener( 'click', e => {

			if ( e.target.checked ) {
				document.body.classList.add('fupi_cookie_tools_hidden');
			} else {
				document.body.classList.remove('fupi_cookie_tools_hidden');
			}
		})

		// FILTER FREE TOOLS

		let freetols_switch = FP.findID('fupi_show_free_tools_switch');

		// toggle tools after click

		freetols_switch.addEventListener( 'click', e => {

			if ( e.target.checked ) {
				document.body.classList.add('fupi_free_tools_hidden');
			} else {
				document.body.classList.remove('fupi_free_tools_hidden');
			}
		})

		// FILTER TOOLS BY DASHBOARD STATS

		let admindash_switch = FP.findID('fupi_show_admindash_tools_switch');

		// toggle tools after click

		admindash_switch.addEventListener( 'click', e => {

			if ( e.target.checked ) {
				document.body.classList.add('fupi_admindash_tools_hidden');
			} else {
				document.body.classList.remove('fupi_admindash_tools_hidden');
			}
		})
	}

	if ( FP.findID('fupi_tools_filter') ) {
		add_event_to_filter();
	}
})();
