<?php

$output = array();

if ( ! $input) return $output;

foreach( $input as $key => $value ) {

	$clean_key = sanitize_key( $key );

	if( ! empty( $value ) ) {

		switch ($clean_key) {
			case 'tag_affiliate':
			case 'tag_elems':
			case 'tag_forms':
			case 'tag_views':
				$clean_val = trim( sanitize_textarea_field( $value ) );
				break;
			case 'id':
			case 'tag_file_downl':
				$clean_val = trim( sanitize_text_field( $value ) );
				break;
			case 'tag_cf':

				$clean_val = [];

				if ( is_array($value) ){

					$i = 0;

					foreach( $value as $section ){
						if ( empty( $section['id'] ) || empty( $section['name'] ) ) continue;
						$clean_val[$i]['id'] = sanitize_key( $section['id'] );
						$clean_val[$i]['name'] = trim( sanitize_text_field( $section['name'] ) );
						$i++;
					}
				};

				break;
			case 'limit_country':

				$clean_val = [];

				if ( is_array( $value ) && ! empty( $value['method'] ) && ! empty( $value['countries'] ) ) {
					$clean_val['method'] = sanitize_key( $value['method'] );
					$clean_val['countries'] = trim( sanitize_text_field( $value['countries'] ) );
				};

				break;
			default:
				$clean_val = strip_tags( stripslashes( $value ) );
				break;
		}

		// error_log('sanitized ' . $clean_key . ' value: ' . json_encode($clean_val) );

		if ( ! empty( $clean_val ) && ! empty ( $clean_key ) ) $output[$clean_key] = $clean_val;
	}
}

return $output;
?>
