<?php

$output = array();
if ( ! $input) return $output;

foreach( $input as $key => $value ) {

	$clean_key = sanitize_key( $key );

	if( ! empty( $value ) ) {

		switch ($clean_key) {
			case 'show_to_countries':
			case 'custom_agree_cookies_class':
			case 'custom_decline_cookies_class':
			case 'custom_cookies_settings_class':
			case 'iframe_img':
			case 'optin_countries':
			case 'optout_countries':
				$clean_val = trim( sanitize_text_field( $value ) );
				break;
			case 'enable_scripts_after':
			case 'ipdata_api_key':
			case 'geo':
			case 'optin':
			case 'optout':
				$clean_val = sanitize_key( $value );
				break;
			case 'cf_worker_url':
				$clean_val = esc_url_raw( $value );
				break;
			case 'remember_geo':
				$clean_val = (int) $value;
				break;
			default:
				if ( ! is_array( $value ) ){
					$clean_val = strip_tags( stripslashes( $value ) );
				}
				break;
		}

		// error_log('sanitized ' . $clean_key . ' value: ' . json_encode($clean_val) );

		if ( ! empty( $clean_val ) && ! empty ( $clean_key ) ) $output[$clean_key] = $clean_val;
	}
}

return $output;
?>
