<?php

$output = array();
if ( ! $input) return $output;

foreach( $input as $key => $value ) {

	$clean_key = sanitize_key( $key );

	if( ! empty( $value ) ) {

		$clean_val = [];

		switch ($clean_key) {
			default:
				if ( is_array($value) ){

					$i = 0;

					foreach( $value as $section ){

						if ( empty( $section['scr'] ) || empty( $section['id'] ) ) continue;

						$clean_val[$i]['name'] = trim( sanitize_text_field( $section['name'] ) );

						$section['scr'] = preg_replace("/<.*?script.*?>/", '', $section['scr']);
						$section['scr'] = trim($section['scr']);
						$clean_val[$i]['scr'] = htmlentities( $section['scr'], ENT_QUOTES );

						$clean_val[$i]['id'] = sanitize_key( $section['id'] );
						if ( isset( $section['force_load'] ) ) $clean_val[$i]['force_load'] = '1';

						if ( ! empty( $section['stats'] ) && $section['stats'] == '1' ) $clean_val[$i]['stats'] = '1';
						if ( ! empty( $section['pers'] ) && $section['pers'] == '1' ) $clean_val[$i]['pers'] = '1';
						if ( ! empty( $section['market'] ) && $section['market'] == '1' ) $clean_val[$i]['market'] = '1';

						if ( ! empty( $section['method'] ) && ! empty( $section['countries'] ) ) {
							$clean_val[$i]['method'] = sanitize_key( $section['method'] );
							$clean_val[$i]['countries'] = trim( sanitize_text_field( $section['countries'] ) );
						}

						$i++;
					}
				};
			break;
		}

		// error_log('sanitized ' . $clean_key . ' value: ' . json_encode($clean_val) );

		if ( count( $clean_val ) > 0 && ! empty( $clean_key ) ) $output[$clean_key] = $clean_val;
	}
}

return $output;
?>
