<?php

$output = array();
if ( ! $input) return $output;

foreach( $input as $key => $value ) {

	$clean_key = sanitize_key( $key );

	if( ! empty( $value ) ) {

		switch ($clean_key) {
			case 'track_affiliate':
			case 'track_elems':
			case 'track_forms':
			case 'track_views':
				$clean_val = trim( sanitize_textarea_field( $value ) );
				break;
			case 'cross_domain':
			case 'track_file_downl':
			case 'track_scroll':
				$clean_val = trim( sanitize_text_field( $value ) );
				break;
			case 'track_dynamic_urls':
			case 'track_anchor_clicks':
				$clean_val = sanitize_key( $value );
				break;
			case 'page_id_dimens':
			case 'page_number_dimens':
			case 'author_dimens':
			case 'author_id_dimens':
			case 'post_date_dimens':
			case 'user_role_dimens':
			case 'page_lang_dimens':
			case 'tax_terms_dimens':
			case 'seo_title_dimens':
			case 'js_err_dimens':
			case 'track_engagement':
			case 'search_results_metr':
			case 'page_type_grouping':
			case 'send_impress_every':
			case 'impress_sent_limit':
			case 'send_impress_wait':
				$clean_val = (int) $value;
				break;
			case 'track_cf':

				$clean_val = [];

				if ( is_array($value) ){

					$i = 0;

					foreach( $value as $section ){
						if ( empty( $section['id'] ) || empty( $section['dim'] ) ) continue;
						$clean_val[$i]['id'] = sanitize_key( $section['id'] );
						$clean_val[$i]['dim'] = (int) $section['dim'];
						$i++;
					}
				};

				break;
			case 'limit_country':

				$clean_val = [];

				if ( is_array( $value ) && ! empty( $value['method'] ) && ! empty( $value['countries'] ) ) {
					$clean_val['method'] = sanitize_key( $value['method'] );
					$clean_val['countries'] = trim( sanitize_text_field( $value['countries'] ) );
				};

				break;
			default:
				$clean_val = strip_tags( stripslashes( $value ) );
				break;
		}

		// error_log('sanitized ' . $clean_key . ' value: ' . json_encode($clean_val) );

		if ( ! empty( $clean_val ) && ! empty ( $clean_key ) ) $output[$clean_key] = $clean_val;
	}
}

return $output;
?>
