<?php

$output = array();
if ( ! $input) return $output;

foreach( $input as $key => $value ) {

	$clean_key = sanitize_key( $key );

	if( ! empty( $value ) ) {

		switch ($clean_key) {
			case 'track_affiliate':
			case 'track_elems':
			case 'track_forms':
			case 'track_views':
				$clean_val = trim( sanitize_textarea_field( $value ) );
				break;
			case 'track_scroll':
				$clean_val = trim( sanitize_text_field( $value ) );
				break;
			case 'track_cf':

				$clean_val = [];

				if ( is_array($value) ){

					$i = 0;

					foreach( $value as $section ){
						if ( empty( $section['id'] ) || empty( $section['dimname'] ) ) continue;
						$clean_val[$i]['id'] = sanitize_key( $section['id'] );
						$clean_val[$i]['dimname'] = sanitize_key( $section['dimname'] );
						$i++;
					}
				};

				break;
			case 'limit_country':

				$clean_val = [];

				if ( is_array( $value ) && ! empty( $value['method'] ) && ! empty( $value['countries'] ) ) {
					$clean_val['method'] = sanitize_key( $value['method'] );
					$clean_val['countries'] = trim( sanitize_text_field( $value['countries'] ) );
				};

				break;
			default:
				//$ret_val = apply_filters('fupi_extra_ga4_sanit', $clean_key, $value );
				$clean_val = empty( $ret_val ) ? strip_tags( stripslashes( $value ) ) : $ret_val;
				break;
		}

		// error_log('sanitized ' . $clean_key . ' value: ' . json_encode($clean_val) );

		if ( ! empty( $clean_val ) && ! empty ( $clean_key ) ) $output[$clean_key] = $clean_val;
	}
}

return $output;
?>
