<?php

$output = array();
if ( ! $input) return $output;

foreach( $input as $key => $value ) {

	$clean_key = sanitize_key( $key );

	if( ! empty( $value ) ) {

		switch ($clean_key) {
			case 'track_affiliate':
			case 'track_elems':
			case 'track_forms':
			case 'track_views':
				$clean_val = trim( sanitize_textarea_field( $value ) );
				break;
			case 'track_file_downl':
			case 'track_scroll':
			case 'id':
				$clean_val = trim( sanitize_text_field( $value ) );
				break;
			case 'track_cf':

				$clean_val = [];

				if ( is_array($value) ){

					$i = 0;

					foreach( $value as $field ){
						if ( ! empty( $field['id'] ) ) {
							$clean_val[$i]['id'] = sanitize_key( $field['id'] );
							$i++;
						}
					}
				};

				break;
			default:
				$clean_val = strip_tags( stripslashes( $value ) );
				break;
		}

		// error_log('sanitized ' . $clean_key . ' value: ' . json_encode($clean_val) );

		if ( ! empty( $clean_val ) && ! empty ( $clean_key ) ) $output[$clean_key] = $clean_val;
	}
}

return $output;
?>
