<?php

$basic_fields = array( array(
    'type'          => 'text',
    'label'         => esc_html__( 'Clarity Project ID', 'fupi' ),
    'field_id'      => 'id',
    'class'         => 'fupi_required fupi_easy',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[id]',
), array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Validation mode', 'fupi' ),
    'field_id'      => 'force_load',
    'class'         => 'fupi_sub',
    'option_arr_id' => $option_arr_id,
    'under field'   => '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
) );

if ( $this->cook_enabled ) {
    $opt_fields = array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
        'field_id'      => 'disreg_cookies',
        'class'         => 'fupi_sub',
        'el_class'      => 'fupi_ext_field',
        'option_arr_id' => $option_arr_id,
        'under field'   => '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi' ) . '</p>',
    ) );
    $basic_fields = array_merge( $basic_fields, $opt_fields );
}

if ( $this->geo_enabled ) {
    $basic_fields = array_merge( $basic_fields, array( array(
        'type'          => 'r3',
        'label'         => esc_html__( 'Use Clarity only in certain countries', 'fupi' ),
        'field_id'      => 'limit_country',
        'option_arr_id' => $option_arr_id,
        'el_class'      => 'fupi_limit_country fupi_ext_field',
        'is repeater'   => false,
        'under field'   => esc_html__( 'Attention! Clarity will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation\'s settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__( 'Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
        'fields'        => array( array(
        'type'     => 'select',
        'field_id' => 'method',
        'options'  => array(
        'excl' => 'All except',
        'incl' => 'Only in',
    ),
    ), array(
        'type'        => 'text',
        'field_id'    => 'countries',
        'placeholder' => 'e.g. GB, DE, FR, AU, etc.',
    ) ),
    ) ) );
}
// TAG FIELDS
$tags_fields = array(
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Tag with clicks on outbound links', 'fupi' ),
    'field_id'      => 'tag_outbound',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
    'under field'   => esc_html__( 'Tags sessions with clicks on all links that lead to other domains. Attention! Affiliate links leading to other sites are also treated as outbound.', 'fupi' ),
),
    array(
    'type'                => 'repeater',
    'label'               => esc_html__( 'Tag with clicks on affiliate links', 'fupi' ),
    'field_id'            => 'tag_affiliate',
    'class'               => 'fupi_repeater_section fupi_lite',
    'el_data_field1_txt'  => esc_html__( 'url part, e.g. /go/', 'fupi' ),
    'el_data_field1_type' => 'url_part',
    'el_data_field1_req'  => esc_html__( 'this field is required', 'fupi' ),
    'el_data_field1_err'  => '',
    'el_data_field2_txt'  => esc_html__( 'tag name (optional)', 'fupi' ),
    'el_data_field2_req'  => '',
    'el_data_field2_err'  => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
    'option_arr_id'       => $option_arr_id,
    'label_for'           => $option_arr_id . '[tag_affiliate]',
    'under field'         => esc_html__( 'If you don\'t provide a name, a full link address will be used as a tag.', 'fupi' ),
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Tag with clicks on email and tel. links', 'fupi' ),
    'field_id'      => 'tag_email_tel',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
),
    array(
    'type'          => 'text',
    'label'         => esc_html__( 'Tag with clicks on file download links', 'fupi' ),
    'field_id'      => 'tag_file_downl',
    'class'         => 'fupi_lite',
    'placeholder'   => 'pdf, doc, docx, xls, xlsx, txt',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[tag_file_downl]',
    'under field'   => esc_html__( 'Enter coma separated list of file formats you want to track', 'fupi' ),
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Tag with anchor clicks (links that lead to elements on the same page)', 'fupi' ),
    'field_id'      => 'tag_anchor_clicks',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
),
    array(
    'type'               => 'repeater',
    'label'              => esc_html__( 'Tag with clicks on page elements', 'fupi' ),
    'field_id'           => 'tag_elems',
    'class'              => 'fupi_repeater_section',
    'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #sth img', 'fupi' ),
    'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
    'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
    'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
    'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
    'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
    'option_arr_id'      => $option_arr_id,
    'label_for'          => $option_arr_id . '[tag_elems]',
    'under field'        => esc_html__( 'Attention! If multiple selectors point at the same element only the first match will be sent', 'fupi' ),
),
    array(
    'type'               => 'repeater',
    'label'              => esc_html__( 'Tag with form submissions', 'fupi' ),
    'field_id'           => 'tag_forms',
    'class'              => 'fupi_repeater_section fupi_lite',
    'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #form_id', 'fupi' ),
    'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
    'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
    'el_data_field2_txt' => esc_html__( 'form name (required)', 'fupi' ),
    'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
    'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
    'option_arr_id'      => $option_arr_id,
    'label_for'          => $option_arr_id . '[tag_forms]',
    'under field'        => esc_html__( 'Test this feature after enabling. There are many methods of submitting forms. If tracking fails on your form, set up tagging when visitors click the "submit" button of your form.', 'fupi' ),
),
    array(
    'type'               => 'repeater',
    'label'              => esc_html__( 'Tag with when these elements become visible', 'fupi' ),
    'field_id'           => 'tag_views',
    'class'              => 'fupi_repeater_section fupi_lite',
    'el_data_field1_txt' => esc_html__( 'CSS selector e.g. .side img', 'fupi' ),
    'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
    'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
    'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
    'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
    'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
    'option_arr_id'      => $option_arr_id,
    'label_for'          => $option_arr_id . '[tag_views]',
    'under field'        => esc_html__( 'Use this function to track when elements are scrolled into the visible area of the page OR when they become visible (like popups). Elements are counted as "visible" when they are 200px inside the viewport. Each view is counted once per page view.', 'fupi' ),
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Tag with types of visited pages', 'fupi' ),
    'field_id'      => 'tag_pagetype',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Tag with authors of visited pages', 'fupi' ),
    'field_id'      => 'tag_pageauthor',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
    'under field'   => sprintf( esc_html__( 'Tracking personally identifiable information is prohibited. Enable this option only if authors\' names are their pseudonyms.', 'fupi' ), '<br><br>' ),
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Tag with visitor\'s login status and user role', 'fupi' ),
    'field_id'      => 'tag_user_role',
    'class'         => 'fupi_standard',
    'option_arr_id' => $option_arr_id,
)
);
// ALL TOGETHER
$sections = array(
    // INSTALLATION & LOADING
    array(
        'section_id'    => 'fupi_clar_install',
        'section_title' => esc_html__( 'Installation & Loading', 'fupi' ),
        'fields'        => $basic_fields,
    ),
    // TAGGING
    array(
        'section_id'    => 'fupi_clar_tags',
        'section_title' => esc_html__( 'Tagging recordings', 'fupi' ),
        'fields'        => $tags_fields,
    ),
);
// E-COMMERCE

if ( $this->is_woo_enabled ) {
    $woo_section = array( array(
        'section_id'    => 'fupi_clar_ecomm_pro',
        'section_title' => esc_html__( 'Tagging recordings with WooCommerce events', 'fupi' ),
    ) );
    $sections = array_merge( $sections, $woo_section );
}
