<?php

$cook_fields = array(
	array(
		'type'	 			=> 'button',
		'label' 			=> esc_html__( 'Customize cookie notice', 'fupi' ),
		'button_text' 		=> esc_html__( 'Customize cookie notice', 'fupi' ),
		'icon'				=> 'dashicons dashicons-admin-appearance',
		'href'				=> wp_customize_url() . '?autofocus[section]=fupi_set_cookie_notice',
		'target'			=> '_blank',
		'class'				=> 'fp_button_wrap',
		'el_class'			=> 'button button-primary fupi_customize_notice_btn',
		'field_id' 			=> 'customize_notice_btn',
		'option_arr_id'		=> $option_arr_id,
	),
);

if ( isset( $this->tools['geo'] ) ) {

	$cook_fields = array_merge( $cook_fields, array(

		// NEW FIELDS

		array(
			'type'	 			=> 'select',
			'label' 			=> esc_html__( 'Ask visitors for cookie consent before tracking', 'fupi' ),
			'field_id' 			=> 'optin',
			'el_class'			=> 'fupi_condition fupi_optin_field',
			'el_data_target'	=> 'fupi_optin_cond',
			'option_arr_id'		=> $option_arr_id,
			'options' 			=> array(
				'all'				=> esc_html__( 'In all countries', 'fupi' ),
				'none'				=> esc_html__( 'Nowhere', 'fupi' ),
				'specific'			=> esc_html__( 'In specific countries', 'fupi' ),
			),
			'default'			=> 'all',
			'under field'		=> 'Required in the EU, Mexico and Nigeria. <br><span class="fupi_error_notice fupi_countries_error">Please select different option. You cannot track visitors before and after they agree to cookies.</span>
			<span class="fupi_error_notice fupi_countries_error_3">Please select different option. If you don\'t select any countries in both fields the notice won\'t show to anybody.</span>',
		),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Chosen countries', 'fupi' ),
				'class'				=> 'fupi_sub fupi_optin_cond fupi_cond_val_specific fupi_disabled',
				'el_class'			=> 'fupi_optin_field',
				'field_id' 			=> 'optin_countries',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[optin_countries]',
				'under field'		=> 'Enter a list of 2-character <a target="_blank" href="https://www.iban.com/country-codes">country codes</a> separated by comas.</br><br>Countries which require cookie consent before tracking are: AT, BE, BG, CY, CZ, DE, DK, ES, EE, FI, FR, GB, GR, HR, HU, IE, IT, LT, LU, LV, MT, NL, PL, PT, RO, SK, SI, SE, MX, NG <br><span class="fupi_error_notice fupi_countries_error_2">You entered the same country in both fields. Choose one. You cannot track visitors before and after they agree to cookies.</span>',
			),
		array(
			'type'	 			=> 'select',
			'label' 			=> sprintf( esc_html__( 'Start tracking when people enter the page but let them opt-out', 'fupi' ), '<em>', '</em>' ),
			'field_id' 			=> 'optout',
			'el_class'			=> 'fupi_condition fupi_optout_field',
			'el_data_target'	=> 'fupi_optout_cond',
			'option_arr_id'		=> $option_arr_id,
			'options' 			=> array(
				'none'				=> esc_html__( 'Nowhere', 'fupi' ),
				'specific'			=> esc_html__( 'In specific countries', 'fupi' ),
				'rest'				=> esc_html__( 'In all the countries not mentioned above', 'fupi' ),
			),
			'default'			=> 'none',
			'under field'		=> 'Please select different countries than above. Visitors will still be able to opt-out from tracking if they decline cookies in the notice <br><span class="fupi_error_notice fupi_countries_error">Please select different option. You cannot track visitors before and after they agree to cookies.</span>
			<span class="fupi_error_notice fupi_countries_error_3">Please select different option. If you don\'t select any countries in both fields the notice won\'t show to anybody.</span>',
		),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Chosen countries', 'fupi' ),
				'class'				=> 'fupi_sub fupi_optout_cond fupi_cond_val_specific fupi_disabled',
				'el_class'			=> 'fupi_optout_field',
				'field_id' 			=> 'optout_countries',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[optout_countries]',
				'under field'		=> 'Enter a list of 2-character <a target="_blank" href="https://www.iban.com/country-codes">country codes</a> separated by comas. <br><span class="fupi_error_notice fupi_countries_error_2">You entered the same country in both fields. Choose one. You cannot track visitors before and after they agree to cookies.</span>',
			),
	) );

} else {

	$cook_fields = array_merge( $cook_fields, array(
		array(
			'type'	 			=> 'select',
			'label' 			=> esc_html__( 'Start tracking visitors', 'fupi' ),
			'field_id' 			=> 'enable_scripts_after',
			'el_class'			=> 'fupi_condition fupi_optin_field',
			'el_data_target'	=> 'fupi_optin_cond',
			'option_arr_id'		=> $option_arr_id,
			'options' 			=> array(
				'consent'			=> esc_html__( 'After visitors agree to cookies - required in the EU, Mexico and Nigeria', 'fupi' ),
				'pageload'			=> esc_html__( 'When the page loads', 'fupi' ),
			),
			'default'			=> 'optin',
			'popup'				=> '<p>This setting only applies to tracking tools that use cookies. Tools that do not use cookies will start tracking your visitors immediately after the page loads. To find if the tracking tools you use require cookies filter list of tools.</p>',
			'under field' => 'Hint. Enable geolocation module to show the notice in specific countries.'
		),
	) );
};

$cook_fields = array_merge( $cook_fields, array(
	array(
		'type'	 			=> 'toggle',
		'label' 			=> esc_html__( 'Enable consent mode in Google Analytics 4 and Google Ads', 'fupi' ),
		'field_id' 			=> 'gtag_no_cookie_mode',
		'option_arr_id'		=> $option_arr_id,
		'under field'		=> 'When consent mode is enabled GA4 and Google Ads will always load on pageload. Attention! This is NOT a compliance solution and you may be breaking GDPR rules by using it! Use with caution and only in countries where you are sure it is legal! <a href="https://brianclifton.com/blog/2022/03/14/google-consent-mode-breaks-privacy-laws/" target="_blank">This article explains it in detail</a>.',
	),
) );

// ALL TOGETHER

$sections = array(

	// COOKIE NOTICE

	array(
		'section_id' => 'fupi_cook_main',
		'section_title' => esc_html__( 'Cookie notice settings', 'fupi' ),
		'fields' => $cook_fields,
	),
	array(
		'section_id' => 'fupi_cook_custom',
		'section_title' => esc_html__( 'Use a different cookie notice (deprecated)', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'toggle',
				'label' 			=> esc_html__( 'Replace Full Picture\'s cookie notice with your own', 'fupi' ),
				'field_id' 			=> 'use_custom_notice',
				'class'				=> 'fupi_deprecated',
				'el_class'			=> 'fupi_condition',
				'el_data_target'	=> 'fupi_customcookie_cond',
				'option_arr_id'		=> $option_arr_id,
			),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'CSS selector to your cookie notice\'s "agree" button', 'fupi' ),
					'class'				=> 'fupi_sub fupi_customcookie_cond fupi_disabled fupi_deprecated',
					'field_id' 			=> 'custom_agree_cookies_class',
					'placeholder'		=> esc_html__( 'e.g.: .some-class a.btn' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[custom_agree_cookies_class]',
				),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'CSS selector to your cookie notice\'s "decline" button', 'fupi' ),
					'class'				=> 'fupi_sub fupi_customcookie_cond fupi_disabled fupi_deprecated',
					'field_id' 			=> 'custom_decline_cookies_class',
					'placeholder'		=> esc_html__( 'e.g.: .some-class a.btn' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[custom_decline_cookies_class]',
				),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'CSS selector to your cookie notice\'s "Cookie settings" button', 'fupi' ),
					'class'				=> 'fupi_sub fupi_customcookie_cond fupi_disabled fupi_deprecated',
					'field_id' 			=> 'custom_cookies_settings_class',
					'placeholder'		=> esc_html__( 'e.g.: .some-class a.btn' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[custom_cookies_settings_class]',
				),
		)
	),
);
