<?php


$scr_fields = array(
	array(
		'label'				=> 'Name displayed by [fp_info] shortcode',
		'type'				=> 'text',
		'field_id'			=> 'name',
		'placeholder'		=> 'Script name',
		'wrap_class'		=> 'fupi_col_50',
	),
	array(
		'label'				=> 'Script id',
		'type'				=> 'text',
		'field_id'			=> 'id',
		'required'			=> true,
		'wrap_class'		=> 'fupi_col_20',
	),
	array(
		'label'				=> 'Script',
		'type'				=> 'textarea',
		'field_id'			=> 'scr',
		'el_class'			=> 'fupi_textarea_with_code',
		'required'			=> true,
		'format'			=> 'htmlentities',
		'under field'		=> '<strong>Attention</strong> &lt;script> tags are automatically removed or reformatted so that the code can work. <a href="https://fullpictureplugin.com/?p=11073&utm_source=useradmin&utm_medium=settings&utm_campaign=documentation_link" target="_blank">Learn more</a>.',
	),
	array(
		'label'				=> 'Validation mode',
		'type'				=> 'toggle',
		'field_id'			=> 'force_load',
		'wrap_class'		=> 'fupi_col_20',
		'label_popup2'		=> '<p>Enable this option <strong>only</strong> if you have to validate installation of this script. Disable afterwards. This setting will force-load the script to everyone - even site administrators. By leaving it enabled you make your website not compliant with Cookie Law.</strong></p>',
	),
);

if ( $this->cook_enabled ){

	$cook_scr_fields = array(
		array(
			'label'				=> 'Select what types of cookies this script uses',
			'type'				=> 'label',
			'field_id'			=> 'types_label',
			'label_popup'		=> '<p>This information will be used to instruct cookie notice when to load this script. If you don\'t select any cookie types the script will load with pageload.</p>
			<p>The script will not load for users that were excluded from tracking by URL parameter or user role (see "General settings" page).</p>',
		),
		array(
			'label'				=> 'Statistics',
			'type'				=> 'checkbox',
			'field_id'			=> 'stats',
		),
		array(
			'label'				=> 'Personalisation',
			'type'				=> 'checkbox',
			'field_id'			=> 'pers',
		),
		array(
			'label'				=> 'Marketing',
			'type'				=> 'checkbox',
			'field_id'			=> 'market',
		),
	);

	$scr_fields = array_merge( $scr_fields, $cook_scr_fields );
}

if ( $this->geo_enabled ){

	$cook_scr_fields = array(
		array(
			'label'				=> 'Use the script only in certain countries (leave blank to disable)',
			'type'				=> 'label',
			'field_id'			=> 'countries_label',
		),
		array(
			'type'				=> 'select',
			'field_id'			=> 'method',
			'options'			=> array(
				'excl'				=> 'All except',
				'incl'				=> 'Only in',
			),
		),
		array(
			'type'				=> 'text',
			'field_id'			=> 'countries',
			'placeholder'		=> 'e.g. GB, DE, FR, AU, etc.',
		),
	);

	$scr_fields = array_merge( $scr_fields, $cook_scr_fields );
}

$sections = array(

	// HEAD SCRIPTS

	array(
		'section_id' => 'fupi_cscr_head',
		'section_title' => esc_html__( 'Head scripts', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'r3',
				'label' 			=> esc_html__( 'Head scripts', 'fupi' ),
				'field_id' 			=> 'fupi_head_scripts',
				'option_arr_id'		=> $option_arr_id,
				'class'				=> 'fupi_fullwidth_tr',
				'el_class'			=> 'fupi_r3_scr',
				'is_repeater'		=> true,
				'fields'			=> $scr_fields,
			),
		),
	),

	// FOOTER SCRIPTS

	array(
		'section_id' => 'fupi_cscr_footer',
		'section_title' => esc_html__( 'Footer scripts', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'r3',
				'label' 			=> esc_html__( 'Footer scripts', 'fupi' ),
				'field_id' 			=> 'fupi_footer_scripts',
				'option_arr_id'		=> $option_arr_id,
				'class'				=> 'fupi_fullwidth_tr',
				'el_class'			=> 'fupi_r3_scr',
				'is_repeater'		=> true,
				'fields'			=> $scr_fields,
			),
		),
	),

);

?>
