<?php

// LOADING
$basic_fields = array( array(
    'type'          => 'text',
    'label'         => esc_html__( 'Pixel ID', 'fupi' ),
    'field_id'      => 'pixel_id',
    'class'         => 'fupi_required',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[pixel_id]',
), array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Validation mode', 'fupi' ),
    'field_id'      => 'force_load',
    'class'         => 'fupi_sub',
    'option_arr_id' => $option_arr_id,
    'under field'   => '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
) );

if ( $this->cook_enabled ) {
    $opt_fields = array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
        'field_id'      => 'disreg_cookies',
        'class'         => 'fupi_sub',
        'el_class'      => 'fupi_ext_field',
        'option_arr_id' => $option_arr_id,
        'under field'   => '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi' ) . '</p>',
    ) );
    $basic_fields = array_merge( $basic_fields, $opt_fields );
}

if ( $this->geo_enabled ) {
    $basic_fields = array_merge( $basic_fields, array( array(
        'type'          => 'r3',
        'label'         => esc_html__( 'Use FB Pixel only in certain countries', 'fupi' ),
        'field_id'      => 'limit_country',
        'option_arr_id' => $option_arr_id,
        'el_class'      => 'fupi_limit_country fupi_ext_field',
        'is repeater'   => false,
        'under field'   => esc_html__( 'Attention! FB Pixel will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__( 'Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
        'fields'        => array( array(
        'type'     => 'select',
        'field_id' => 'method',
        'options'  => array(
        'excl' => 'All except',
        'incl' => 'Only in',
    ),
    ), array(
        'type'        => 'text',
        'field_id'    => 'countries',
        'placeholder' => 'e.g. GB, DE, FR, AU, etc.',
    ) ),
    ) ) );
}
// WP DATA FIELDS
$wpdata_fields = array(
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track page type', 'fupi' ),
    'class'         => 'fupi_lite',
    'field_id'      => 'track_pagetype',
    'option_arr_id' => $option_arr_id,
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track page title', 'fupi' ),
    'class'         => 'fupi_lite',
    'field_id'      => 'track_pagetitle',
    'option_arr_id' => $option_arr_id,
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track archive and page numbers', 'fupi' ),
    'class'         => 'fupi_lite',
    'field_id'      => 'track_pagenum',
    'option_arr_id' => $option_arr_id,
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track page language', 'fupi' ),
    'class'         => 'fupi_lite',
    'field_id'      => 'page_lang',
    'option_arr_id' => $option_arr_id,
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track post and page publish dates', 'fupi' ),
    'class'         => 'fupi_lite',
    'field_id'      => 'track_pobdate',
    'option_arr_id' => $option_arr_id,
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track page id', 'fupi' ),
    'class'         => 'fupi_lite',
    'field_id'      => 'track_pageid',
    'option_arr_id' => $option_arr_id,
),
    array(
    'type'           => 'toggle',
    'label'          => esc_html__( 'Track terms', 'fupi' ),
    'field_id'       => 'track_terms',
    'option_arr_id'  => $option_arr_id,
    'el_class'       => 'fupi_condition',
    'el_data_target' => 'fupi_track_terms_opts',
    'popup'          => '<p>' . esc_html__( 'Terms are used to group similar content together. For example, a blog post can have tags "pop music" and "european music" and be in a category "music". All 3 of them, that is "pop music", "european music" and "music" are terms.', 'fupi' ) . '</p>
		<p>' . esc_html__( 'You can decide what terms to track in the General Settings page.', 'fupi' ) . '</p>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Add taxonomy slug to term name', 'fupi' ),
    'field_id'      => 'add_tax_term_cat',
    'option_arr_id' => $option_arr_id,
    'class'         => 'fupi_sub fupi_track_terms_opts fupi_disabled',
    'popup'         => '<p>' . esc_html__( 'Sometimes it can be difficult to say if a term, e.g. "european music" is a tag, term or a product category. Enable this setting and this information will be sent to Facebook along with the term itself, e.g. "european music (tag)"', 'fupi' ) . '</p>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Send term names instead of term slugs', 'fupi' ),
    'field_id'      => 'send_tax_terms_titles',
    'option_arr_id' => $option_arr_id,
    'class'         => 'fupi_sub fupi_track_terms_opts fupi_disabled',
    'popup'         => '<p>' . esc_html__( 'Enable this to send term names (e.g. product category) instead of their slugs (e.g. product_category). Enabling this feature is not recommended since term names can sometimes be changed while slugs are changed only on very rare occasions.', 'fupi' ) . '</p>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track author\'s display names', 'fupi' ),
    'field_id'      => 'track_author',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
    'popup2'        => esc_html__( 'Display names are names that are displayed to visitors. Tracking personally identifiable information is against the law. Make sure that the displayed names are pseudonyms.', 'fupi' ),
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track searched phrases', 'fupi' ),
    'class'         => 'fupi_lite',
    'field_id'      => 'track_search',
    'option_arr_id' => $option_arr_id,
)
);
// ALL TOGETHER
$sections = array(
    // BASIC SETUP
    array(
        'section_id'    => 'fupi_fbp1_install',
        'section_title' => esc_html__( 'Installation', 'fupi' ),
        'fields'        => $basic_fields,
    ),
    // CLICK TRACKING
    array(
        'section_id'    => 'fupi_fbp1_clicks',
        'section_title' => esc_html__( 'Track clicks', 'fupi' ),
        'fields'        => array(
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track clicks on outbound links', 'fupi' ),
        'field_id'      => 'track_outbound',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'under field'   => esc_html__( 'Tracks clicks on all links that lead to other domains. Attention! Affiliate links leading to other sites are also treated as outbound.', 'fupi' ),
    ),
        array(
        'type'                => 'repeater',
        'label'               => esc_html__( 'Track clicks on affiliate links', 'fupi' ),
        'field_id'            => 'track_affiliate',
        'class'               => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt'  => esc_html__( 'url part, e.g. /go/', 'fupi' ),
        'el_data_field1_type' => 'url_part',
        'el_data_field1_req'  => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err'  => '',
        'el_data_field2_txt'  => esc_html__( 'name (optional)', 'fupi' ),
        'el_data_field2_req'  => '',
        'el_data_field2_err'  => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'       => $option_arr_id,
        'label_for'           => $option_arr_id . '[track_affiliate]',
        'under field'         => esc_html__( 'If you don\'t provide a name, a full link address will be visible in custom audiences\' setup form.', 'fupi' ),
    ),
        array(
        'type'          => 'text',
        'label'         => esc_html__( 'Track clicks on file download links', 'fupi' ),
        'field_id'      => 'track_file_downl',
        'class'         => 'fupi_standard fupi_lite',
        'placeholder'   => 'pdf, doc, docx, xls, xlsx, txt',
        'option_arr_id' => $option_arr_id,
        'label_for'     => $option_arr_id . '[track_file_downl]',
        'under field'   => esc_html__( 'Enter coma separated list of file formats (extensions) you want to track', 'fupi' ),
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track clicks on email and tel. links', 'fupi' ),
        'class'         => 'fupi_lite',
        'field_id'      => 'track_email_tel',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Track clicks on page elements', 'fupi' ),
        'field_id'           => 'track_elems',
        'class'              => 'fupi_repeater_section',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #sth img', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[track_elems]',
        'under field'        => esc_html__( 'Attention! If multiple selectors point at the same element only the first match will be sent', 'fupi' ),
    )
    ),
    ),
    // FORM TRACKING
    array(
        'section_id'    => 'fupi_fbp1_forms',
        'section_title' => esc_html__( 'Track forms', 'fupi' ),
        'fields'        => array( array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Track form submissions', 'fupi' ),
        'field_id'           => 'track_forms',
        'class'              => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #form_id', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'form name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[track_forms]',
        'under field'        => esc_html__( 'Test this feature after enabling. There are many methods of submitting forms. If tracking fails on your form, set up tracking clicks on "submit" button instead.', 'fupi' ),
    ) ),
    ),
    // SCROLL TRACKING
    array(
        'section_id'    => 'fupi_fbp1_scroll',
        'section_title' => esc_html__( 'Track scroll & visibility', 'fupi' ),
        'fields'        => array( array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Track when these elements become visible', 'fupi' ),
        'field_id'           => 'track_views',
        'class'              => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. .side img', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[track_views]',
        'under field'        => esc_html__( 'Use this function to track when elements are scrolled into the visible area of the page OR when they become visible (like popups). Elements are counted as "visible" when they are 200px inside the viewport. Each view is counted once per page view.', 'fupi' ),
    ), array(
        'type'           => 'text',
        'label'          => esc_html__( 'Track when visitors scroll to:', 'fupi' ),
        'field_id'       => 'track_scroll',
        'class'          => 'fupi_lite',
        'el_class'       => 'fupi_condition',
        'el_data_target' => 'fupi_track_scroll_intr',
        'placeholder'    => esc_html__( 'e.g. 25, 50, 75', 'fupi' ),
        'option_arr_id'  => $option_arr_id,
        'label_for'      => $option_arr_id . '[track_scroll]',
        'after field'    => esc_html__( '% of page height', 'fupi' ),
        'under field'    => esc_html__( 'Separate multiple values with comas. Do not use "%" symbol.', 'fupi' ),
    ) ),
    ),
    // WP DATA TRACKING
    array(
        'section_id'    => 'fupi_fbp1_wpdata',
        'section_title' => esc_html__( 'Track WP data', 'fupi' ),
        'fields'        => $wpdata_fields,
    ),
    // USER DETAILS
    array(
        'section_id'    => 'fupi_fbp1_user',
        'section_title' => esc_html__( 'Track user info', 'fupi' ),
        'fields'        => array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track login status and user role', 'fupi' ),
        'field_id'      => 'track_user_role',
        'option_arr_id' => $option_arr_id,
    ), array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track visitor\'s browser language', 'fupi' ),
        'field_id'      => 'track_lang',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ) ),
    ),
    // TRACK ENGAGEMENT TIME
    array(
        'section_id'    => 'fupi_fbp1_engage',
        'section_title' => esc_html__( 'Track user engagement', 'fupi' ),
        'fields'        => array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track how long visitors are actively engaged with the website\'s content', 'fupi' ),
        'field_id'      => 'track_engagement',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ) ),
    ),
);

if ( $this->is_woo_enabled ) {
    $woo_section = array( array(
        'section_id'    => 'fupi_fbp1_ecomm_pro',
        'section_title' => esc_html__( 'Track WooCommerce', 'fupi' ),
    ) );
    $sections = array_merge( $sections, $woo_section );
}
