<?php

// BASIC SECTION FIELDS
$basic_sect_fields = array( array(
    'type'          => 'text',
    'label'         => esc_html__( 'Measurement ID', 'fupi' ),
    'field_id'      => 'id',
    'class'         => 'fupi_required',
    'required'      => true,
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[id]',
    'placeholder'   => 'G-0000000000',
), array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Validation mode', 'fupi' ),
    'field_id'      => 'force_load',
    'class'         => 'fupi_sub',
    'option_arr_id' => $option_arr_id,
    'under field'   => '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
) );

if ( $this->cook_enabled ) {
    $opt_fields = array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
        'field_id'      => 'disreg_cookies',
        'class'         => 'fupi_sub',
        'el_class'      => 'fupi_ext_field',
        'option_arr_id' => $option_arr_id,
        'under field'   => '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi' ) . '</p>',
    ) );
    $basic_sect_fields = array_merge( $basic_sect_fields, $opt_fields );
}

if ( $this->geo_enabled ) {
    $basic_sect_fields = array_merge( $basic_sect_fields, array( array(
        'type'          => 'r3',
        'label'         => esc_html__( 'Use GA only in certain countries', 'fupi' ),
        'field_id'      => 'limit_country',
        'option_arr_id' => $option_arr_id,
        'el_class'      => 'fupi_limit_country fupi_ext_field',
        'is repeater'   => false,
        'under field'   => sprintf( esc_html__( 'Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ) . '<br>' . esc_html__( 'GA will load if visitor\'s country is not recognized.', 'fupi' ),
        'fields'        => array( array(
        'type'     => 'select',
        'field_id' => 'method',
        'options'  => array(
        'excl' => 'All except',
        'incl' => 'Only in',
    ),
    ), array(
        'type'        => 'text',
        'field_id'    => 'countries',
        'placeholder' => 'e.g. GB, DE, FR, AU, etc.',
    ) ),
    ) ) );
}
$basic_sect_fields = array_merge( $basic_sect_fields, array( array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Avoid issues when using multiple GAs on a single site', 'fupi' ),
    'field_id'      => 'cookie_prefix',
    'option_arr_id' => $option_arr_id,
    'popup'         => '<p>' . esc_html__( 'This setting prevents tracking issues with multiple Google Analytics installations on the same site. Attention! If you enable this function your returning visitors may be counted by this GA installation as new visitors. It will happen only once and cannot be avoided.', 'fupi' ) . '</p>',
) ) );
// WP DATA FIELDS
$wpdata_fields = array(
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track page type', 'fupi' ),
    'field_id'      => 'page_type',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[page_type]',
    'after field'   => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">page_type</span>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track page IDs', 'fupi' ),
    'field_id'      => 'page_id',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[page_id]',
    'after field'   => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">page_id</span>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track page numbers', 'fupi' ),
    'field_id'      => 'page_number',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[page_number]',
    'after field'   => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">page_number</span>',
    'popup'         => '<p>' . esc_html__( 'Tracks the page number of categories, tags and even posts that are broken into multiple pages', 'fupi' ) . '</p>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track post and page publish dates', 'fupi' ),
    'field_id'      => 'post_date',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[post_date]',
    'after field'   => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">post_date</span>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track visitor\'s login status and role', 'fupi' ),
    'field_id'      => 'user_role',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[user_role]',
    'after field'   => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">user_role</span>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track page language', 'fupi' ),
    'field_id'      => 'page_lang',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[page_lang]',
    'after field'   => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">page_lang</span>',
),
    array(
    'type'           => 'toggle',
    'label'          => esc_html__( 'Track terms', 'fupi' ),
    'field_id'       => 'tax_terms',
    'option_arr_id'  => $option_arr_id,
    'label_for'      => $option_arr_id . '[tax_terms]',
    'el_class'       => 'fupi_condition',
    'el_data_target' => 'fupi_tax_terms_opts',
    'popup'          => '<p>' . esc_html__( 'Terms are used to group similar content together. For example, a blog post can have tags "pop music" and "european music" and be in a category "music". All 3 of them, that is "pop music", "european music" and "music" are terms.', 'fupi' ) . '</p>
		<p>' . esc_html__( 'You can decide what terms to track in the General Settings page.', 'fupi' ) . '</p>',
    'after field'    => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">taxonomy_terms</span>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Add taxonomy slug to term name', 'fupi' ),
    'field_id'      => 'add_tax_term_cat',
    'option_arr_id' => $option_arr_id,
    'class'         => 'fupi_sub fupi_tax_terms_opts fupi_disabled',
    'popup'         => '<p>' . esc_html__( 'Sometimes it can be difficult to say if a term, e.g. "european music" is a tag, term or a product category. Enable this setting and this information will be sent to Google Analytics along with the term itself, e.g. "european music (tag)"', 'fupi' ) . '</p>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Send term names instead of term slugs', 'fupi' ),
    'field_id'      => 'send_tax_terms_titles',
    'option_arr_id' => $option_arr_id,
    'class'         => 'fupi_sub fupi_tax_terms_opts fupi_disabled',
    'popup'         => '<p>' . esc_html__( 'Enable this to send term names (e.g. product category) instead of their slugs (e.g. product_category). Enabling this feature is not recommended since term names can sometimes be changed while slugs are changed only on very rare occasions.', 'fupi' ) . '</p>',
),
    array(
    'type'           => 'toggle',
    'label'          => esc_html__( 'Show clean page titles in GA reports', 'fupi' ),
    'field_id'       => 'clean_page_title',
    'class'          => 'fupi_lite',
    'option_arr_id'  => $option_arr_id,
    'el_class'       => 'fupi_condition',
    'el_data_target' => 'fupi_seo_title',
    'popup'          => '<p>' . esc_html__( 'By default, Google Analytics takes page titles from the "title" meta tag. This is not perfect since this tag can often change (e.g. when you tweak it with an SEO plugin). The result is that your Google Analytics can show you reports where one page can have multiple entries - under different titles.', 'fupi' ) . '</p><p>' . esc_html__( 'When you enable this option, Full Picture will tell Google Analytics to always use the default title of your page. This will clean your reports and make data analysis easier.', 'fupi' ) . '</p>',
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track SEO titles', 'fupi' ),
    'field_id'      => 'seo_title',
    'class'         => 'fupi_lite fupi_sub fupi_seo_title fupi_disabled',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[seo_title]',
    'after field'   => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">seo_title</span>',
    'popup'         => '<p>' . esc_html__( 'Track SEO titles of your website\'s pages separate from your default page titles. This will make their analysis easier.', 'fupi' ),
),
    array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track author\'s display names', 'fupi' ),
    'field_id'      => 'post_author',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[post_author]',
    'after field'   => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">post_author</span>',
    'popup2'        => '<p>' . esc_html__( 'Tracking personally identifiable information is against Google\'s policy. Make sure that the displayed names are pseudonyms.', 'fupi' ) . '</p>',
)
);
// EVERYTHING TOGETHER
$sections = array(
    // INSTALLATION & LOADING
    array(
        'section_id'    => 'fupi_ga41_install',
        'section_title' => esc_html__( 'Installation & Loading', 'fupi' ),
        'fields'        => $basic_sect_fields,
    ),
    // CLICK TRACKING
    array(
        'section_id'    => 'fupi_ga41_clicks',
        'section_title' => esc_html__( 'Track clicks', 'fupi' ),
        'fields'        => array( array(
        'type'                => 'repeater',
        'label'               => esc_html__( 'Track clicks on affiliate links', 'fupi' ),
        'field_id'            => 'track_affiliate',
        'class'               => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt'  => esc_html__( 'url part, e.g. /go/', 'fupi' ),
        'el_data_field1_type' => 'url_part',
        'el_data_field1_req'  => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err'  => '',
        'el_data_field2_txt'  => esc_html__( 'name (optional)', 'fupi' ),
        'el_data_field2_req'  => '',
        'el_data_field2_err'  => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'       => $option_arr_id,
        'label_for'           => $option_arr_id . '[track_affiliate]',
        'under field'         => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">affiliate_link_click</span><br>' . esc_html__( 'If you don\'t provide a name, a full link address will be sent to Google.', 'fupi' ),
    ), array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track clicks on email and tel. links', 'fupi' ),
        'field_id'      => 'track_email_tel',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'under field'   => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">contact_click</span>',
    ), array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Track clicks on page elements', 'fupi' ),
        'field_id'           => 'track_elems',
        'class'              => 'fupi_repeater_section',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #sth img', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[track_elems]',
        'under field'        => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">element_click</span>.<br>' . esc_html__( 'If multiple selectors point at the same element only the first match will be sent', 'fupi' ),
    ) ),
    ),
    // FORM TRACKING
    array(
        'section_id'    => 'fupi_ga41_forms',
        'section_title' => esc_html__( 'Track forms', 'fupi' ),
        'fields'        => array( array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Track form submissions', 'fupi' ),
        'field_id'           => 'track_forms',
        'class'              => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #form_id', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'form name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[track_forms]',
        'under field'        => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">submitted_form</span><br><br>' . esc_html__( 'Test this feature after enabling. There are many methods of submitting forms. If tracking fails on your form track clicks on "submit" button instead.', 'fupi' ),
    ) ),
    ),
    // TRACK SCROLLS & VISIBILITY
    array(
        'section_id'    => 'fupi_ga41_scrolls',
        'section_title' => esc_html__( 'Track scrolls & visibility', 'fupi' ),
        'fields'        => array( array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Track when these elements become visible', 'fupi' ),
        'field_id'           => 'track_views',
        'class'              => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. .side img', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[track_views]',
        'under field'        => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">viewed_element</span><br><br>' . esc_html__( 'Use this function to track when elements are scrolled into the visible area of the page OR when they become visible (like popups). Elements come into view when they are 200px inside the screen. Each view is counted once per page view.', 'fupi' ),
    ), array(
        'type'           => 'text',
        'label'          => esc_html__( 'Track when visitors scroll to:', 'fupi' ),
        'placeholder'    => esc_html__( 'e.g. 25, 50, 75', 'fupi' ),
        'class'          => 'fupi_lite',
        'field_id'       => 'track_scroll',
        'el_class'       => 'fupi_condition',
        'el_data_target' => 'fupi_track_scroll_intr',
        'option_arr_id'  => $option_arr_id,
        'label_for'      => $option_arr_id . '[track_scroll]',
        'after field'    => esc_html__( '% of page height', 'fupi' ),
        'under field'    => sprintf( esc_html__( 'Separate multiple values with comas. Do not use "%%" symbol. To use this function you need to %1$sdisable automatic "scroll" tracking %2$s in GA admin panel. Only the first scroll to a specified page height triggers the event.', 'fupi' ), '<a href="https://fullpictureplugin.com/?p=2134&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link" target="_blank">', '</a>' ),
    ) ),
    ),
    // WP DATA TRACKING
    array(
        'section_id'    => 'fupi_ga41_wpdata',
        'section_title' => esc_html__( 'Track WP data', 'fupi' ),
        'fields'        => $wpdata_fields,
    ),
    // CUSTOM METRICS
    array(
        'section_id'    => 'fupi_ga41_custom_metrics',
        'section_title' => esc_html__( 'Custom metrics', 'fupi' ),
        'fields'        => array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track how long the user was actively engaged with the content', 'fupi' ),
        'field_id'      => 'track_engagement',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'label_for'     => $option_arr_id . '[track_engagement]',
        'after field'   => esc_html__( 'Custom metric name:', 'fupi' ) . ' <span style="background: #fdf3ce;">user_engagement_time</span>',
        'popup2'        => '<p>' . esc_html__( 'The event is sent before the user closes his browser. Due to multiple reasons, the data is sent about 50% of the time. To get accurate data remember not to include in your reports pageviews without this event.', 'fupi' ) . '</p>',
    ), array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track the number of search results', 'fupi' ),
        'field_id'      => 'search_results_nr',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'label_for'     => $option_arr_id . '[search_results_nr]',
        'after field'   => esc_html__( 'Custom metric name:', 'fupi' ) . ' <span style="background: #fdf3ce;">search_results_nr</span>',
    ) ),
    ),
    // OTHER TRACKING SETTINGS
    array(
        'section_id'    => 'fupi_ga41_other',
        'section_title' => esc_html__( 'Other tracking options', 'fupi' ),
        'fields'        => array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track logged-in users across devices and browsers', 'fupi' ),
        'field_id'      => 'set_user_id',
        'option_arr_id' => $option_arr_id,
        'popup2'        => '<p>' . esc_html__( 'When you enable this option Full Picture will start sending to Google Analytics IDs of logged-in users. These IDs will be used to recognize users when they log in to your site again on different devices.', 'fupi' ) . '</p><p>' . sprintf( esc_html__( 'You can learn more about it from %1$sGoogle\'s documentation%2$s.', 'fupi' ), '<a href="https://support.google.com/analytics/answer/9213390?hl=en" target="_blank">', '</a>' ) . '</p><p>' . esc_html__( 'Attention! You must add to your privacy policy information on your use of this ID.', 'fupi' ) . '</p>',
    ), array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track JavaScript errors', 'fupi' ),
        'field_id'      => 'js_err_dimens',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'popup'         => '<p>' . esc_html__( 'When enabled, this will send to Google Analytics descriptions of JavaScript errors on your site. Use it with caution! If your site has many errors, the number of events may exceed Google Analytics\' limit. Events descriptions are limied to 100 characters (Google\'s limit).', 'fupi' ) . '</p>',
        'under field'   => esc_html__( 'Custom dimension name:', 'fupi' ) . ' <span style="background: #fdf3ce;">js_error_details</span>',
    ), array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Enable DebugView (for all visitors)', 'fupi' ),
        'field_id'      => 'debug_ga',
        'option_arr_id' => $option_arr_id,
        'popup'         => '<p>' . esc_html__( 'DebugView is specific to Google Analytics 4 and is used for debugging purposes. We recommend you use it together with Full Picture\'s debug mode (enable it on the "General plugin settings" page).', 'fupi' ) . '</p>
				<p>' . esc_html__( 'You can find debug data in your GA4 dashboard > Configure > Debug View.', 'fupi' ) . '</p>
				<p>' . esc_html__( 'Attention! There are 2 methods to enable DebugView - with this option (it will enable it for all visitors who are NOT excluded from tracking) and with a parameter "?ga4_debug=on" added to this site\'s URL (this will enable it only for the user who used the parameter).', 'fupi' ) . '</p>
				<p>' . esc_html__( 'If you choose to use the URL parameter option and want to disable the DebugView, simply add "?ga4_debug=off" to your site\'s URL.', 'fupi' ) . '</p>',
    ) ),
    ),
);

if ( $this->is_woo_enabled ) {
    $woo_section = array( array(
        'section_id'    => 'fupi_ga41_ecomm_pro',
        'section_title' => esc_html__( 'WooCommerce tracking', 'fupi' ),
    ) );
    $sections = array_merge( $sections, $woo_section );
}
