<?php

$basic_fields = array(
	array(
		'type'	 			=> 'text',
		'label' 			=> esc_html__( 'Conversion ID (Global site tag ID)', 'fupi' ),
		'field_id' 			=> 'id',
		'class'				=> 'fupi_required fupi_easy',
		'option_arr_id'		=> $option_arr_id,
		'label_for' 		=> $option_arr_id . '[id]',
	),
	array(
		'type'	 			=> 'toggle',
		'label' 			=> esc_html__( 'Validation mode', 'fupi' ),
		'field_id' 			=> 'force_load',
		'class'				=> 'fupi_sub',
		'option_arr_id'		=> $option_arr_id,
		'under field'		=> '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
	)
);

if ( $this->cook_enabled ){
	$opt_fields = array(
		array(
			'type'	 			=> 'toggle',
			'label' 			=> esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
			'field_id' 			=> 'disreg_cookies',
			'class'				=> 'fupi_sub',
			'el_class'			=> 'fupi_ext_field',
			'option_arr_id'		=> $option_arr_id,
			'under field'		=> '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi') . '</p>',
		),
	);
	$basic_fields = array_merge( $basic_fields, $opt_fields );
};

if ( $this->geo_enabled ){
	$basic_fields = array_merge( $basic_fields, array(
		array(
			'type'	 			=> 'r3',
			'label' 			=> esc_html__('Use Google Ads only in certain countries', 'fupi'),
			'field_id' 			=> 'limit_country',
			'option_arr_id'		=> $option_arr_id,
			'el_class'			=> 'fupi_limit_country fupi_ext_field',
			'is repeater'		=> false,
			'under field'		=> esc_html__('Attention! Google Ads will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__('Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
			'fields'			=> array(
				array(
					'type'				=> 'select',
					'field_id'			=> 'method',
					'options'			=> array(
						'excl'				=> 'All except',
						'incl'				=> 'Only in',
					),
				),
				array(
					'type'				=> 'text',
					'field_id'			=> 'countries',
					'placeholder'		=> 'e.g. GB, DE, FR, AU, etc.',
				),
			),
		),
	) );
};

// ALL TOGETHER

$sections = array(

	// INSTALLATION

	array(
		'section_id' => 'fupi_gads_install',
		'section_title' => esc_html__( 'Installation & loading', 'fupi' ),
		'fields' => $basic_fields,
	),

	// EVENT TRACKING

	array(
		'section_id' => 'fupi_gads_events',
		'section_title' => esc_html__( 'Action tracking', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track clicks on affiliate links as conversions', 'fupi' ),
				'field_id' 			=> 'track_affiliate',
				'class'				=> 'fupi_repeater_section fupi_lite',
				'el_data_field1_txt' => esc_html__( 'url part, e.g. /go/', 'fupi' ),
				'el_data_field1_type' => 'url_part',
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => '',
				'el_data_field2_txt' => esc_html__( 'Conversion ID (required)', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters and hyphens', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_affiliate]',
				'under field' 		=> esc_html__( 'If you don\'t provide a name, a full link address will be visible in custom audiences\' setup form.', 'fupi' ),
			),
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track clicks on page elements as conversions', 'fupi' ),
				'field_id' 			=> 'track_elems',
				'class'				=> 'fupi_repeater_section',
				'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #sth img', 'fupi' ),
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
				'el_data_field2_txt' => esc_html__( 'Conversion ID (required)', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters and hyphens', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_elems]',
				'under field'		=> esc_html__( 'Attention! If multiple selectors point at the same element only the first match will be sent', 'fupi'),
			),
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track form submissions as conversions', 'fupi' ),
				'field_id' 			=> 'track_forms',
				'class'				=> 'fupi_repeater_section fupi_lite',
				'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #form_id', 'fupi' ),
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
				'el_data_field2_txt' => esc_html__( 'Conversion ID (required)', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters and hyphens', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_forms]',
				'under field'		=> esc_html__( 'Test this feature after enabling. There are many methods of submitting forms. If tracking fails on your form, set up tracking clicks on "submit" button instead.', 'fupi'),
			),
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track element visibility as conversions', 'fupi' ),
				'field_id' 			=> 'track_views',
				'class'				=> 'fupi_repeater_section fupi_lite',
				'el_data_field1_txt' => esc_html__( 'CSS selector e.g. .side img', 'fupi' ),
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
				'el_data_field2_txt' => esc_html__( 'Conversion ID (required)', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters and hyphens', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_views]',
				'under field'		=> esc_html__( 'It tracks when elements are scrolled into the visible area of the page or when they become visible (like popups). Elements are counted as "visible" when they are 200px inside the viewport. Each view is counted once per page view.', 'fupi'),
			),
		),
	),
);

if ( $this->is_woo_enabled ) {

	// E-COMMERCE
	$woo_section = array(
		array(
			'section_id' => 'fupi_gads_ecomm_pro',
			'section_title' => esc_html__( 'WooCommerce purchases tracking', 'fupi' ),
			'fields' => array(
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Purchase Conversion ID', 'fupi' ),
					'field_id' 			=> 'woo_conv_id',
					'class'				=> 'fupi_pro',
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[woo_conv_id]',
				),
				array(
					'type'	 			=> 'select',
					'label' 			=> esc_html__( 'Your business type', 'fupi' ),
					'field_id' 			=> 'business_type',
					'class'				=> 'fupi_pro',
					'option_arr_id'		=> $option_arr_id,
					'options' 			=> array(
						'retail'			=> esc_html__( 'Retail', 'fupi' ),
						'local'				=> esc_html__( 'Local business', 'fupi' ),
						'real_estate'		=> esc_html__( 'Real estate', 'fupi' ),
					),
					'default'			=> 'retail',
				),
				array(
					'type'	 			=> 'toggle',
					'label' 			=> esc_html__( 'Send enhanced conversion tracking data', 'fupi' ),
					'field_id' 			=> 'enh_conv',
					'class'				=> 'fupi_pro',
					'option_arr_id'		=> $option_arr_id,
					'popup2'			=> '<p>' . esc_html__( 'Enhanced conversion tracking data improves the accuracy of conversion tracking. If you turn this option on you will send to Google Ads additional information about your customer, e.g. email address, phone number, first name, last name, address. Remember to include information about it in your privacy policy.', 'fupi') . '</p><p><strong>' . esc_html__('Before implementing, visit Google Ads dashboard and make sure that your Conversion Tag Type is noted as Global Site Tag, the implementation method is “Edit Code”, and you\'ve chosen the “use event snippet” button when setting up enhanced conversions for this conversion action.', 'fupi') . '</strong></p>',
				),
			),
		),
	);

	$sections = array_merge( $sections, $woo_section );
}

?>
