<?php

$sections = array(
	array(
		'section_id' => 'fupi_geo_main',
		'section_title' => esc_html__( 'Geolocation', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'select',
				'label' 			=> esc_html__( 'Geolocation method', 'fupi' ),
				'field_id' 			=> 'geo',
				'option_arr_id'		=> $option_arr_id,
				'el_class'			=> 'fupi_condition',
				'el_data_target'	=> 'fupi_geo_cond',
				'options' 			=> array(
					'cf_non_user'		=> esc_html__( 'Cloudflare (free for all users)', 'fupi'),
					'cf_default'		=> esc_html__( 'Cloudflare (free for Cloudflare users)', 'fupi'),
					'cf_worker'			=> esc_html__( 'Cloudflare Worker (free for Cloudflare users)', 'fupi'),
					'ipdata'			=> esc_html__( 'ipdata (free with limits, non-commercial use)', 'fupi'),
					'ip_api'			=> esc_html__( 'IP-API (free with limits)', 'fupi'),
					'db_ip'				=> esc_html__( 'DB-IP (free with limits)', 'fupi'),
					'cloudways'			=> esc_html__( 'Cloudways Geo IP (free for Cloudways clients)', 'fupi'),
				),
				'default'			=> 'none',
				'under field'		=> '<a href="https://fullpictureplugin.com/?p=11876&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link" target="_blank">' . esc_html__( 'Learn more about these geolocation methods', 'fupi' ) . '</a>',
			),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Cloudflare Worker URL', 'fupi' ),
					'class'				=> 'fupi_sub fupi_geo_cond fupi_cond_val_cf_worker fupi_disabled',
					'field_id' 			=> 'cf_worker_url',
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[cf_worker_url]',
					'placeholder'		=> '',
					'under field' 		=> sprintf(esc_html__('Enter worker script URL. %1s Learn how to find it%2s.', 'fupi'), '<a href="https://fullpictureplugin.com/?p=281&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link" target="_blank">', '</a>'),
				),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'ipdata API key', 'fupi' ),
					'class'				=> 'fupi_sub fupi_geo_cond fupi_cond_val_ipdata fupi_disabled',
					'field_id' 			=> 'ipdata_api_key',
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[ipdata_api_key]',
				),
			array(
				'type'	 			=> 'toggle',
				'label' 			=> esc_html__( 'Do not check location for known robots (experimental)', 'fupi' ),
				'field_id' 			=> 'skip_robots',
				'option_arr_id'		=> $option_arr_id,
				'under field'		=> esc_html__( 'This will get handy if you use a geolocation method with limited number of checks (like IP-API free). It may lead to occasional false-positives.', 'fupi'),
			),
			array(
				'type'	 			=> 'number',
				'label' 			=> esc_html__( 'Remember visitor\'s location for', 'fupi' ),
				'field_id' 			=> 'remember_geo',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[show_to_countries]',
				'default'			=> '30',
				'after field'		=> 'days',
				'under field' 		=> esc_html( 'Default is 30 days. Set to a lower number if your visitors often browse from different countries. If set to 0, location will be checked at the begining of each session. If a location wasn\'t found it will be checked again at the begining of the next session and remembered for the specified number of days.', 'fupi'),
			),
			array(
				'type'	 			=> 'toggle',
				'label' 			=> esc_html__( 'Save full geolocation response in fpdata JavaScript object', 'fupi' ),
				'field_id' 			=> 'save_resp',
				'option_arr_id'		=> $option_arr_id,
				'after field'		=> esc_html__( 'What is it?', 'fupi' ),
				'popup'				=> '<p>' . esc_html__( 'This data is to be used by a website developer.', 'fupi' ) . '</p>
				<p>' . esc_html( 'In addition to the country of the visitor, every geolocatiom method available in Full Picture gives a different set of additional data, e.g. currency code, timezone, threat detection, etc.', 'fupi') . '</p>
				<p>' . esc_html__( 'Some of this information may be helpful in website development and so Full Picture lets you save this data in a JavaScript object "fpdata".', 'fupi') . '</p>
				<p>' . esc_html__( 'It is important to know however, that this information will be available ONLY when FP checks the location of the visitor, which happens at the begnining of their first visit and then only in intervals specified above.', 'fupi') . '</p>',
			),
		)
	)
);
