<?php

$basic_fields = array(
	array(
		'type'	 			=> 'text',
		'label' 			=> __( 'Google Optimize Container ID', 'fupi' ),
		'field_id' 			=> 'container_id',
		'class'				=> 'fupi_required',
		'option_arr_id'		=> $option_arr_id,
		'label_for' 		=> $option_arr_id . '[container_id]',
		'placeholder'		=> 'OPT-0000000',
		'under field'		=> __('Container IDs are provided in Google Optimize panel when you create new containers. ', 'fupi'),
	),
	array(
		'type'	 			=> 'toggle',
		'label' 			=> esc_html__( 'Validation mode', 'fupi' ),
		'field_id' 			=> 'force_load',
		'class'				=> 'fupi_sub',
		'option_arr_id'		=> $option_arr_id,
		'under field'		=> '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
	),
);

if ( $this->cook_enabled ){
	$opt_fields = array(
		array(
			'type'	 			=> 'toggle',
			'label' 			=> esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
			'field_id' 			=> 'disreg_cookies',
			'class'				=> 'fupi_sub',
			'el_class'			=> 'fupi_ext_field',
			'option_arr_id'		=> $option_arr_id,
			'under field'		=> '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi') . '</p>',
		),
	);
	$basic_fields = array_merge( $basic_fields, $opt_fields );
};

$basic_fields = array_merge( $basic_fields, array(
	array(
		'type'	 			=> 'select',
		'label' 			=> esc_html__( 'Load the script using:', 'fupi' ),
		'field_id' 			=> 'main_load_method',
		'option_arr_id'		=> $option_arr_id,
		'options' 			=> array(
			'opt_js'			=> esc_html__( 'optimize.js (for use with GA 4)', 'fupi' ),
			'gtag'				=> esc_html__( 'gtag (for use with GA UA)', 'fupi'),
		),
		'default'			=> 'opt_js',
		'el_class'			=> 'fupi_condition',
		'el_data_target'	=> 'fupi_cond_load_method',
		'under field'		=> sprintf( esc_html__( 'Choose gtag if you plan to measure the experiment with GA UA. Choose "optimize.js" for GA 4 or if you integrate Google Analytics using a different plugin (not Full Picture)."', 'fupi'), '<br>', '<br>' ),
	),
	array(
		'type'	 			=> 'radio',
		'label' 			=> esc_html__( 'Google Optimize script loading method', 'fupi' ),
		'field_id' 			=> 'load_method',
		'class'				=> 'fupi_sub fupi_cond_load_method fupi_cond_val_opt_js fupi_disabled',
		'options' 			=> array(
			'sync'				=> esc_html__( 'Synchronous (recommended)', 'fupi' ),
			'async_full'		=> esc_html__( 'Asynchronous with page hiding snippet', 'fupi' ),
			'async_lite'		=> esc_html__( 'Asynchronous without page hiding snippet (not recommended)', 'fupi' ),
		),
		'default'			=> 'sync',
		'option_arr_id'		=> $option_arr_id,
	),
	array(
		'type'	 			=> 'number',
		'label' 			=> __( 'Show original page content if the test doesn\'t load in:', 'fupi' ),
		'field_id' 			=> 'hide_snippet_wait',
		'class'				=> 'fupi_sub fupi_cond_load_method fupi_cond_val_opt_js fupi_disabled',
		'option_arr_id'		=> $option_arr_id,
		'label_for' 		=> $option_arr_id . '[hide_snippet_wait]',
		'after field'		=> esc_html__( 'seconds', 'fupi'),
		'under field'		=> esc_html__( 'Works only with asynchronous script with page hiding snippet', 'fupi'),
	),
) );

$sections = array(
	array(
		'section_id' => 'fupi_gopt_basic',
		'section_title' => esc_html__( 'Setup', 'fupi' ),
		'fields' => $basic_fields
	)
);

?>
