<?php

// BASIC FIELDS
$basic_fields = array( array(
    'type'          => 'text',
    'label'         => esc_html__( 'Site ID', 'fupi' ),
    'field_id'      => 'id',
    'class'         => 'fupi_required',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[id]',
    'popup'         => 'Log in to Hotjar, choose your website. Site ID will be in the URL of the "workspaces" page https://insights.hotjar.com/sites/<strong>[SITE_ID]</strong>/ ',
), array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Validation mode', 'fupi' ),
    'field_id'      => 'force_load',
    'class'         => 'fupi_sub',
    'option_arr_id' => $option_arr_id,
    'under field'   => '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
) );

if ( $this->cook_enabled ) {
    $opt_fields = array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
        'field_id'      => 'disreg_cookies',
        'class'         => 'fupi_sub',
        'el_class'      => 'fupi_ext_field',
        'option_arr_id' => $option_arr_id,
        'under field'   => '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi' ) . '</p>',
    ) );
    $basic_fields = array_merge( $basic_fields, $opt_fields );
}


if ( $this->geo_enabled ) {
    $opt_fields = array( array(
        'type'          => 'r3',
        'label'         => esc_html__( 'Use Hotjar only in certain countries', 'fupi' ),
        'field_id'      => 'limit_country',
        'option_arr_id' => $option_arr_id,
        'el_class'      => 'fupi_limit_country fupi_ext_field',
        'is repeater'   => false,
        'under field'   => esc_html__( 'Attention! Hotjar will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__( 'Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
        'fields'        => array( array(
        'type'     => 'select',
        'field_id' => 'method',
        'options'  => array(
        'excl' => 'All except',
        'incl' => 'Only in',
    ),
    ), array(
        'type'        => 'text',
        'field_id'    => 'countries',
        'placeholder' => 'e.g. GB, DE, FR, AU, etc.',
    ) ),
    ) );
    $basic_fields = array_merge( $basic_fields, $opt_fields );
}

// USER IDENTIF OPTIONS
$user_identif_opts = array(
    'role' => esc_html__( 'User role', 'fupi' ),
);
// ALL TOGETHER
$sections = array(
    // INSTALLATION
    array(
        'section_id'    => 'fupi_hotj_install',
        'section_title' => esc_html__( 'Installation & loading', 'fupi' ),
        'fields'        => $basic_fields,
    ),
    // SESSION TAGGING
    array(
        'section_id'    => 'fupi_hotj_tags',
        'section_title' => esc_html__( 'Tagging', 'fupi' ),
        'fields'        => array(
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with clicks on outbound links', 'fupi' ),
        'field_id'      => 'tag_outbound',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'under field'   => esc_html__( 'Tags clicks on all links that lead to other domains. Affiliate links leading to other sites are also treated as outbound. Attention! This WILL greatly increase the number of tags associated with your site!', 'fupi' ),
    ),
        array(
        'type'                => 'repeater',
        'label'               => esc_html__( 'Tag with clicks on affiliate links', 'fupi' ),
        'field_id'            => 'tag_affiliate',
        'class'               => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt'  => esc_html__( 'url part, e.g. /go/', 'fupi' ),
        'el_data_field1_type' => 'url_part',
        'el_data_field1_req'  => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err'  => '',
        'el_data_field2_txt'  => esc_html__( 'tag name (optional)', 'fupi' ),
        'el_data_field2_req'  => '',
        'el_data_field2_err'  => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'       => $option_arr_id,
        'label_for'           => $option_arr_id . '[tag_affiliate]',
        'under field'         => esc_html__( 'Attention! Depending on the number of affiliate links you are using, this may greatly increase the number of tags associated with your site!', 'fupi' ),
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with clicks on email and tel. links', 'fupi' ),
        'field_id'      => 'tag_email_tel',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'          => 'text',
        'label'         => esc_html__( 'Tag with clicks on file download links', 'fupi' ),
        'field_id'      => 'tag_file_downl',
        'class'         => 'fupi_lite',
        'placeholder'   => 'pdf, doc, docx, xls, xlsx, txt',
        'option_arr_id' => $option_arr_id,
        'label_for'     => $option_arr_id . '[tag_file_downl]',
        'under field'   => esc_html__( 'Enter coma separated list of file formats you want to track', 'fupi' ),
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with anchor clicks (links leading to elements on the same page)', 'fupi' ),
        'field_id'      => 'tag_anchor_clicks',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'under field'   => esc_html__( 'Enable this to tag clicks in links that lead to different sections on the same page. Attention! If you use many anchors this may greatly increase the number of tags associated with your site!', 'fupi' ),
    ),
        array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Tag with clicks on page elements', 'fupi' ),
        'field_id'           => 'tag_elems',
        'class'              => 'fupi_repeater_section',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #sth img', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[tag_elems]',
        'under field'        => esc_html__( 'Attention! If multiple selectors point at the same element only the first match will be sent', 'fupi' ),
    ),
        array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Tag with form submissions', 'fupi' ),
        'field_id'           => 'tag_forms',
        'class'              => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #form_id', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'form name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[tag_forms]',
        'under field'        => esc_html__( 'Test this feature after enabling. There are many methods of submitting forms. If this method of tracking fails on your form, track clicks on form submit button instead.', 'fupi' ),
    ),
        array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Tag when these elements become visible', 'fupi' ),
        'field_id'           => 'tag_views',
        'class'              => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. .side img', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[tag_views]',
        'under field'        => esc_html__( 'Use this function to track when elements are scrolled into the visible area of the page OR when they become visible (like popups). Elements are counted as "visible" when they are 200px inside the viewport. Each view is counted once per page view.', 'fupi' ),
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with visitor\'s login status and user role (if logged in)', 'fupi' ),
        'field_id'      => 'tag_user_role',
        'class'         => 'fupi_standard',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with page type', 'fupi' ),
        'field_id'      => 'tag_pagetype',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with page author', 'fupi' ),
        'field_id'      => 'tag_pageauthor',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with UTM campaign parameters', 'fupi' ),
        'field_id'      => 'tag_utm',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'under field'   => esc_html__( 'Attention! If you conduct many advertising campaigns this may greatly increase the number of tags associated with your site!', 'fupi' ),
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with JavaScript errors', 'fupi' ),
        'field_id'      => 'tag_js_err',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'under field'   => esc_html__( 'When enabled, Full Picture will inform Hotjar when JavaScript errors occur on your site. Attention! Use this only sparrigly and for very short time. This WILL greatly increase the number of tags associated with your site!', 'fupi' ),
    )
    ),
    ),
    // USER IDENTIFICATION
    array(
        'section_id'    => 'fupi_hotj_users',
        'section_title' => esc_html__( 'User attributes', 'fupi' ),
        'fields'        => array( array(
        'type'           => 'toggle',
        'label'          => esc_html__( 'Enable user identification', 'fupi' ),
        'field_id'       => 'identif_users',
        'class'          => 'fupi_lite',
        'option_arr_id'  => $option_arr_id,
        'el_class'       => 'fupi_condition',
        'el_data_target' => 'fupi_hotj_identif',
        'popup'          => esc_html__( 'Attributes can be associated only to identified users. Identification is done with User ID (for logged-in users) or Hotjar ID (for other visitors)', 'fupi' ),
    ), array(
        'type'          => 'multi checkbox',
        'label'         => esc_html__( 'Associate users with attributes', 'fupi' ),
        'field_id'      => 'user_attr',
        'option_arr_id' => $option_arr_id,
        'class'         => 'fupi_sub fupi_hotj_identif fupi_disabled fupi_lite',
        'options'       => $user_identif_opts,
        'under field'   => esc_html__( 'To track emails you must enable email tracking on "General Settings" page.', 'fupi' ),
    ) ),
    ),
);
// WOOCOMMERCE

if ( $this->is_woo_enabled ) {
    $woo_section = array( array(
        'section_id'    => 'fupi_hotj_ecomm_pro',
        'section_title' => esc_html__( 'WooCommerce Tagging', 'fupi' ),
        'fields'        => array(
        array(
        'type'           => 'toggle',
        'label'          => esc_html__( 'Tag WooCommerce purchases', 'fupi' ),
        'field_id'       => 'tag_woo_purchases',
        'class'          => 'fupi_pro',
        'el_class'       => 'fupi_condition',
        'el_data_target' => 'tag_woo_purchases_cond',
        'option_arr_id'  => $option_arr_id,
        'under field'    => esc_html__( 'When enabled, Full Picture will send to Hotjar "Woo purchase" tag', 'fupi' ),
    ),
        array(
        'type'          => 'multi checkbox',
        'label'         => esc_html__( 'Send extra tags:', 'fupi' ),
        'field_id'      => 'tag_woo_purchases_data',
        'class'         => 'tag_woo_purchases_cond fupi_sub fupi_disabled fupi_pro',
        'option_arr_id' => $option_arr_id,
        'options'       => array(
        'id'     => esc_html__( 'Order ID', 'fupi' ),
        'p_id'   => esc_html__( 'Product IDs (one tag for each product)', 'fupi' ),
        'p_name' => esc_html__( 'Product names (on tag for each product)', 'fupi' ),
    ),
        'under field'   => esc_html__( 'Attention! Each selected option will trigger a single or multiple tags. This may greatly increase the number of tags associated with your site!', 'fupi' ),
    ),
        array(
        'type'           => 'toggle',
        'label'          => esc_html__( 'Tag WooCommerce "Checkout started" events', 'fupi' ),
        'field_id'       => 'tag_woo_checkouts',
        'class'          => 'fupi_pro',
        'el_class'       => 'fupi_condition',
        'el_data_target' => 'tag_woo_checkouts_cond',
        'option_arr_id'  => $option_arr_id,
        'under field'    => esc_html__( 'When enabled, Full Picture will send to Hotjar "Woo checkout" tag', 'fupi' ),
    ),
        array(
        'type'          => 'multi checkbox',
        'label'         => esc_html__( 'Send extra tags:', 'fupi' ),
        'field_id'      => 'tag_woo_checkouts_data',
        'option_arr_id' => $option_arr_id,
        'class'         => 'tag_woo_checkouts_cond fupi_sub fupi_disabled fupi_pro',
        'options'       => array(
        'p_id'   => esc_html__( 'Product IDs (one tag for each product)', 'fupi' ),
        'p_name' => esc_html__( 'Product names (on tag for each product)', 'fupi' ),
    ),
        'under field'   => esc_html__( 'Attention! Each selected option will trigger a single or multiple tags. This may greatly increase the number of tags associated with your site!', 'fupi' ),
    ),
        array(
        'type'           => 'toggle',
        'label'          => esc_html__( 'Tag WooCommerce "Add to cart" events', 'fupi' ),
        'field_id'       => 'tag_woo_addtocart',
        'class'          => 'fupi_pro',
        'el_class'       => 'fupi_condition',
        'el_data_target' => 'tag_woo_addtocart_cond',
        'option_arr_id'  => $option_arr_id,
        'under field'    => esc_html__( 'When enabled, Full Picture will send to Hotjar "Woo add to cart" tag', 'fupi' ),
    ),
        array(
        'type'          => 'multi checkbox',
        'label'         => esc_html__( 'Send extra tags', 'fupi' ),
        'field_id'      => 'tag_woo_addtocart_data',
        'option_arr_id' => $option_arr_id,
        'class'         => 'tag_woo_addtocart_cond fupi_sub fupi_disabled fupi_pro',
        'options'       => array(
        'p_id'   => esc_html__( 'Product IDs (one tag for each product)', 'fupi' ),
        'p_name' => esc_html__( 'Product names (on tag for each product)', 'fupi' ),
    ),
        'under field'   => esc_html__( 'Attention! Each selected option will trigger a single or multiple tags. This may greatly increase the number of tags associated with your site!', 'fupi' ),
    ),
        array(
        'type'           => 'toggle',
        'label'          => esc_html__( 'Tag WooCommerce "Remove from cart" events', 'fupi' ),
        'field_id'       => 'tag_woo_removefromcart',
        'class'          => 'fupi_pro',
        'el_class'       => 'fupi_condition',
        'el_data_target' => 'tag_woo_removefromcart_cond',
        'option_arr_id'  => $option_arr_id,
        'under field'    => esc_html__( 'When enabled, Full Picture will send to Hotjar "Woo remove from cart" tag', 'fupi' ),
    ),
        array(
        'type'          => 'multi checkbox',
        'label'         => esc_html__( 'Send extra tags', 'fupi' ),
        'field_id'      => 'tag_woo_removefromcart_data',
        'option_arr_id' => $option_arr_id,
        'class'         => 'tag_woo_removefromcart_cond fupi_sub fupi_disabled fupi_pro',
        'options'       => array(
        'p_id'   => esc_html__( 'Product IDs (one tag for each product)', 'fupi' ),
        'p_name' => esc_html__( 'Product names (on tag for each product)', 'fupi' ),
    ),
        'under field'   => esc_html__( 'Attention! Each selected option will trigger a single or multiple tags. This may greatly increase the number of tags associated with your site!', 'fupi' ),
    ),
        array(
        'type'           => 'toggle',
        'label'          => esc_html__( 'Tag WooCommerce "Add to wishlist" events', 'fupi' ),
        'field_id'       => 'tag_woo_addtowishlist',
        'class'          => 'fupi_pro',
        'el_class'       => 'fupi_condition',
        'el_data_target' => 'tag_woo_addtowishlist_cond',
        'option_arr_id'  => $option_arr_id,
        'under field'    => esc_html__( 'When enabled, Full Picture will send to Hotjar "Woo add to wishlist" tag', 'fupi' ),
    ),
        array(
        'type'          => 'multi checkbox',
        'label'         => esc_html__( 'Send extra tags', 'fupi' ),
        'field_id'      => 'tag_woo_addtowishlist_data',
        'option_arr_id' => $option_arr_id,
        'class'         => 'tag_woo_addtowishlist_cond fupi_sub fupi_disabled fupi_pro',
        'options'       => array(
        'p_id'   => esc_html__( 'Product IDs (one tag for each product)', 'fupi' ),
        'p_name' => esc_html__( 'Product names (on tag for each product)', 'fupi' ),
    ),
        'under field'   => esc_html__( 'Attention! Each selected option will trigger a single or multiple tags. This may greatly increase the number of tags associated with your site!', 'fupi' ),
    )
    ),
    ) );
    $sections = array_merge( $sections, $woo_section );
}
