<?php

// BASIC FIELDS
$basic_fields = array( array(
    'type'          => 'text',
    'label'         => esc_html__( 'Site ID', 'fupi' ),
    'field_id'      => 'id',
    'class'         => 'fupi_required',
    'placeholder'   => '000000000',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[id]',
), array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Validation mode', 'fupi' ),
    'field_id'      => 'force_load',
    'class'         => 'fupi_sub',
    'option_arr_id' => $option_arr_id,
    'under field'   => '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
) );

if ( $this->cook_enabled ) {
    $opt_fields = array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
        'field_id'      => 'disreg_cookies',
        'class'         => 'fupi_sub',
        'el_class'      => 'fupi_ext_field',
        'option_arr_id' => $option_arr_id,
        'under field'   => '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi' ) . '</p>',
    ) );
    $basic_fields = array_merge( $basic_fields, $opt_fields );
}

$basic_fields = array_merge( $basic_fields, array( array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Enable A/B tests', 'fupi' ),
    'field_id'      => 'ab_test_script',
    'option_arr_id' => $option_arr_id,
    'after field'   => 'Technical information',
    'popup'         => '<p>When enabled, standard Inspectlet script will be replaced with A/B-optimized loader script.</p><p>When the test script loads the page will flash to allow for test variantion load. This is normal and cannot be prevented.</p>',
) ) );

if ( $this->geo_enabled ) {
    $opt_fields = array( array(
        'type'          => 'r3',
        'label'         => esc_html__( 'Use Inspectlet only in certain countries', 'fupi' ),
        'field_id'      => 'limit_country',
        'option_arr_id' => $option_arr_id,
        'el_class'      => 'fupi_limit_country fupi_ext_field',
        'is repeater'   => false,
        'under field'   => esc_html__( 'Attention! Inspectlet will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__( 'Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
        'fields'        => array( array(
        'type'     => 'select',
        'field_id' => 'method',
        'options'  => array(
        'excl' => 'All except',
        'incl' => 'Only in',
    ),
    ), array(
        'type'        => 'text',
        'field_id'    => 'countries',
        'placeholder' => 'e.g. GB, DE, FR, AU, etc.',
    ) ),
    ) );
    $basic_fields = array_merge( $basic_fields, $opt_fields );
}

// USER IDENTIF OPTIONS
$user_identif_opts = array(
    'encode_user_id' => esc_html__( 'Encoded User ID', 'fupi' ),
    'user_id'        => esc_html__( 'User ID', 'fupi' ),
);
// ALL TOGETHER
$sections = array(
    // INSTALLATION
    array(
        'section_id'    => 'fupi_insp_install',
        'section_title' => esc_html__( 'Installation', 'fupi' ),
        'fields'        => $basic_fields,
    ),
    // SESSION TAGGING
    array(
        'section_id'    => 'fupi_insp_tags',
        'section_title' => esc_html__( 'Tagging', 'fupi' ),
        'fields'        => array(
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with clicks on outbound links', 'fupi' ),
        'field_id'      => 'tag_outbound',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'under field'   => esc_html__( 'Tags clicks on all links that lead to other domains. Attention! Affiliate links leading to other sites are also treated as outbound.', 'fupi' ),
    ),
        array(
        'type'                => 'repeater',
        'label'               => esc_html__( 'Tag with clicks on affiliate links', 'fupi' ),
        'field_id'            => 'tag_affiliate',
        'class'               => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt'  => esc_html__( 'url part, e.g. /go/', 'fupi' ),
        'el_data_field1_type' => 'url_part',
        'el_data_field1_req'  => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err'  => '',
        'el_data_field2_txt'  => esc_html__( 'name (optional)', 'fupi' ),
        'el_data_field2_req'  => '',
        'el_data_field2_err'  => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'       => $option_arr_id,
        'label_for'           => $option_arr_id . '[tag_affiliate]',
        'under field'         => sprintf( esc_html__( 'Enter parts of the affiliate links\' you want to track (e.g. /out/ or ref=123abc). One per line. Optionally follow them by @ and atag name of your choice. By default, URL are sent as names. %1sLearn more%2s.', 'fupi' ), '<a href="https://fullpictureplugin.com/?p=2061&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link" target="_blank">', '</a>' ),
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with clicks on email and tel. links', 'fupi' ),
        'field_id'      => 'tag_email_tel',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'          => 'text',
        'label'         => esc_html__( 'Tag with clicks on file download links', 'fupi' ),
        'placeholder'   => 'pdf, doc, docx, xls, xlsx, txt',
        'field_id'      => 'tag_file_downl',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
        'label_for'     => $option_arr_id . '[tag_file_downl]',
        'under field'   => esc_html__( 'Enter coma separated list of file formats you want to track', 'fupi' ),
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with anchor clicks (links leading to elements on the same page)', 'fupi' ),
        'field_id'      => 'tag_anchor_clicks',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Tag with clicks on page elements', 'fupi' ),
        'field_id'           => 'tag_elems',
        'class'              => 'fupi_repeater_section',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #sth img', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[tag_elems]',
        'under field'        => esc_html__( 'Attention! If multiple selectors point at the same element only the first match will be sent', 'fupi' ),
    ),
        array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Tag with form submissions', 'fupi' ),
        'field_id'           => 'tag_forms',
        'class'              => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #form_id', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'form name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[tag_forms]',
        'under field'        => esc_html__( 'Attention! Test this feature after enabling. There are many methods of submitting forms. If this method of tracking fails, track clicks on form submit button instead.', 'fupi' ),
    ),
        array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Tag when these elements become visible', 'fupi' ),
        'field_id'           => 'tag_views',
        'class'              => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. .side img', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[tag_views]',
        'under field'        => esc_html__( 'Use this function to track when elements are scrolled into the visible area of the page OR when they become visible (like popups). Elements are counted as "visible" when they are 200px inside the viewport. Each view is counted once per page view.', 'fupi' ),
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with visitor\'s login status and user role (if logged in)', 'fupi' ),
        'field_id'      => 'tag_user_role',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with page type', 'fupi' ),
        'field_id'      => 'tag_pagetype',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with page author', 'fupi' ),
        'field_id'      => 'tag_pageauthor',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with referring site', 'fupi' ),
        'field_id'      => 'tag_referrer',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Tag with UTM campaign parameters', 'fupi' ),
        'field_id'      => 'tag_utm',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    )
    ),
    ),
    // USER IDENTIF.
    array(
        'section_id'    => 'fupi_insp_user',
        'section_title' => esc_html__( 'User identification', 'fupi' ),
        'fields'        => array( array(
        'type'           => 'toggle',
        'label'          => esc_html__( 'Identify logged-in users', 'fupi' ),
        'field_id'       => 'identif_users',
        'option_arr_id'  => $option_arr_id,
        'class'          => 'fupi_lite',
        'el_class'       => 'fupi_condition',
        'el_data_target' => 'fupi_sub_identif',
        'under field'    => esc_html__( 'By identifying users you can associate with recordings with meaningfull nicknames and group them together.', 'fupi' ),
    ), array(
        'type'          => 'select',
        'label'         => esc_html__( 'Identify logged-in users by:', 'fupi' ),
        'field_id'      => 'identif_method',
        'class'         => 'fupi_sub fupi_sub_identif fupi_disabled fupi_lite',
        'option_arr_id' => $option_arr_id,
        'options'       => $user_identif_opts,
        'default'       => 'encode_user_id',
        'after field'   => 'Read this before you continue >',
        'popup'         => '<p>If you want to track emails or usernames please enable these options on the "General settings" page</p><p>You can choose to send user ID in a personally identifiable form (email, username or user id) or in an encoded form. If you choose the first one you will need to sign <a href="https://docs.inspectlet.com/hc/en-us/articles/360004212092-Inspectlet-Data-Processing-Agreement-under-GDPR" target="_blank">Data Processing Agreement with Inspectlet</a></p>',
    ) ),
    ),
);
// WOOCOMMERCE

if ( $this->is_woo_enabled ) {
    $woo_section = array( array(
        'section_id'    => 'fupi_insp_ecomm_pro',
        'section_title' => esc_html__( 'WooCommerce Tagging', 'fupi' ),
    ) );
    $sections = array_merge( $sections, $woo_section );
}
