<?php

$basic_fields = array(
	array(
		'type'	 			=> 'text',
		'label' 			=> esc_html__( 'LinkedIn Partner ID', 'fupi' ),
		'field_id' 			=> 'id',
		'class'				=> 'fupi_required',
		'option_arr_id'		=> $option_arr_id,
		'label_for' 		=> $option_arr_id . '[id]',
	),
	array(
		'type'	 			=> 'toggle',
		'label' 			=> esc_html__( 'Validation mode', 'fupi' ),
		'field_id' 			=> 'force_load',
		'class'				=> 'fupi_sub',
		'option_arr_id'		=> $option_arr_id,
		'under field'		=> '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
	)
);

if ( $this->cook_enabled ){
	$opt_fields = array(
		array(
			'type'	 			=> 'toggle',
			'label' 			=> esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
			'field_id' 			=> 'disreg_cookies',
			'class'				=> 'fupi_sub',
			'el_class'			=> 'fupi_ext_field',
			'option_arr_id'		=> $option_arr_id,
			'under field'		=> '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi') . '</p>',
		),
	);
	$basic_fields = array_merge( $basic_fields, $opt_fields );
};

if ( $this->geo_enabled ){
	$basic_fields = array_merge( $basic_fields, array(
		array(
			'type'	 			=> 'r3',
			'label' 			=> esc_html__('Use LinkedIn only in certain countries', 'fupi'),
			'field_id' 			=> 'limit_country',
			'option_arr_id'		=> $option_arr_id,
			'el_class'			=> 'fupi_limit_country fupi_ext_field',
			'is repeater'		=> false,
			'under field'		=> esc_html__('Attention! LinkedIn will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__('Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
			'fields'			=> array(
				array(
					'type'				=> 'select',
					'field_id'			=> 'method',
					'options'			=> array(
						'excl'				=> 'All except',
						'incl'				=> 'Only in',
					),
				),
				array(
					'type'				=> 'text',
					'field_id'			=> 'countries',
					'placeholder'		=> 'e.g. GB, DE, FR, AU, etc.',
				),
			),
		),
	) );
};

// ALL TOGETHER

$sections = array(

	// INSTALLATION

	array(
		'section_id' => 'fupi_linkd_install',
		'section_title' => esc_html__( 'Installation & loading', 'fupi' ),
		'fields' => $basic_fields,
	),

	// EVENT TRACKING

	array(
		'section_id' => 'fupi_linkd_events',
		'section_title' => esc_html__( 'Track simple conversions', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track clicks on affiliate links', 'fupi' ),
				'field_id' 			=> 'track_affiliate',
				'class'				=> 'fupi_repeater_section fupi_lite',
				'el_data_field1_txt' => esc_html__( 'url part, e.g. /go/', 'fupi' ),
				'el_data_field1_type' => 'url_part',
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => '',
				'el_data_field2_txt' => esc_html__( 'Conversion ID', 'fupi' ),
				'el_data_field2_req' => 'this field is required',
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_affiliate]',
			),
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track clicks on page elements', 'fupi' ),
				'field_id' 			=> 'track_elems',
				'class'				=> 'fupi_repeater_section',
				'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #sth img', 'fupi' ),
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
				'el_data_field2_txt' => esc_html__( 'Conversion ID', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_elems]',
				'under field'		=> esc_html__( 'Attention! If multiple selectors point at the same element only the first match will be sent', 'fupi'),
			),
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track form submissions', 'fupi' ),
				'field_id' 			=> 'track_forms',
				'class'				=> 'fupi_repeater_section fupi_lite',
				'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #form_id', 'fupi' ),
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
				'el_data_field2_txt' => esc_html__( 'Conversion ID', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_forms]',
				'under field'		=> esc_html__( 'Attention! Test this feature after enabling. There are many methods of submitting forms. If this method of tracking fails on your form, track clicks on form submit button instead.', 'fupi'),
			),
		),
	),

	// E-COMMERCE

	array(
		'section_id' => 'fupi_linkd_ecomm_pro',
		'section_title' => esc_html__( 'Track WooCommerce conversions', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( '"Add to cart" Conversion ID', 'fupi' ),
				'field_id' 			=> 'woo_add_to_cart_id',
				'class'				=> 'fupi_pro',
				'placeholder'		=> 'Conversion ID',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[add_to_cart_id]',
			),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( '"Checkout started" Conversion ID', 'fupi' ),
				'field_id' 			=> 'woo_checkout_start_id',
				'class'				=> 'fupi_pro',
				'placeholder'		=> 'Conversion ID',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[checkout_start_id]',
			),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( '"Purchase" Conversion ID', 'fupi' ),
				'field_id' 			=> 'woo_purchase_id',
				'placeholder'		=> 'Conversion ID',
				'class'				=> 'fupi_pro',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[purchase_id]',
			),
		),
	),
);

?>
