<?php

$sections = array(

	// TRAFFIC EXCLUSION

	array(
		'section_id' => 'fupi_main_no_track',
		'section_title' => esc_html__( 'Tracking exceptions', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'roles multi checkbox',
				'label' 			=> esc_html__( 'Do not track logged-in users with these roles:', 'fupi' ),
				'field_id' 			=> 'disable_for_roles',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[disable_for_roles]',
				'default'			=> 'administrator',
			),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Change the keyword "tracking" in the URL above to:', 'fupi' ),
				'field_id' 			=> 'magic_keyword',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[magic_keyword]',
				'placeholder'		=> 'secret_word',
				'under field' 		=> esc_html__('You can only use small letters, numbers, hyphens and underscores. Any other characters will be removed or replaced.', 'fupi'),
			),
		),
	),

	// DEFAULT SETTINGS

	array(
		'section_id' => 'fupi_main_default',
		'section_title' => esc_html__( 'Default tracking settings', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'number',
				'label' 			=> esc_html__('Do not track form submissions if they happen within:', 'fupi'),
				'field_id' 			=> 'formsubm_trackdelay',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[formsubm_trackdelay]',
				'class'				=> 'fupi_lite',
				'default'			=> '3',
				'after field' 		=> 'seconds after the page loads',
				'popup' 			=> '<p>' . esc_html__('Humans don\'t usually send forms right after they open a page. Set this value to a minimum of 3 seconds to prevent tracking form submittions done by bots and accidental clicks. Enter 0 or leave empty to disable. Default is 3 seconds.', 'fupi') . '</p>',
			),
			array(
				'type'	 			=> 'number',
				'label' 			=> esc_html__('Prevent tracking multi-clicks that happen within:', 'fupi'),
				'field_id' 			=> 'notrack_dblclck',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[notrack_dblclck]',
				'default'			=> '300',
				'after field' 		=> 'miliseconds',
				'popup' 			=> '<p>' . esc_html__('When your visitors click the same elements multiple times in a very short time (like "double clicks" or "rage clicks") you should track only the first one. This will make your click tracking statistics more accurate since they will not be inflated with extra clicks. Enter time between clicks that will be considered a multi click. Only the first click will be tracked. Enter 0 or leave empty to disable. Default is 300ms.', 'fupi') . '</p>',
			),
			array(
				'type'	 			=> 'number',
				'label' 			=> esc_html__( 'Prevent tracking page scroll depth if visitor scrolled less than:', 'fupi' ),
				'field_id' 			=> 'track_scroll_min',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_scroll_min]',
				'default'			=> '200',
				'after field'		=> esc_html__( 'pixels.', 'fupi'),
				'popup'				=> '<p>' . esc_html__( 'This settings prevents tracking scrolls on short pages, when even a very small scroll can reach the bottom of the page. Default is 200px.', 'fupi') . '</p>',
			),
			array(
				'type'	 			=> 'number',
				'label' 			=> esc_html__( 'Prevent tracking page scroll depth if it happened in the first:', 'fupi' ),
				'field_id' 			=> 'track_scroll_time',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_scroll_time]',
				'default'			=> '5',
				'after field'		=> esc_html__( 'seconds', 'fupi' ),
				'popup'				=> '<p>' . esc_html__( 'This setting prevents tracking "exploratory" scrolls - quick scrolls performed by visitors who want to see the contents of the page before devoting more time to read it.','fupi') . '</p><p>' . esc_html__('After the set time has passed page\'s scroll depth will be tracked normally.','fupi') . '</p><p>' . esc_html__('Default is 5 seconds.', 'fupi') . '</p>',
			),
			array(
				'type'	 			=> 'taxonomies multi checkbox',
				'label' 			=> esc_html__( 'Track terms of these taxonomies:', 'fupi' ),
				'field_id' 			=> 'tracked_taxonomies',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[tracked_taxonomies]',
				'popup'		 		=> '<p>' . esc_html__('By default, Full Picture lets you track tags, categories and formats of your posts and pages. However other plugins can add more taxonomies (because this is what these are called) that you may want to track.', 'fupi') . '</p><p>' . esc_html__('Find them on this list, check them and save your settings to be able to track them with your tracking tools.', 'fupi') . '</p>'
			),
			array(
				'type'	 			=> 'toggle',
				'label' 			=> esc_html__('Delay page redirect after clicking links', 'fupi'),
				'field_id' 			=> 'link_click_delay',
				'option_arr_id'		=> $option_arr_id,
				'popup2' 			=> '<p>' . esc_html__('When a visitor clicks a link leading to a different page their browser has very little time to track his click and send information about it to tracking tools. This setting pauses page redirect until after tracking tools finish their work.', 'fupi') . '</p><p>' . esc_html__('Attention! On rare occasions enabling this setting can cause issues with clicks on dynamic page elements like galleries or sliders. Test before using in production.', 'fupi') . '</p>',
			),
			array(
				'type'	 			=> 'toggle',
				'label' 			=> esc_html__('Reset engagement timer after clicks in anchors', 'fupi'),
				'class'				=> 'fupi_lite',
				'field_id' 			=> 'reset_timer_on_anchor',
				'option_arr_id'		=> $option_arr_id,
				'popup'				=> '<p>'. esc_html__('Enable this option if your website is a single page and you use anchors to navigate between its sections', 'fupi') . '</p>',
			),
			array(
				'type'	 			=> 'toggle',
				'label' 			=> esc_html__('Allow tracking IDs of content authors', 'fupi'),
				'class'				=> 'fupi_lite',
				'field_id' 			=> 'show_author_id',
				'option_arr_id'		=> $option_arr_id,
				'popup2'			=> '<p><strong>' . esc_html__('Do not enable this option if authors of content of your site have administrator rights. This will expose their IDs making attacks easier. Don\'t help attackers hack your site.', 'fupi') . '</strong></p>
				<p>' . esc_html__('This option adds tracking ID of content authors to Crazy Egg, Google Analytics (4 and UA) and GTM. After you enable it a new tracking option will show up on their settings pages. Turn it on to start tracking author IDs.','fupi') . '</p>',
			),
			array(
				'type'	 			=> 'toggle',
				'label' 			=> esc_html__('Allow tracking emails of logged-in users', 'fupi'),
				'class'				=> 'fupi_lite',
				'field_id' 			=> 'allow_tracking_user_emails',
				'option_arr_id'		=> $option_arr_id,
				'popup2' 			=> '<p>' . esc_html__('This setting lets you track emails of logged-in users with HotJar, Inspectlet, Pinterest and Splitbee. After you enable this feature visit their settings pages to configure new fields that you will find there.','fupi') . '</p>
				<p><strong>' . esc_html__('Attention!','fupi') . '</strong></p>
				<ol>
					<li>' . esc_html__('Tracking email addresses may violate privacy laws in your country and/or terms & conditions of the tracking tools that you will send them to.','fupi') . '</li>
					<li>' . esc_html__('After you enable this setting you still need to enable "email tracking" in the settings of your chosen tracking tools.','fupi') . '</li>
					<li>' . esc_html__('Do NOT cache pages for logged-in users - it may expose their username to other logged-in users.','fupi') . '</li>
				</ol>',
			),
			array(
				'type'	 			=> 'toggle',
				'label' 			=> esc_html__('Allow tracking usernames of logged-in users', 'fupi'),
				'class'				=> 'fupi_lite',
				'field_id' 			=> 'allow_tracking_usernames',
				'option_arr_id'		=> $option_arr_id,
				'popup2' 			=> '<p>' . esc_html__('After you enable this setting, a new settings field will be added to the settings page of Inspectlet.','fupi') . '</p>
				<p><strong>' . esc_html__('Attention!','fupi') . '</strong></p>
				<ol>
					<li>' . esc_html__('Tracking usernames may violate privacy laws in your country and/or terms & conditions of the tracking tool that you will send them to.','fupi') . '</li>
					<li>' . esc_html__('After you enable this setting you still need to enable "username tracking" in the settings of your chosen tracking tools.','fupi') . '</li>
					<li>' . esc_html__('Do NOT cache pages for logged-in users - it may expose their username to other logged-in users.','fupi') . '</li>
				</ol>',
			),
			array(
				'type' 				=> 'toggle',
				'label' 			=> esc_html__( 'Include noscript fallbacks', 'fupi' ),
				'field_id' 			=> 'noscript',
				'option_arr_id'		=> $option_arr_id,
				'popup'				=> '<p>' . esc_html__('Use this feature if your site works with JavaScript disabled AND you want to track ~0.1% of visitors that disable JavaScript. Attention! Only some tracking tools provide noscript fallbacks and Full Picture provides only basic fallback features. Fallbacks are placed before the closing "body" tag in HTML.', 'fupi') . '</p>',
			),
		),
	),

	// OTHER SETTINGS

	array(
		'section_id' => 'fupi_main_other',
		'section_title' => esc_html__( 'Other', 'fupi' ),
		'fields' => array(
			array(
				'type' 				=> 'text',
				'label' 			=> esc_html__( 'Let users with this capability view and save Full Picture\'s settings:', 'fupi' ),
				'class'				=> 'fupi_lite',
				'field_id' 			=> 'user_cap',
				'placeholder'		=> 'manage_options',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[user_cap]',
				'popup2'			=> '</p>' . sprintf(esc_html__( 'To give users with non-administrator roles access to Full Picture\'s settings paste into the field capability ID unique to their user role. %1$sSee the list of standard WP capabilities%2$s. Please note that other plugins may add their own capabilities. You can find out what they are in their documentations or with plugins like "User Role Editor".', 'fupi'), '<a href="https://wordpress.org/support/article/roles-and-capabilities/#capability-vs-role-table" target="_blank">', '</a>') . '</p>
					<p>' . esc_html__( 'Attention #1. This settings does NOT give other users access to cookie notice\'s customisation screen in the theme customizer.', 'fupi') . '</p>
					<p>' . esc_html__( 'Attention #2. Make sure you trust people who you give access to Full Picture\'s settings.', 'fupi') . '</p>',
			),
			array(
				'type' 				=> 'toggle',
				'label' 			=> esc_html__( 'Defer non-critical scripts (experimental)', 'fupi' ),
				'field_id' 			=> 'async_scripts',
				'option_arr_id'		=> $option_arr_id,
				'under field' 		=> 'Slightly improves page loading time (usually by a few miliseconds).',
			),
			array(
				'type' 				=> 'toggle',
				'label' 			=> esc_html__( 'Enable debug mode', 'fupi' ),
				'field_id' 			=> 'debug',
				'option_arr_id'		=> $option_arr_id,
				'after field' 		=> sprintf(esc_html__(' %1$sLearn more%2$s.', 'fupi'), '<a href="https://fullpictureplugin.com/?p=1133&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link" target="_blank">', '</a>'),
			),
			array(
				'type' 				=> 'text',
				'label' 			=> esc_html__( 'Change "Full Picture" menu item text to:', 'fupi' ),
				'field_id' 			=> 'custom_menu_title',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[custom_menu_title]',
			),
			array(
				'type' 				=> 'toggle',
				'label' 			=> esc_html__( 'Remove all Full Picture\'s settings on deactivation', 'fupi' ),
				'field_id' 			=> 'clean_all',
				'option_arr_id'		=> $option_arr_id,
			),
		),
	),
);

?>
