<?php

$basic_fields = array( array(
    'type'          => 'text',
    'label'         => esc_html__( 'Pinterest Tag ID', 'fupi' ),
    'field_id'      => 'id',
    'class'         => 'fupi_required fupi_easy',
    'option_arr_id' => $option_arr_id,
    'label_for'     => $option_arr_id . '[id]',
), array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Validation mode', 'fupi' ),
    'field_id'      => 'force_load',
    'class'         => 'fupi_sub',
    'option_arr_id' => $option_arr_id,
    'under field'   => '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
) );

if ( $this->cook_enabled ) {
    $opt_fields = array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
        'field_id'      => 'disreg_cookies',
        'class'         => 'fupi_sub',
        'el_class'      => 'fupi_ext_field',
        'option_arr_id' => $option_arr_id,
        'under field'   => '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi' ) . '</p>',
    ) );
    $basic_fields = array_merge( $basic_fields, $opt_fields );
}

if ( $this->geo_enabled ) {
    $basic_fields = array_merge( $basic_fields, array( array(
        'type'          => 'r3',
        'label'         => esc_html__( 'Use Pinterest only in certain countries', 'fupi' ),
        'field_id'      => 'limit_country',
        'option_arr_id' => $option_arr_id,
        'el_class'      => 'fupi_limit_country fupi_ext_field',
        'is repeater'   => false,
        'under field'   => esc_html__( 'Attention! Pinterest will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__( 'Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
        'fields'        => array( array(
        'type'     => 'select',
        'field_id' => 'method',
        'options'  => array(
        'excl' => 'All except',
        'incl' => 'Only in',
    ),
    ), array(
        'type'        => 'text',
        'field_id'    => 'countries',
        'placeholder' => 'e.g. GB, DE, FR, AU, etc.',
    ) ),
    ) ) );
}
// TRACKING FIELDS
$tracking_fields = array( array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track search', 'fupi' ),
    'field_id'      => 'track_search',
    'class'         => 'fupi_lite',
    'option_arr_id' => $option_arr_id,
    'under field'   => esc_html__( 'Use this option to send to Pinterest phrases that visitors search on your site (works with standard WP search and WooCommerce product search).', 'fupi' ),
) );
// ALL TOGETHER
$sections = array(
    // INSTALLATION
    array(
        'section_id'    => 'fupi_pin_install',
        'section_title' => esc_html__( 'Installation & loading', 'fupi' ),
        'fields'        => $basic_fields,
    ),
    // TRACKING
    array(
        'section_id'    => 'fupi_pin_track',
        'section_title' => esc_html__( 'Tracking', 'fupi' ),
        'fields'        => $tracking_fields,
    ),
);
// WOOCOMMERCE

if ( $this->is_woo_enabled ) {
    $woo_section = array( array(
        'section_id'    => 'fupi_pin_ecomm_pro',
        'section_title' => esc_html__( 'WooCommerce tracking', 'fupi' ),
    ) );
    $sections = array_merge( $sections, $woo_section );
}
