<?php

$basic_fields = array(
	array(
		'type'	 			=> 'text',
		'label' 			=> esc_html__( 'Domain name', 'fupi' ),
		'field_id' 			=> 'domain',
		'option_arr_id'		=> $option_arr_id,
		'label_for' 		=> $option_arr_id . '[domain]',
		'placeholder'		=> $_SERVER['HTTP_HOST'],
		'default'			=> $_SERVER['HTTP_HOST'],
		'class'				=> 'fupi_required fupi_easy',
		'under field'		=> '<p>This field was automatically filled with the domain of your site. Change it if it is incorrect for any reason.',
	),
	array(
		'type'	 			=> 'text',
		'label' 			=> esc_html__( 'Script source domain', 'fupi' ),
		'field_id' 			=> 'custom_domain',
		'option_arr_id'		=> $option_arr_id,
		'label_for' 		=> $option_arr_id . '[custom_domain]',
		'default'			=> 'plausible.io',
		'class'				=> 'fupi_sub',
		'after field'		=> 'More info',
		'popup'				=> '<p>This field should contain the domain where the Plausible script is hosted. It can be:</p><ol><li>Plausible\'s own domain (plausible.io - default)</li><li>your custom domain for bypassing ad-blockers (advanced). <a href="https://plausible.io/docs/proxy/introduction" target="_blank">Learn more</a></li><li>or the domain of your self-hosted plausible installation (expert). <a href="https://plausible.io/docs/self-hosting" target="_blank">Learn more</a></li></ol>',
		'under field'		=> 'Default: plausible.io',
	),
	array(
		'type'	 			=> 'toggle',
		'label' 			=> esc_html__( 'Validation mode', 'fupi' ),
		'field_id' 			=> 'force_load',
		'class'				=> 'fupi_sub',
		'option_arr_id'		=> $option_arr_id,
		'under field'		=> '<p>' . sprintf( esc_html__( 'Enable it when any tool or application wants to check if Plausible is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
	)
);

if ( $this->geo_enabled ){
	$opt_fields = array(
		array(
			'type'	 			=> 'r3',
			'label' 			=> esc_html__('Use Plausible only in certain countries', 'fupi'),
			'field_id' 			=> 'limit_country',
			'option_arr_id'		=> $option_arr_id,
			'el_class'			=> 'fupi_limit_country fupi_ext_field',
			'is repeater'		=> false,
			'under field'		=> esc_html__('Attention! Plausible will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__('Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
			'fields'			=> array(
				array(
					'type'				=> 'select',
					'field_id'			=> 'method',
					'options'			=> array(
						'excl'				=> 'All except',
						'incl'				=> 'Only in',
					),
				),
				array(
					'type'				=> 'text',
					'field_id'			=> 'countries',
					'placeholder'		=> 'e.g. GB, DE, FR, AU, etc.',
				),
			),
		),
	);
	$basic_fields = array_merge( $basic_fields, $opt_fields );
};

// ALL TOGETHER

$sections = array(

	// INSTALLATION

	array(
		'section_id' => 'fupi_pla_install',
		'section_title' => esc_html__( 'Installation & loading', 'fupi' ),
		'fields' => $basic_fields,
	),

	// STATISTICS IN ADMIN

	array(
		'section_id' => 'fupi_pla_stats',
		'section_title' => esc_html__( 'Statistics in admin', 'fupi' ) . '*',
		'fields' => array(
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Shared link URL', 'fupi' ),
				'field_id' 			=> 'shared_link_url',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[shared_link_url]',
				'placeholder'		=> 'Your shared URL',
				'el_class'			=> 'fupi_condition',
				'el_data_target'	=> 'fupi_shared_link_url',
			),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Let users with this capability view the statistics page', 'fupi' ),
				'field_id' 			=> 'stats_page_cap',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[stats_page_cap]',
				'placeholder'		=> 'manage_options',
				'class'				=> 'fupi_sub fupi_shared_link_url fupi_disabled fupi_lite',
				'under field'		=> sprintf(esc_html__( 'Default is "manage_options" capability available only for site administrators. Enter a different capability to let users with different roles view statistics page. %1$sList of standard capabilities%2$s.', 'fupi'), '<a href="https://wordpress.org/support/article/roles-and-capabilities/#capability-vs-role-table" target="_blank">', '</a>'),
				),
		),
	),

	// BLIND SPOT TRACKING

	array(
		'section_id' => 'fupi_pla_blindspot',
		'section_title' => esc_html__( 'Blind spot tracking', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Track how many people block ads and other tracking tools', 'fupi' ),
				'field_id' 			=> 'detect_adblock_2',
				'placeholder'		=> 'goal name',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[detect_adblock_2]',
				'class'				=> 'fupi_lite',
				'el_class'			=> 'fupi_condition',
				'el_data_target'	=> 'fupi_adblock_test_cond',
				'after field'		=> 'About',
				'popup'				=> '<p>When enabled, this will send information to Plausible whenever a visitor uses an ad blocker on their device. Apart from blocking ads, ad blockers also prevent other tracking tools from working.</p><p>Ad block usage is checked on every page load.</p>',

			),
			array(
				'type'	 			=> 'toggle',
				'label' 			=> esc_html__( 'Check adblock usage once per session', 'fupi' ),
				'field_id' 			=> 'detect_adblock_per_session',
				'option_arr_id'		=> $option_arr_id,
				'class'				=> 'fupi_sub fupi_adblock_test_cond fupi_disabled fupi_lite',
				'under field'		=> esc_html__( 'Recommended. Enable this option to minimize the number of events sent to Plausible.', 'fupi'),
			),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Track how many people decline cookies', 'fupi' ),
				'field_id' 			=> 'track_cookie_decline_2',
				'placeholder'		=> 'goal name',
				'class'				=> 'fupi_lite',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_cookie_decline_2]',
				'under field'		=> '<p>This metric will be collected separately from the ad block usage tracking. In other words, if someone uses an ad blocker and then clicks a "decline cookies" button, they will still be counted in this metric.</p>',
			),
		),
	),

	// EVENT TRACKING

	array(
		'section_id' => 'fupi_pla_events_2',
		'section_title' => esc_html__( 'Events tracking', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Track clicks in contact links', 'fupi' ),
				'field_id' 			=> 'track_contact_links',
				'placeholder'		=> 'goal name',
				'class'				=> 'fupi_lite',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_contact_links]',
			),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Enable tracking affiliate links', 'fupi' ),
				'field_id' 			=> 'track_affiliate_goalname',
				'class'				=> 'fupi_lite',
				'el_class'			=> 'fupi_condition',
				'el_data_target'	=> 'fupi_affiliate_subs',
				'placeholder'		=> 'goal name',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_affiliate_goalname]',
			),
				array(
					'type'	 			=> 'repeater',
					'label' 			=> esc_html__( 'Track:', 'fupi' ),
					'field_id' 			=> 'track_affiliate_2',
					'class'				=> 'fupi_sub fupi_affiliate_subs fupi_disabled fupi_repeater_section fupi_lite',
					'el_data_field1_txt' => esc_html__( 'link part, e.g. /go/', 'fupi' ),
					'el_data_field1_type' => 'url_part',
					'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
					'el_data_field1_err' => '',
					'el_data_field2_txt' => esc_html__( 'link name (optional)', 'fupi' ),
					'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_affiliate_2]',
					'under field' 		=> esc_html__( 'If you don\'t provide a name, a full link address will be visible in Plausible\'s report.', 'fupi' ),
				),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Enable tracking clicks on page elements', 'fupi' ),
				'field_id' 			=> 'track_elems_goalname',
				'el_class'			=> 'fupi_condition',
				'el_data_target'	=> 'fupi_elems_subs',
				'placeholder'		=> 'goal name',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_elems_goalname]',
			),
				array(
					'type'	 			=> 'repeater',
					'label' 			=> esc_html__( 'Track:', 'fupi' ),
					'field_id' 			=> 'track_elems_2',
					'class'				=> 'fupi_sub fupi_elems_subs fupi_disabled fupi_repeater_section',
					'el_data_field1_txt' => esc_html__( 'e.g. #wrapper img', 'fupi' ),
					'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
					'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
					'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
					'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
					'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_elems_2]',
					'under field'		=> esc_html__( 'Attention! If multiple selectors point at the same element only the first match will be sent', 'fupi'),
				),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Enable tracking form submissions', 'fupi' ),
				'field_id' 			=> 'track_forms_goalname',
				'class'				=> 'fupi_lite',
				'el_class'			=> 'fupi_condition',
				'el_data_target'	=> 'fupi_forms_subs',
				'placeholder'		=> 'goal name',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_forms_goalname]',
				'under field'		=>  esc_html__( 'Test this feature after enabling. There are many methods of submitting forms. If this method of tracking fails on your form, track clicks on submit button instead.', 'fupi'),
			),
				array(
					'type'	 			=> 'repeater',
					'label' 			=> esc_html__( 'Track:', 'fupi' ),
					'field_id' 			=> 'track_forms_2',
					'class'				=> 'fupi_sub fupi_forms_subs fupi_disabled fupi_repeater_section fupi_lite',
					'el_data_field1_txt' => esc_html__( 'e.g. #form_id', 'fupi' ),
					'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
					'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
					'el_data_field2_txt' => esc_html__( 'form name (required)', 'fupi' ),
					'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
					'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_forms_2]',
				),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Enable tracking clisks in file download links', 'fupi' ),
				'field_id' 			=> 'track_file_downl_goalname',
				'class'				=> 'fupi_lite',
				'el_class'			=> 'fupi_condition',
				'el_data_target'	=> 'fupi_downl_subs',
				'placeholder'		=> 'goal name',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_forms_goalname]',
			),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Track clicks on file download links', 'fupi' ),
					'field_id' 			=> 'track_file_downl',
					'placeholder'		=> 'e.g. pdf, doc, docx, xls, xlsx, txt',
					'class'				=> 'fupi_sub fupi_downl_subs fupi_disabled fupi_repeater_section fupi_lite',
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_file_downl]',
					'under field'		=> esc_html__( 'Enter coma separated list of file formats (extensions) you want to track', 'fupi'),
				),
		),
	),
);

// WOOCOMMERCE

if ( $this->is_woo_enabled ) {

	$woo_section = array(
		array(
			'section_id' => 'fupi_pla_ecomm_pro',
			'section_title' => esc_html__( 'WooCommerce tracking', 'fupi' ),
			'fields' => array(
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Track purchases', 'fupi' ),
					'field_id' 			=> 'track_woo_purchases',
					'placeholder'		=> 'goal name',
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_purchases]',
					'class'				=> 'fupi_pro',
					'el_class'			=> 'fupi_condition',
					'el_data_target'	=> 'fupi_track_woo_purchases',
				),
					array(
						'type'	 			=> 'text',
						'label' 			=> esc_html__( 'Track purchased items', 'fupi' ),
						'field_id' 			=> 'track_woo_purchased_items',
						'option_arr_id'		=> $option_arr_id,
						'label_for' 		=> $option_arr_id . '[track_purchased_items]',
						'class'				=> 'fupi_sub fupi_track_woo_purchases fupi_disabled fupi_pro',
					),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Track when a customer begins checkout', 'fupi' ),
					'field_id' 			=> 'track_woo_checkouts',
					'placeholder'		=> 'goal name',
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_checkouts]',
					'class'				=> 'fupi_pro',
					'el_class'			=> 'fupi_condition',
					'el_data_target'	=> 'fupi_track_woo_checkouts',
				),
					array(
						'type'	 			=> 'text',
						'label' 			=> esc_html__( 'Track items in cart during checkout', 'fupi' ),
						'field_id' 			=> 'track_woo_checkout_items',
						'option_arr_id'		=> $option_arr_id,
						'label_for' 		=> $option_arr_id . '[track_checkout_items]',
						'class'				=> 'fupi_sub fupi_track_woo_checkouts fupi_disabled fupi_pro',
						'under field'		=> esc_html__( 'Attention! Each item in cart is tracked with a separate event!', 'fupi'),
					),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Track products added to cart', 'fupi' ),
					'field_id' 			=> 'track_woo_addtocart',
					'placeholder'		=> 'goal name',
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_addtocart]',
					'class'				=> 'fupi_pro',
					'under field'		=> esc_html__( 'Attention! If a grouped product is added to cart, each item in the group will be tracked with a separate event!', 'fupi'),
				),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Track products added to wishlist', 'fupi' ),
					'field_id' 			=> 'track_woo_addtowishlist',
					'placeholder'		=> 'goal name',
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_addtowishlist]',
					'class'				=> 'fupi_pro',
				),
			),
		),
	);

	$sections = array_merge( $sections, $woo_section );
}

?>
