<?php

// BASIC FIELDS
$basic_fields = array( array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Validation mode', 'fupi' ),
    'field_id'      => 'force_load',
    'option_arr_id' => $option_arr_id,
    'under field'   => '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
) );
if ( $this->cook_enabled ) {
    $basic_fields = array_merge( $basic_fields, array( array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
        'field_id'      => 'disreg_cookies',
        'el_class'      => 'fupi_ext_field',
        'option_arr_id' => $option_arr_id,
        'under field'   => '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi' ) . '</p>',
    ), array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Use Splitbee in "no cookies" mode', 'fupi' ),
        'el_class'      => 'fupi_ext_field',
        'field_id'      => 'no_cookies',
        'option_arr_id' => $option_arr_id,
        'under field'   => '<p>When it is active Splitbee will not save cookies on your visitor\'s browsers until they agree to cookies in a cookie notice.</p>',
    ) ) );
}
if ( $this->geo_enabled ) {
    $basic_fields = array_merge( $basic_fields, array( array(
        'type'          => 'r3',
        'label'         => esc_html__( 'Use Splitbee only in certain countries', 'fupi' ),
        'field_id'      => 'limit_country',
        'option_arr_id' => $option_arr_id,
        'el_class'      => 'fupi_limit_country fupi_ext_field',
        'is repeater'   => false,
        'under field'   => esc_html__( 'Attention! Splitbee will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__( 'Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
        'fields'        => array( array(
        'type'     => 'select',
        'field_id' => 'method',
        'options'  => array(
        'excl' => 'All except',
        'incl' => 'Only in',
    ),
    ), array(
        'type'        => 'text',
        'field_id'    => 'countries',
        'placeholder' => 'e.g. GB, DE, FR, AU, etc.',
    ) ),
    ) ) );
}
// USER FIELDS
$user_fields = array( array(
    'type'          => 'toggle',
    'label'         => esc_html__( 'Track login status and user role', 'fupi' ),
    'field_id'      => 'track_user_role',
    'option_arr_id' => $option_arr_id,
) );
// ALL TOGETHER
$sections = array(
    // INSTALLATION
    array(
        'section_id'    => 'fupi_sbee_install',
        'section_title' => esc_html__( 'Installation & loading', 'fupi' ),
        'fields'        => $basic_fields,
    ),
    // AB TESTS
    array(
        'section_id'    => 'fupi_sbee_tests',
        'section_title' => esc_html__( 'Content Experiments', 'fupi' ),
        'fields'        => array( array(
        'type'           => 'toggle',
        'label'          => esc_html__( 'Enable content experiments', 'fupi' ),
        'field_id'       => 'enable_ab_tests',
        'el_class'       => 'fupi_condition',
        'el_data_target' => 'fupi_sub_ab_tests',
        'option_arr_id'  => $option_arr_id,
    ), array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Prevent flash of original content', 'fupi' ),
        'field_id'      => 'no_async',
        'class'         => 'fupi_sub fupi_sub_ab_tests fupi_disabled',
        'option_arr_id' => $option_arr_id,
        'after field'   => esc_html__( '(recommended)', 'fupi' ),
        'popup'         => '<p>If you enable this option Splitbee script will be set as "blocking". It will pause rendering of the page until the experiment loads. Without it original page content may show up for a brief moment before it is replaced by the tested variant.</p>',
    ) ),
    ),
    // EVENT TRACKING
    array(
        'section_id'    => 'fupi_sbee_events',
        'section_title' => esc_html__( 'Events tracking', 'fupi' ),
        'fields'        => array(
        array(
        'type'                => 'repeater',
        'label'               => esc_html__( 'Track clicks on affiliate links', 'fupi' ),
        'field_id'            => 'track_affiliate',
        'class'               => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt'  => esc_html__( 'url part, e.g. /go/', 'fupi' ),
        'el_data_field1_type' => 'url_part',
        'el_data_field1_req'  => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err'  => '',
        'el_data_field2_txt'  => esc_html__( 'name (optional)', 'fupi' ),
        'el_data_field2_req'  => '',
        'el_data_field2_err'  => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'       => $option_arr_id,
        'label_for'           => $option_arr_id . '[track_affiliate]',
    ),
        array(
        'type'          => 'text',
        'label'         => esc_html__( 'Track clicks on file download links', 'fupi' ),
        'field_id'      => 'track_file_downl',
        'class'         => 'fupi_lite',
        'placeholder'   => 'pdf, doc, docx, xls, xlsx, txt',
        'option_arr_id' => $option_arr_id,
        'label_for'     => $option_arr_id . '[track_file_downl]',
        'under field'   => sprintf( esc_html__( 'Enter coma separated list of file formats you want to track.', 'fupi' ), '<a href="#">', '</a>' ),
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track clicks on email and tel. links', 'fupi' ),
        'field_id'      => 'track_email_tel',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'          => 'toggle',
        'label'         => esc_html__( 'Track clicks on cookie notice buttons', 'fupi' ),
        'field_id'      => 'track_c_notice_btns',
        'class'         => 'fupi_lite',
        'option_arr_id' => $option_arr_id,
    ),
        array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Track clicks on page elements', 'fupi' ),
        'field_id'           => 'track_elems',
        'class'              => 'fupi_repeater_section',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #sth img', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'element name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[track_elems]',
        'under field'        => esc_html__( 'Attention! If multiple selectors point at the same element only the first match will be sent', 'fupi' ),
    ),
        array(
        'type'               => 'repeater',
        'label'              => esc_html__( 'Track form submissions', 'fupi' ),
        'field_id'           => 'track_forms',
        'class'              => 'fupi_repeater_section fupi_lite',
        'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #form_id', 'fupi' ),
        'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
        'el_data_field2_txt' => esc_html__( 'form name (required)', 'fupi' ),
        'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
        'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
        'option_arr_id'      => $option_arr_id,
        'label_for'          => $option_arr_id . '[track_forms]',
        'under field'        => esc_html__( 'Attention! Test this feature after enabling. There are many methods of submitting forms. If this method of tracking fails for your form, track "clicks" on "submit" button instead.', 'fupi' ),
    )
    ),
    ),
    // USER DETAILS
    array(
        'section_id'    => 'fupi_sbee_user',
        'section_title' => esc_html__( 'User info tracking', 'fupi' ),
        'fields'        => $user_fields,
    ),
);
// WOOCOMMERCE

if ( $this->is_woo_enabled ) {
    $woo_section = array( array(
        'section_id'    => 'fupi_sbee_ecomm_pro',
        'section_title' => esc_html__( 'WooCommerce tracking', 'fupi' ),
    ) );
    $sections = array_merge( $sections, $woo_section );
}
