<?php

$basic_fields = array(
	array(
		'type'	 			=> 'text',
		'label' 			=> esc_html__( 'TikTok Pixel ID', 'fupi' ),
		'field_id' 			=> 'id',
		'class'				=> 'fupi_required',
		'option_arr_id'		=> $option_arr_id,
		'label_for' 		=> $option_arr_id . '[id]',
		'after field'		=> 'How to get it',
		'popup'				=> 'Login to <a href="https://ads.tiktok.com/" target="_blank">ads.tiktok.com</a>, go to "Assets" > "Events" and copy Pixel ID from the available ones (above graphs) or create a new one. Create pixel in the "developer mode" to be able to use the features in the following sections.',
	),
	array(
		'type'	 			=> 'toggle',
		'label' 			=> esc_html__( 'Validation mode', 'fupi' ),
		'field_id' 			=> 'force_load',
		'class'				=> 'fupi_sub',
		'option_arr_id'		=> $option_arr_id,
		'under field'		=> '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
	)
);

if ( $this->cook_enabled ){
	$opt_fields = array(
		array(
			'type'	 			=> 'toggle',
			'label' 			=> esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
			'field_id' 			=> 'disreg_cookies',
			'class'				=> 'fupi_sub',
			'el_class'			=> 'fupi_ext_field',
			'option_arr_id'		=> $option_arr_id,
			'under field'		=> '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi') . '</p>',
		),
	);
	$basic_fields = array_merge( $basic_fields, $opt_fields );
};

if ( $this->geo_enabled ){
	$opt_fields = array(
		array(
			'type'	 			=> 'r3',
			'label' 			=> esc_html__('Use TikTok Pixel only in certain countries', 'fupi'),
			'field_id' 			=> 'limit_country',
			'option_arr_id'		=> $option_arr_id,
			'el_class'			=> 'fupi_limit_country fupi_ext_field',
			'is repeater'		=> false,
			'under field'		=> esc_html__('Attention! TikTok Pixel will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__('Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
			'fields'			=> array(
				array(
					'type'				=> 'select',
					'field_id'			=> 'method',
					'options'			=> array(
						'excl'				=> 'All except',
						'incl'				=> 'Only in',
					),
				),
				array(
					'type'				=> 'text',
					'field_id'			=> 'countries',
					'placeholder'		=> 'e.g. GB, DE, FR, AU, etc.',
				),
			),
		),
	);
	$basic_fields = array_merge( $basic_fields, $opt_fields );
};

// ALL TOGETHER

$sections = array(

	// INSTALLATION

	array(
		'section_id' => 'fupi_tik_install',
		'section_title' => esc_html__( 'Installation & loading', 'fupi' ),
		'fields' => $basic_fields,
	),

	// EVENT TRACKING

	array(
		'section_id' => 'fupi_tik_events',
		'section_title' => esc_html__( 'Track simple events', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'toggle',
				'label' 			=> esc_html__( 'Track clicks on email and tel. links', 'fupi' ),
				'field_id' 			=> 'track_email_tel',
				'class'				=> 'fupi_lite',
				'option_arr_id'		=> $option_arr_id,
			),
			array(
				'type'	 			=> 'text',
				'label' 			=> esc_html__( 'Track clicks on file download links', 'fupi' ),
				'field_id' 			=> 'track_file_downl',
				'class'				=> 'fupi_lite',
				'placeholder'		=> 'pdf, doc, docx, xls, xlsx, txt',
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_file_downl]',
				'under field'		=> esc_html__( 'Enter coma separated list of file formats you want to track', 'fupi'),
			),
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track clicks on page elements', 'fupi' ),
				'field_id' 			=> 'track_elems',
				'class'				=> 'fupi_repeater_section',
				'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #sth img', 'fupi' ),
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
				'el_data_field2_txt' => esc_html__( 'Element name', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_elems]',
				'under field'		=> esc_html__( 'Attention! If multiple selectors point at the same element only the first match will be sent', 'fupi'),
			),
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track form submissions', 'fupi' ),
				'field_id' 			=> 'track_forms',
				'class'				=> 'fupi_repeater_section fupi_lite',
				'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #form_id', 'fupi' ),
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
				'el_data_field2_txt' => esc_html__( 'Form name', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters, spaces, hyphens, underscores and [ ] symbols', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_forms]',
				'under field'		=> esc_html__( 'Attention! Test this feature after enabling. There are many methods of submitting forms. If this method of tracking fails on your form, track clicks on form submit button instead.', 'fupi'),
			),
		),
	),
);

// WOOCOMMERCE

if ( $this->is_woo_enabled ) {

	$woo_section = array(
		array(
			'section_id' => 'fupi_tik_ecomm_pro',
			'section_title' => esc_html__( 'Track WooCommerce events', 'fupi' ),
		),
	);

	$sections = array_merge( $sections, $woo_section );
}

?>
