<?php

$basic_fields = array(
	array(
		'type'	 			=> 'text',
		'label' 			=> esc_html__( 'Universal Website Tag\'s ID', 'fupi' ),
		'field_id' 			=> 'id',
		'class'				=> 'fupi_required',
		'option_arr_id'		=> $option_arr_id,
		'label_for' 		=> $option_arr_id . '[id]',
	),
	array(
		'type'	 			=> 'toggle',
		'label' 			=> esc_html__( 'Validation mode', 'fupi' ),
		'field_id' 			=> 'force_load',
		'class'				=> 'fupi_sub',
		'option_arr_id'		=> $option_arr_id,
		'under field'		=> '<p>' . sprintf( esc_html__( 'Enable it before checking if this tool is installed on your site. Disable afterwards. %1$sLearn more%2$s', 'fupi' ), '<a target="_blank" href="https://fullpictureplugin.com/?p=14049&utm_source=useradmin&utm_medium=settings&utm_campaign=settings_link">', '</a>' ) . '</p>',
	)
);

if ( $this->cook_enabled ){
	$opt_fields = array(
		array(
			'type'	 			=> 'toggle',
			'label' 			=> esc_html__( 'Load without waiting for cookie consent', 'fupi' ),
			'field_id' 			=> 'disreg_cookies',
			'class'				=> 'fupi_sub',
			'el_class'			=> 'fupi_ext_field',
			'option_arr_id'		=> $option_arr_id,
			'under field'		=> '<p>' . esc_html__( 'This overwrites the cookie notice setting.', 'fupi') . '</p>',
		),
	);
	$basic_fields = array_merge( $basic_fields, $opt_fields );
};

if ( $this->geo_enabled ){
	$opt_fields = array(
		array(
			'type'	 			=> 'r3',
			'label' 			=> esc_html__('Use Twitter UWT only in certain countries', 'fupi'),
			'field_id' 			=> 'limit_country',
			'option_arr_id'		=> $option_arr_id,
			'el_class'			=> 'fupi_limit_country fupi_ext_field',
			'is repeater'		=> false,
			'under field'		=> esc_html__('Attention! Twitter Universal Tag will load if visitor\'s country is not recognized. Location is checked using the method chosen in the Geolocation settings.', 'fupi' ) . '<br><br>' . sprintf( esc_html__('Enter a list of 2-character %1$scountry codes%2$s separated by comas', 'fupi' ), '<a target="_blank" href="https://www.iban.com/country-codes">', '</a>' ),
			'fields'			=> array(
				array(
					'type'				=> 'select',
					'field_id'			=> 'method',
					'options'			=> array(
						'excl'				=> 'All except',
						'incl'				=> 'Only in',
					),
				),
				array(
					'type'				=> 'text',
					'field_id'			=> 'countries',
					'placeholder'		=> 'e.g. GB, DE, FR, AU, etc.',
				),
			),
		),
	);
	$basic_fields = array_merge( $basic_fields, $opt_fields );
};

// ALL TOGETHER

$sections = array(

	// INSTALLATION

	array(
		'section_id' => 'fupi_twit_install',
		'section_title' => esc_html__( 'Installation & loading', 'fupi' ),
		'fields' => $basic_fields,
	),

	// SINGLE EVENTS

	array(
		'section_id' => 'fupi_twit_single',
		'section_title' => esc_html__( 'Single events', 'fupi' ),
		'fields' => array(
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track clicks on affiliate links', 'fupi' ),
				'field_id' 			=> 'track_affiliate',
				'class'				=> 'fupi_repeater_section fupi_lite',
				'el_data_field1_txt' => esc_html__( 'url part, e.g. /go/', 'fupi' ),
				'el_data_field1_type' => 'url_part',
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => '',
				'el_data_field2_txt' => esc_html__( 'Single event\'s Tag ID', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_affiliate]',
			),
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track clicks on page elements', 'fupi' ),
				'field_id' 			=> 'track_elems',
				'class'				=> 'fupi_repeater_section',
				'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #sth img', 'fupi' ),
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
				'el_data_field2_txt' => esc_html__( 'Single event\'s Tag ID', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_elems]',
				'under field'		=> esc_html__( 'Attention! If multiple selectors point at the same element only the first match will be sent', 'fupi'),
			),
			array(
				'type'	 			=> 'repeater',
				'label' 			=> esc_html__( 'Track form submissions', 'fupi' ),
				'field_id' 			=> 'track_forms',
				'class'				=> 'fupi_repeater_section fupi_lite',
				'el_data_field1_txt' => esc_html__( 'CSS selector e.g. #form_id', 'fupi' ),
				'el_data_field1_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field1_err' => esc_html__( 'incorrect selector', 'fupi' ),
				'el_data_field2_txt' => esc_html__( 'Single event\'s Tag ID', 'fupi' ),
				'el_data_field2_req' => esc_html__( 'this field is required', 'fupi' ),
				'el_data_field2_err' => esc_html__( 'only alphanumeric characters', 'fupi' ),
				'option_arr_id'		=> $option_arr_id,
				'label_for' 		=> $option_arr_id . '[track_forms]',
				'under field'		=> esc_html__( 'Test this feature after enabling. There are many methods of submitting forms. If tracking fails on your form, set up tagging when visitors click the "submit" button of your form.', 'fupi'),
			),
		),
	),
);

// WOOCOMMERCE

if ( $this->is_woo_enabled ) {

	$woo_section = array(
		array(
			'section_id' => 'fupi_twit_ecomm_pro',
			'section_title' => esc_html__( 'WooCommerce single events', 'fupi' ),
			'fields' => array(
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Track purchases', 'fupi' ),
					'field_id' 			=> 'track_woo_purchase',
					'class'				=> 'fupi_pro',
					'placeholder'		=> esc_html__( 'Single event\'s Tag ID', 'fupi' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_purchase]',
				),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Track checkouts', 'fupi' ),
					'field_id' 			=> 'track_woo_checkout',
					'class'				=> 'fupi_pro',
					'placeholder'		=> esc_html__( 'Single event\'s Tag ID', 'fupi' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_checkout]',
				),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Track adding a product to the cart', 'fupi' ),
					'field_id' 			=> 'track_woo_addtocart',
					'class'				=> 'fupi_pro',
					'placeholder'		=> esc_html__( 'Single event\'s Tag ID', 'fupi' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_addtocart]',
				),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Track adding a product to a wishlist', 'fupi' ),
					'field_id' 			=> 'track_woo_addtowishlist',
					'class'				=> 'fupi_pro',
					'placeholder'		=> esc_html__( 'Single event\'s Tag ID', 'fupi' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_addtowishlist]',
				),
				array(
					'type'	 			=> 'text',
					'label' 			=> esc_html__( 'Track product views', 'fupi' ),
					'field_id' 			=> 'track_woo_prodview',
					'class'				=> 'fupi_pro',
					'placeholder'		=> esc_html__( 'Single event\'s Tag ID', 'fupi' ),
					'option_arr_id'		=> $option_arr_id,
					'label_for' 		=> $option_arr_id . '[track_prodview]',
				),
			),
		),
	);

	$sections = array_merge( $sections, $woo_section );
}

?>
