<?php

function fupi_display_cookie_notice( $that )
{
    $notice_opts = get_option( 'fupi_cookie_notice' );
    // get all the variables
    // various
    $hidden_elements = ( isset( $notice_opts['hide'] ) && is_array( $notice_opts['hide'] ) ? $notice_opts['hide'] : false );
    $overlay_class = ( !empty($notice_opts['overlay']) ? 'fupi_notice_gradient_overlay' : '' );
    $privacy_page_id = ( !empty($notice_opts['privacy_page_id']) ? esc_attr( $notice_opts['privacy_page_id'] ) : false );
    // for free users
    $fupi_version = '';
    $fupi_campaignName = 'free_link';
    // classes & data attr
    $notice_position = ( !empty($notice_opts['position']) ? esc_attr( $notice_opts['position'] ) : 'bottom' );
    $notice_paddings = ( !empty($notice_opts['paddings']) ? esc_attr( $notice_opts['paddings'] ) : 'default' );
    $btn_config = ( !empty($notice_opts['btn_config']) ? esc_attr( $notice_opts['btn_config'] ) : 'default' );
    $btn_class = ( !empty($notice_opts['btn_class']) ? esc_attr( $notice_opts['btn_class'] ) : '' );
    $cta_class = ( !empty($notice_opts['cta_class']) ? esc_attr( $notice_opts['cta_class'] ) : '' );
    // defaults
    $notif_text_default = esc_html__( 'We use cookies to provide you with the best browsing experience, personalise content of our site, analyse its traffic and show you relevant ads. See our {{privacy policy}} for more information', 'fupi' );
    $agree_text_default = esc_html__( 'Agree', 'fupi' );
    $decline_text_default = esc_html__( 'Decline', 'fupi' );
    $cookie_settings_text_default = esc_html__( 'Cookie settings', 'fupi' );
    $agree_to_selected_text_default = esc_html__( 'Agree to selected', 'fupi' );
    $return_text_default = esc_html__( 'Return', 'fupi' );
    $stats_headline_text_default = esc_html__( 'Statistics', 'fupi' );
    $stats_text_default = esc_html__( 'I want to help you make this site better so I will provide you with anonymous data about my use of this site.', 'fupi' );
    $pers_headline_text_default = esc_html__( 'Personalisation', 'fupi' );
    $pers_text_default = esc_html__( 'I want to have the best experience on this site so I agree to saving my choices, recommending things I may like and modifying the site to my liking', 'fupi' );
    $marketing_headline_text_default = esc_html__( 'Marketing', 'fupi' );
    $marketing_text_default = esc_html__( 'I want to see ads with your offers, coupons and exclusive deals rather than random ads from other advertisers.', 'fupi' );
    // texts
    $notif_text = ( !empty($notice_opts['notif_text']) ? esc_html( $notice_opts['notif_text'] ) : $notif_text_default );
    $agree_text = ( !empty($notice_opts['agree_text']) ? esc_html( $notice_opts['agree_text'] ) : $agree_text_default );
    $decline_text = ( !empty($notice_opts['decline_text']) ? esc_html( $notice_opts['decline_text'] ) : $decline_text_default );
    $cookie_settings_text = ( !empty($notice_opts['cookie_settings_text']) ? esc_html( $notice_opts['cookie_settings_text'] ) : $cookie_settings_text_default );
    $agree_to_selected_text = ( !empty($notice_opts['agree_to_selected_text']) ? esc_html( $notice_opts['agree_to_selected_text'] ) : $agree_to_selected_text_default );
    $return_text = ( !empty($notice_opts['return_text']) ? esc_html( $notice_opts['return_text'] ) : $return_text_default );
    $stats_headline_text = ( !empty($notice_opts['stats_headline_text']) ? esc_html( $notice_opts['stats_headline_text'] ) : $stats_headline_text_default );
    $stats_text = ( !empty($notice_opts['stats_text']) ? esc_html( $notice_opts['stats_text'] ) : $stats_text_default );
    $pers_headline_text = ( !empty($notice_opts['pers_headline_text']) ? esc_html( $notice_opts['pers_headline_text'] ) : $pers_headline_text_default );
    $pers_text = ( !empty($notice_opts['pers_text']) ? esc_html( $notice_opts['pers_text'] ) : $pers_text_default );
    $marketing_headline_text = ( !empty($notice_opts['marketing_headline_text']) ? esc_html( $notice_opts['marketing_headline_text'] ) : $marketing_headline_text_default );
    $marketing_text = ( !empty($notice_opts['marketing_text']) ? esc_html( $notice_opts['marketing_text'] ) : $marketing_text_default );
    // position of placeholders in notification text
    $open_tag_pos = strpos( $notif_text, '{{' );
    $close_tag_pos = strpos( $notif_text, '}}' );
    // add link to notif text
    if ( $open_tag_pos && $close_tag_pos ) {
        
        if ( $privacy_page_id && is_numeric( $privacy_page_id ) ) {
            $privacy_page_url = get_permalink( (int) $privacy_page_id );
            
            if ( $privacy_page_url !== false ) {
                $link_start = '<a href="' . $privacy_page_url . '" class="fupi_privacy_url">';
                $link_end = '</a>';
                $notif_text = substr_replace(
                    $notif_text,
                    $link_start,
                    $open_tag_pos,
                    2
                );
                $close_tag_pos = strpos( $notif_text, '}}' );
                // needs to be calculated again after previoud replacement since the string changed its length
                $notif_text = substr_replace(
                    $notif_text,
                    $link_end,
                    $close_tag_pos,
                    2
                );
            }
        
        } else {
            $notif_text = str_replace( '{{', '', $notif_text );
            $notif_text = str_replace( '}}', '', $notif_text );
        }
    
    }
    ob_start();
    // BORDER STYLE
    $border_style = esc_attr( get_theme_mod( 'fupi_cookie_notice_border', 'none' ) );
    $border_color = esc_attr( get_theme_mod( 'fupi_notice_border_color', '#ccc' ) );
    if ( empty($border_color) ) {
        $border_color = '#ccc';
    }
    $border_output = '';
    switch ( $border_style ) {
        case 'small_shadow':
            $border_output = 'box-shadow: 2px 3px 7px rgba(0,0,0,.2);';
            break;
        case 'large_shadow':
            $border_output = 'box-shadow: 5px 7px 17px rgba(0,0,0,.2);';
            break;
        case 'thin_border':
            $border_output = 'border: 1px solid ' . $border_color . ';';
            break;
        case 'wide_border':
            $border_output = 'border: 4px solid ' . $border_color . ';';
            break;
    }
    echo  "\n" . '<style id="fupi_cookie_css">
		body{
			--fupi-notice-round-corners:  ' . esc_attr( get_theme_mod( 'fupi_notice_round_corners', '0' ) ) . 'px;
			--fupi-notice-btn-round-corners:  ' . esc_attr( get_theme_mod( 'fupi_notice_btn_round_corners', '0' ) ) . 'px;
		}
		#fupi_cookie_notice button{
			border-radius: var(--fupi-notice-btn-round-corners);
		}
		#fupi_cookie_notice h3{
			color: ' . esc_attr( get_theme_mod( 'fupi_notice_h_color', 'auto' ) ) . ';
		}
		#fupi_cookie_notice{
			color: ' . esc_attr( get_theme_mod( 'fupi_notice_text_color', 'auto' ) ) . ';
		}
		#fupi_cookie_notice .fupi_panel{
			border-radius: var(--fupi-notice-round-corners);
			background-color: ' . esc_attr( get_theme_mod( 'fupi_notice_bg_color', 'auto' ) ) . ';
			' . $border_output . '
		}
		#fupi_cookie_notice .fupi_buttons button.fupi_button{
			background-color: ' . esc_attr( get_theme_mod( 'fupi_notice_btn_color', 'auto' ) ) . ';
			color: ' . esc_attr( get_theme_mod( 'fupi_notice_btn_txt_color', 'auto' ) ) . ';
		}
		#fupi_cookie_notice .fupi_buttons button.fupi_button:hover, #fupi_cookie_notice .fupi_buttons button.fupi_button:focus{
			background-color: ' . esc_attr( get_theme_mod( 'fupi_notice_btn_color_hover', 'auto' ) ) . ';
			color: ' . esc_attr( get_theme_mod( 'fupi_notice_btn_txt_color_hover', 'auto' ) ) . ';
		}
		#fupi_cookie_notice .fupi_buttons button.fupi_cta{
			background-color: ' . esc_attr( get_theme_mod( 'fupi_notice_cta_color', 'auto' ) ) . ';
			color: ' . esc_attr( get_theme_mod( 'fupi_notice_cta_txt_color', 'auto' ) ) . ';
		}
		#fupi_cookie_notice .fupi_buttons button.fupi_cta:hover, #fupi_cookie_notice .fupi_buttons button.fupi_cta:focus{
			background-color: ' . esc_attr( get_theme_mod( 'fupi_notice_cta_color_hover', 'auto' ) ) . ';
			color: ' . esc_attr( get_theme_mod( 'fupi_notice_cta_txt_color_hover', 'auto' ) ) . ';
		}
		input:checked+.fupi_slider{
			background-color: ' . esc_attr( get_theme_mod( 'fupi_notice_switch_color', 'auto' ) ) . ';
		}' . "\n" ;
    if ( $hidden_elements && in_array( 'powered_by', $hidden_elements ) ) {
        echo  ".fupi_poweredBy{ display: block; }\n" ;
    }
    
    if ( $that->is_customizer ) {
        if ( $hidden_elements && in_array( 'settings_btn', $hidden_elements ) ) {
            echo  "#fupi_cookie_settings_btn{ display: none; }\n" ;
        }
        if ( $hidden_elements && in_array( 'decline_btn', $hidden_elements ) ) {
            echo  "#fupi_decline_cookies_btn{ display: none; }\n" ;
        }
        if ( $hidden_elements && in_array( 'stats', $hidden_elements ) ) {
            echo  "#fupi_stats_section{ display: none; }\n" ;
        }
        if ( $hidden_elements && in_array( 'market', $hidden_elements ) ) {
            echo  "#fupi_market_section{ display: none; }\n" ;
        }
        if ( $hidden_elements && in_array( 'pers', $hidden_elements ) ) {
            echo  "#fupi_pers_section{ display: none; }\n" ;
        }
    }
    
    echo  "</style>\n" ;
    echo  '<!-- Full Picture - Cookie Notice & Analytics - START -->
	<aside id="fupi_cookie_notice" class="fupi_hidden ' . $overlay_class . ' fupi_notice_btn_' . esc_attr( get_theme_mod( 'fupi_cookie_notice_size', 'default' ) ) . '" data-position="' . $notice_position . '" data-paddings="' . $notice_paddings . '" data-btn_config="' . $btn_config . '">
		<div id="fupi_welcome_panel" class="fupi_panel fupi_hidden">
			<div class="fupi_inner">
				<div class="fupi_content">
					<p id="fupi_main_descr" class="fupi_cookietype_descr">' . $notif_text . '</p>
				</div>
				<div class="fupi_buttons">' ;
    echo  '<button type="button" id="fupi_agree_to_all_cookies_btn" data-classes="fupi_cta" class="fupi_cta ' . $cta_class . '">' . $agree_text . '</button>' ;
    if ( $that->is_customizer || (!$hidden_elements || $hidden_elements && !in_array( 'settings_btn', $hidden_elements )) ) {
        echo  '<button type="button" id="fupi_cookie_settings_btn" data-classes="fupi_button" class="fupi_button ' . $btn_class . '">' . $cookie_settings_text . '</button>' ;
    }
    if ( $that->is_customizer || (!$hidden_elements || $hidden_elements && !in_array( 'decline_btn', $hidden_elements )) ) {
        echo  '<button type="button" id="fupi_decline_cookies_btn" data-classes="fupi_button" class="fupi_button ' . $btn_class . '">' . $decline_text . '</button>' ;
    }
    echo  '<p class="fupi_poweredBy">Powered by <a href="https://fullpictureplugin.com/?utm_source=usersite&utm_medium=poweredby&utm_campaign=' . $fupi_campaignName . '" rel="nofollow">Full Picture ' . $fupi_version . '</a></p>
				</div>
			</div>
		</div>' ;
    
    if ( $that->is_customizer || (!$hidden_elements || $hidden_elements && !in_array( 'settings_btn', $hidden_elements )) ) {
        echo  '<div id="fupi_settings_panel" class="fupi_panel fupi_fadeOutDown">
				<div class="fupi_inner">
					<div class="fupi_content">' ;
        if ( $that->is_customizer || (!$hidden_elements || $hidden_elements && !in_array( 'stats', $hidden_elements )) ) {
            echo  '<div id="fupi_stats_section" class="fupi_section">
							<h3 id="fupi_stats_headline">' . $stats_headline_text . '</h3>
							<label class="fupi_switch">
								<span class="fupi_srt">' . $stats_headline_text . '</span>
								<input id="fupi_stats_agree" name="fupi_stats_agree" value="stats" type="checkbox"/>
								<span class="fupi_slider"></span>
							</label>
							<p id="fupi_stats_descr" class="fupi_cookietype_descr">' . $stats_text . '</p>
						</div>' ;
        }
        if ( $that->is_customizer || (!$hidden_elements || $hidden_elements && !in_array( 'pers', $hidden_elements )) ) {
            echo  '<div id="fupi_pers_section" class="fupi_section">
							<h3 id="fupi_pers_headline">' . $pers_headline_text . '</h3>
							<label class="fupi_switch">
								<span class="fupi_srt">' . $pers_headline_text . '</span>
								<input id="fupi_pers_agree" name="fupi_pers_agree" value="personalisation" type="checkbox"/>
								<span class="fupi_slider"></span>
							</label>
							<p id="fupi_pers_descr" class="fupi_cookietype_descr">' . $pers_text . '</p>
						</div>' ;
        }
        if ( $that->is_customizer || (!$hidden_elements || $hidden_elements && !in_array( 'market', $hidden_elements )) ) {
            echo  '<div id="fupi_market_section" class="fupi_section">
							<h3 id="fupi_market_headline">' . $marketing_headline_text . '</h3>
							<label class="fupi_switch">
								<span class="fupi_srt">' . $marketing_headline_text . '</span>
								<input id="fupi_marketing_agree" name="fupi_marketing_agree" value="marketing" type="checkbox"/>
								<span class="fupi_slider"></span>
							</label>
							<p id="fupi_market_descr" class="fupi_cookietype_descr">' . $marketing_text . '</p>
						</div>' ;
        }
        echo  '</div>
					<div class="fupi_buttons">
						<button type="button" id="fupi_agree_to_selected_cookies_btn" data-classes="fupi_cta" class="fupi_cta ' . $cta_class . '">' . $agree_to_selected_text . '</button>
						<button type="button" id="fupi_return_btn" data-classes="fupi_button" class="fupi_button ' . $btn_class . '">' . $return_text . '</button>
					</div>
					<p class="fupi_poweredBy">Powered by <a href="https://fullpictureplugin.com/?utm_source=usersite&utm_medium=poweredby&utm_campaign=' . $fupi_campaignName . '" rel="nofollow">Full Picture ' . $fupi_version . '</a></p>' ;
        echo  '</div>
			</div>' ;
    }
    
    echo  '</aside><!-- Full Picture - Cookie Notice & Analytics - END -->' ;
    if ( $that->is_customizer ) {
        echo  '<ul id="fupi_default_texts" style="display: none;">
			<li data-target="fupi_main_descr">' . $notif_text_default . '</li>
			<li data-target="fupi_agree_to_all_cookies_btn">' . $agree_text_default . '</li>
			<li data-target="fupi_decline_cookies_btn">' . $decline_text_default . '</li>
			<li data-target="fupi_cookie_settings_btn">' . $cookie_settings_text_default . '</li>
			<li data-target="fupi_agree_to_selected_cookies_btn">' . $agree_to_selected_text_default . '</li>
			<li data-target="fupi_return_btn">' . $return_text_default . '</li>
			<li data-target="fupi_stats_headline">' . $stats_headline_text_default . '</li>
			<li data-target="fupi_stats_descr">' . $stats_text_default . '</li>
			<li data-target="fupi_pers_headline">' . $pers_headline_text_default . '</li>
			<li data-target="fupi_pers_descr">' . $pers_text_default . '</li>
			<li data-target="fupi_market_headline">' . $marketing_headline_text_default . '</li>
			<li data-target="fupi_market_descr">' . $marketing_text_default . '</li>
		</ul>' ;
    }
    ob_end_flush();
}

fupi_display_cookie_notice( $this );