(function (window){

	

	FP.makeName = function ( str, el ) {
		if ( str ) {
			if ( str.indexOf('[name]') != -1  ) {
				var textContent = el.textContent;
				if ( textContent.length > 20 ) {
					textContent.substring(0, 20);
				};
				return str.replace('[name]', textContent);
			} else {
				return str;
			}
		} else {
			return false;
		}
	}

	

	FP.isClickTarget = function( selector ){
		return ( ! fpdata.clicked.link && ! fpdata.clicked.middle && fpdata.clicked.element.matches( selector ) ) || ( fpdata.clicked.link && fpdata.clicked.link.element.matches( selector ) );
	}

	FP.getClickTarget = function( arr ){

		var max = arr.length,
            i = 0,
			name = false;

        for (; i < max; i++) {

            var selector = arr[i][0],
				searched_el = false,
				target = fpdata.clicked.element;

			if ( fpdata.clicked.element.matches( selector ) ) {
				if ( fpdata.clicked.middle ) {
					if ( fpdata.clicked.link ) {
						searched_el = target;
					}
				} else {
					searched_el = target;
				}
			} else if ( fpdata.clicked.link && fpdata.clicked.link.element.matches( selector ) ){
				searched_el = fpdata.clicked.link.element;
			}

            if ( searched_el ) {
				name = FP.makeName( arr[i][1], searched_el ) || selector;
                i = max + 1;
            }
        }

		// console.log('returned val', name);
		return name;
	}

	

	FP.clickAgain = function(){
		fpdata.clicked.element.click();
		fpdata.clicked.element.classList.remove('fupi_click_stopped');
		if ( fp.vars.debug ) console.log('FP: Initiated click event after all FP functions');
	}

	function trackClicks(e, is_middle_click) {

		let redirect_stopped = false;

		// Run this function only once after a click
		if ( e.target.classList.contains('fupi_click_stopped') ) return;

	    // Do not run this function if a visitor clicks the element multiple times in a short time-span
	    var now = Date.now();
	    if ( ! ( ! FP.v.lastClick || now - FP.v.lastClick > fp.vars.dblclck_time ) ) return;
	    FP.v.lastClick = now;

		// GET CLICK DATA

		fpdata.clicked = {
			'element' : e.target,
			'middle' : is_middle_click,
		};

		var link_el = FP.findClosestLinkEl(e.target);

		if ( link_el && link_el.href.length > 1 ) {

			fpdata.clicked.link 				= {};
			fpdata.clicked.link.element			= link_el;
			fpdata.clicked.link.href			= link_el.href;
			fpdata.clicked.link.is_to_current_page = FP.isLinkToCurrentPage(link_el);
			fpdata.clicked.link.target_blank 	= link_el.target == '_blank';

			

			// when a link is to be opened on the current tab
			if ( ! is_middle_click && link_el.target != '_blank' && fp.vars.link_click_delay  ){
				e.preventDefault(); // prevents redirects
				e.stopPropagation(); // prevents other event listeners from firing
				e.target.classList.add('fupi_click_stopped');
				redirect_stopped = true;
				if ( fp.vars.debug ) console.log('FP: link-click stopped');
			}
		}

		if ( redirect_stopped ) {
			FP.doActions( 'click', false );
			FP.clickAgain();
		} else {
			FP.doActions( 'click' );
		}

    };

	//
	// EVENT LISTENERS
	//

	

	// ON LEFT CLICK
	document.addEventListener( 'click', function (e) {
		if (fp.click) trackClicks(e, false);
	}, true);

	// ON MIDDLE CLICK
	document.addEventListener( 'mouseup', function(e) {
		if (fp.click && e.button == 1) trackClicks(e, true);
	});

})(window);
