<?php

$scripts_a = get_option('fupi_cscr');

if ( empty( $scripts_a ) ) return;

if ( is_array($scripts_a) && isset( $scripts_a['fupi_footer_scripts'] ) && is_array( $scripts_a['fupi_footer_scripts'] ) ){

	// GET IDS OF ALL HEAD SCRIPTS

	$head_script_ids = [];

	if ( isset( $scripts_a['fupi_head_scripts'] ) && is_array( $scripts_a['fupi_head_scripts'] ) ) {
		foreach( $scripts_a['fupi_head_scripts'] as $script_data ){
			if ( ! empty( $script_data['id'] ) ) array_push( $head_script_ids, $script_data['id'] );
		}
	}

	// GET, FORMAT AND OUTPUT FOOTER SCRIPTS

	foreach( $scripts_a['fupi_footer_scripts'] as $script_data ){

		if ( empty( $script_data['id'] ) || empty( $script_data['scr'] ) ) continue;

		$output = '';

		// check if this script has the same ID as one of the header scripts
		$is_dependant_script = in_array( $script_data['id'], $head_script_ids );

		$scr_id = 'fp_' . $script_data['id'] . '_footer';

		// OUTPUT THIS SCRIPT AS A DEPENDANT ONE
		if ( $is_dependant_script ) {

			$output .= "
				FP.fns.load_{$scr_id} = function(){
					let cscr = FP.findID('fp_temp_{$scr_id}'),
						new_cscr = document.createElement('script');

					new_cscr.innerHTML = cscr.innerHTML;
					document.body.insertBefore(new_cscr, cscr.nextSibling);
					cscr.remove();
				}

				if ( fp.loaded.indexOf('{$scr_id}') != -1 ) FP.fns.load_{$scr_id}();";

			if ( ! empty( $output ) ) echo "<script id='fp_temp_{$scr_id}' type='javascript/blocked' data-no-optimize=\"1\">" . html_entity_decode( $script_data['scr'], ENT_QUOTES ) . '</script><script class="fupi_cscr_footer" data-no-optimize="1">' . $output . '</script>';

		// OUTPUT THIS SCRIPT AS AN INDEPENDANT ONE
		} else {

			$permissions = [];

			if ( ! empty( $script_data['stats'] ) && $script_data['stats'] == '1' ) array_push($permissions, '\'stats\'');
			if ( ! empty( $script_data['pers'] ) && $script_data['pers'] == '1' ) array_push($permissions, '\'personalisation\'');
			if ( ! empty( $script_data['market'] ) && $script_data['market'] == '1' ) array_push($permissions, '\'marketing\'');

			$force_load = empty( $script_data['force_load'] ) ? 'false' : 'true';

			$geo_method = ! empty( $script_data['method'] ) ? esc_attr($script_data['method']) : '';
			$geo_countries = ! empty( $script_data['countries'] ) ? esc_attr($script_data['countries']) : '';

			$permissions = implode(',', $permissions);


			$output .="if ( allow_loading_{$scr_id}() ) load_cscr_{$scr_id}();

				document.addEventListener('fp_load_scripts', function(e) {
					if ( e.detail[0] == 'all' || e.detail[0] == '{$scr_id}' ) {
						if ( allow_loading_{$scr_id}() ) load_cscr_{$scr_id}();
					}
				});

				// FUNCTIONS

				function allow_loading_{$scr_id}(){
					return FP.isAllowedToLoad_basic( '{$scr_id}', $force_load, [{$permissions}], [ '{$geo_method}','{$geo_countries}' ] ); }

				function load_cscr_{$scr_id}(){
					let cscr = FP.findID('fp_temp_{$scr_id}'),
						new_cscr = document.createElement('script');

					new_cscr.innerHTML = cscr.innerHTML;
					cscr.parentNode.insertBefore(new_cscr, cscr.nextSibling);
					cscr.remove();

					fp.loaded.push( '{$scr_id}' );
					if ( FP.fns.load_{$scr_id} ) FP.fns.load_{$scr_id}();
				};";

			if ( ! empty( $output ) ) echo "<script id='fp_temp_{$scr_id}' type='javascript/blocked'>" . html_entity_decode( $script_data['scr'], ENT_QUOTES ) . '</script><script class="fupi_cscr_footer">' . $output . '</script>';
		}

	}
};
