<?php

// these vars will be used in other files too

// check if current user role should be tracked
$this->track_current_user	 	= true;
$disable_for_roles 				= ! empty( $this->main ) && isset ( $this->main['disable_for_roles'] ) ? $this->main['disable_for_roles'] : ['administrator'];

$user = wp_get_current_user();

if ( ! empty( $user ) ) {
	foreach ( $user->roles as $role ) {
		if ( in_array( $role, $disable_for_roles ) ) {
			$this->track_current_user = false;
		}
	}
}

// VARS

$fp['vars'] = [
	'url' 						=> FUPI_URL,
	'admin_url' 				=> admin_url( 'admin-ajax.php' ),
	'is_customizer' 			=> $this->is_customizer,
	'debug' 					=> $this->is_debug,
	'track_current_user' 		=> $this->track_current_user, // later also modified by URL parameter in head-js.php
	'dblclck_time' 				=> ! empty( $this->main['notrack_dblclck'] ) ? esc_attr($this->main['notrack_dblclck']) : 300,
	'track_scroll_min' 			=> ! empty( $this->main['track_scroll_min'] ) ? esc_attr($this->main['track_scroll_min']) : 200,
	'track_scroll_time' 		=> ! empty( $this->main['track_scroll_time'] ) ? esc_attr($this->main['track_scroll_time']) : 5,
	'formsubm_trackdelay' 		=> ! empty( $this->main['formsubm_trackdelay'] ) ? esc_attr($this->main['formsubm_trackdelay']) : 3,
	'link_click_delay' 			=> isset( $this->main['link_click_delay'] ),
	'reset_timer_on_anchor' 	=> isset( $this->main['reset_timer_on_anchor'] ),
];

// GEOLOCATION

if ( isset( $this->tools['geo'] ) ){
	$fp['geo'] = [
		'remember_geo'					=> ! empty( $this->tools['geo'] ) && ! empty( $this->geo['remember_geo'] ) ? (int) $this->geo['remember_geo'] : 30,
		'skip_robots'					=> ! empty( $this->tools['geo'] ) && ! empty( $this->geo['skip_robots'] ),
		'save_resp' 					=> ! empty( $this->tools['geo'] ) && ! empty( $this->geo['save_resp'] ),
	];
};

// COOKIE NOTICE

if ( $this->cookie_notice_enabled ){

	$notice_data = get_option('fupi_cookie_notice'); // !! data from the customizer !!

	$show_notice_in = 'all';
	$req_consent_in = 'all';

	// In what countries to show cookie notice and how it will behave

	// IF GEO IS ENABLED
	if ( isset( $this->tools['geo'] ) ) {

		$optin 				= isset( $this->cook['optin'] ) ? esc_attr( $this->cook['optin'] ) : 'all'; // default
		$optout 			= isset( $this->cook['optout'] ) ? esc_attr( $this->cook['optout'] ) : 'none'; // default
		$optin_countries 	= isset( $this->cook['optin_countries'] ) ? esc_attr( $this->cook['optin_countries'] ) : '';
		$optout_countries 	= isset( $this->cook['optout_countries'] ) ? esc_attr( $this->cook['optout_countries'] ) : '';

		// we don't make any changes to the default if "optin" == 'all'

		if ( $optin == 'none' ) {

			$req_consent_in = 'none';
			$show_notice_in = $optout == 'specific' && ! empty( $optout_countries ) ? $optout_countries : 'all';

		} else if ( $optin == 'specific' ) {

			// optout in specific
			if ( $optout == 'specific' ){

				$show_notice_in = $optin_countries . ', ' . $optout_countries;
				$req_consent_in = $optin_countries;

			// optout in rest
			} else if ( $optout == 'rest' ){

				$show_notice_in = 'all';
				$req_consent_in = ! empty( $optin_countries ) ? $optin_countries : 'all';

			// optout in none
			} else {

				$show_and_req_consent_in = ! empty( $optin_countries ) ? $optin_countries : 'all';

				$show_notice_in = $show_and_req_consent_in;
				$req_consent_in = $show_and_req_consent_in;
			}
		}

	// IF GEO IS NOT ENABLED
	} else if ( ! isset( $this->tools['geo'] ) && ! empty( $this->cook['enable_scripts_after'] ) ) {

		if( $this->cook['enable_scripts_after'] == 'pageload' ){
			$show_notice_in = 'all';
			$req_consent_in = 'none';
		}
	};

	// Build obj

	$fp['notice'] = [

		'enabled' 						=> true,
		'show_in'						=> $show_notice_in, // "all" or a list of countries
		'req_consent_in'				=> $req_consent_in, // "all", "none" or a list of countries

		'gtag_no_cookie_mode'			=> isset( $this->cook['gtag_no_cookie_mode'] ), // only for gtag

		// behavior
		'blur_page'						=> ! empty( $notice_data ) && ! empty( $notice_data['blur_page'] ),
		'scroll_lock' 					=> ! empty( $notice_data ) && ! empty( $notice_data['scroll_lock'] ),

		// custom notice
		'use_custom_notice' 			=> isset( $this->cook['use_custom_notice'] ),
		'custom_agree_cookies_class' 	=> ! empty( $this->cook['custom_agree_cookies_class'] ) ? esc_attr( $this->cook['custom_agree_cookies_class'] ) : '',
		'custom_decline_cookies_class'	=> ! empty( $this->cook['custom_decline_cookies_class'] ) ? esc_attr( $this->cook['custom_decline_cookies_class'] ) : '',
		'custom_cookies_settings_class'	=> ! empty( $this->cook['custom_cookies_settings_class'] ) ? esc_attr( $this->cook['custom_cookies_settings_class'] ) : '',
	];

} else {
	$fp['notice'] = [ 'enabled' => false ];
}

?>
