<?php

$tracked_taxonomies = [ 'category', 'post_tag', 'post_format' ];
if ( !empty($this->main['tracked_taxonomies']) && is_array( $this->main['tracked_taxonomies'] ) ) {
    array_push( $tracked_taxonomies, $this->main['tracked_taxonomies'] );
}
//
// LOGIN STATUS AND USER ROLE
//

if ( is_user_logged_in() ) {
    $user = wp_get_current_user();
    // get user role
    $roles = (array) $user->roles;
    $fpdata['user_role'] = $roles[0];
    // if user is not logged in
} else {
    // set role as visitor
    $fpdata['user_role'] = 'Visitor';
    $fpdata['user_logged_in'] = false;
}


if ( is_home() ) {
} else {
    
    if ( is_singular() ) {
        global  $post ;
        $taxonomies = get_object_taxonomies( $post );
        
        if ( is_array( $taxonomies ) && count( $taxonomies ) > 0 ) {
            $terms_tmp = [];
            foreach ( $taxonomies as $tax_slug ) {
                // make sure to include terms of taxonomies tracked by default and those chosen by the user
                
                if ( in_array( $tax_slug, $tracked_taxonomies ) ) {
                    $terms = get_the_terms( $post, $tax_slug );
                    if ( $terms ) {
                        foreach ( $terms as $term ) {
                            $term_data = [
                                'name'     => $term->name,
                                'slug'     => $term->slug,
                                'parent'   => $term->parent,
                                'taxonomy' => $term->taxonomy,
                            ];
                            array_push( $terms_tmp, $term_data );
                        }
                    }
                }
            
            }
            if ( count( $terms_tmp ) > 0 ) {
                $fpdata['terms'] = $terms_tmp;
            }
        }
    
    } else {
        
        if ( is_archive() ) {
        } else {
            if ( is_search() ) {
            }
        }
    
    }

}
