<?php

// COOKIE SCRIPTS
$magic_keyword = ( !empty($this->main['magic_keyword']) ? esc_attr( $this->main['magic_keyword'] ) : 'tracking' );
$output .= '(function (FP) {

	\'use strict\';

	var d = document,
		w = window;

	FP.getUrlParamByName = function (name) {
		// var match = RegExp(\'[?&]\' + name + \'=([^&]*)\').exec(window.location.search);
		// return match && decodeURIComponent(match[1].replace(/\\+/g, \' \'));
		const queryString = window.location.search,
			urlParams = new URLSearchParams(queryString);
		return urlParams.get(name);
	};

	FP.setCookie = function (name, value, days) {
		if (days > 1) {
			var date = new Date();
			date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
			var expires = "; expires=" + date.toGMTString();
		} else {var expires = "";}
		d.cookie = name + "=" + value + expires + "; path=/; sameSite=strict";
	};

	FP.readCookie = function (name) {
		var nameEQ = name + "=";
		var ca = d.cookie.split(\';\');
		for (var i = 0; i < ca.length; i++) {
			var c = ca[i];
			while (c.charAt(0) == \' \') {c = c.substring(1, c.length);}
			if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
		};
		return null;
	};

	FP.deleteCookie = function (name) { FP.setCookie(name, "", -1); };

	FP.getScript = function (src, func, attrs) {

		attrs = attrs || false;

		var s = d.createElement(\'script\');
		s.src = src;
		s.type = \'application/javascript\';
		s.onerror = ()=>{ if( fp.vars.debug ) console.error(\'FP: script-loading error \' + src)};

		if (attrs) {
			for (var key in attrs) {
				s.setAttribute(key, attrs[key]);
			}
		}

		if (func) { s.onload = func; }

		d.getElementsByTagName("head")[0].appendChild(s);
	};

	FP.sendEvt = function (evt_name, details_a) {
        var details = details_a ? { \'detail\' : details_a } : {},
            fp_event = new CustomEvent( evt_name, details );
        document.dispatchEvent(fp_event);
    };

	// modified version of https://stackoverflow.com/a/65563155/7702522
	FP.isRobot = function() {
		const robots = new RegExp([
			/bot/,/spider/,/crawl/,                            // GENERAL TERMS
			/APIs-Google/,/AdsBot/,/Googlebot/,                // GOOGLE ROBOTS
			/mediapartners/,/Google Favicon/,
			/FeedFetcher/,/Google-Read-Aloud/,
			/DuplexWeb-Google/,/googleweblight/,
			/bing/,/yandex/,/baidu/,/duckduck/,/yahoo/,        // OTHER ENGINES
			/ecosia/,/ia_archiver/,
			/facebook/,/instagram/,/pinterest/,/reddit/,       // SOCIAL MEDIA
			/slack/,/twitter/,/whatsapp/,/youtube/,
			/semrush/,                                         // OTHER
		].map((r) => r.source).join("|"),"i");               // BUILD REGEXP + "i" FLAG

		return robots.test(navigator.userAgent);
	}

	// convert node list to array
	FP.nl2Arr = function (nl) {
		if (nl) {
			return [].slice.call(nl);
		} else {
			return false;
		}
	};

	FP.findAll = function (e, c) {
		if ( !e ) return false;
		c = c || document;
		return FP.nl2Arr(c.querySelectorAll(e));
	};

	FP.isIn = function ( needle, hay ) {
        return hay.indexOf(needle) != -1;
    };';
$output .= '
	// SAVE IMPORTANT COOKIES IN FP OBJ

	if ( FP.getUrlParamByName("' . $magic_keyword . '") ){

		var updated_cookies = { \'stats\' : false, \'personalisation\' : false, \'marketing\' : false, \'disabled\' : true };
		fp.vars.track_current_user = false;
		FP.setCookie(\'fp_cookie\', JSON.stringify(updated_cookies), 7300);
		fpdata.cookies = updated_cookies;

	} else if ( FP.getUrlParamByName("ga4_debug") ){

		let status = FP.getUrlParamByName("ga4_debug") == \'on\';

		var updated_cookies = { \'stats\' : true, \'personalisation\' : true, \'marketing\' : true, \'disabled\' : false, \'ga4_debug\' : status };
		FP.setCookie(\'fp_cookie\', JSON.stringify(updated_cookies), 7300);
		fpdata.cookies = updated_cookies;

	} else if ( FP.getUrlParamByName("reset_cookies") ){

		FP.deleteCookie(\'fp_cookie\');
		fpdata.cookies = false;

	} else {

		var cookies = FP.readCookie(\'fp_cookie\');
		fpdata.cookies = cookies ? JSON.parse(cookies) : false;
		if ( fpdata.cookies.disabled ) fp.vars.track_current_user = false;

	}

	// CHECK IF IS NEW SESSION, PAGE IS OPENED IN A NEW TAB OR IF IT IS REFRESHED

	var last_url = FP.readCookie(\'fp_last_url\');

	fpdata.new_session = !last_url;
	fpdata.refreshed = last_url == window.location.origin + window.location.pathname;

	if ( window.history.length > 1 ){
		fpdata.new_tab = false;
	} else {
		fpdata.new_tab = !fpdata.new_session && !window.sessionStorage[\'fp_new_session\'];
	}

	window.sessionStorage[\'fp_new_session\'] = true;
	FP.setCookie( \'fp_last_url\', window.location.origin + window.location.pathname, 0 );

	// blur background

	if ( ! fp.vars.is_customizer && fp.notice.enabled && ! fpdata.cookies && fp.notice.blur_page ) {
		document.getElementsByTagName( \'html\' )[0].classList.add(\'fupi_blur\');
	}';
// BROKEN LINK TRACKING + REDIRECT TO A CUSTOM 404 PAGE

if ( !empty($this->tools['track404']) && is_404() ) {
    $output .= "\nif( ! FP.getUrlParamByName('broken_link_location') ){\n";
    $redirect_404 = ( fupi_fs()->can_use_premium_code() && !empty($this->track404['redirect_404']) ? esc_url( $this->track404['redirect_404'] ) : false );
    
    if ( $redirect_404 && filter_var( $redirect_404, FILTER_VALIDATE_URL ) !== FALSE ) {
        $output .= "var target_URL_string = '{$redirect_404}',\n\r\n\t\t\t\t\t\t\t\ttarget_URL = new URL( target_URL_string );\n";
    } else {
        $output .= "var target_URL = window.location\n";
    }
    
    $output .= "window.location = target_URL + ( target_URL.search ? '&' : '?' ) + 'broken_link_location=' + ( document.referrer || 'direct_traffic_or_unknown' ) + '&broken_link=' + window.location;\n\r\n\t\t};\n";
}

// LOCK PAGESCROLL
$output .= '
	if ( ! fp.vars.is_customizer && fp.notice.enabled && ! fpdata.cookies && fp.notice.scroll_lock ) {
		document.getElementsByTagName( \'html\' )[0].classList.add(\'fupi_scroll_lock\');
	}';
// COOKIE NOTICE GEOLOCATION AND STUFF
$output .= '
	FP.init = function( show, wait ){
		fp.notice.show_here = show == \'checking\' ? \'checking\' : show ? \'yes\' : \'no\';
		fp.notice.wait_for_consent = wait == \'checking\' ? \'checking\' : wait ? \'yes\' : \'no\';
		FP.sendEvt( \'fp_load_scripts\', [\'all\'] );
	};

	FP.checkLocation = function(){

		if ( fp.notice.show_in && fp.notice.req_consent_in ) {

			let show = true,
				wait = true;

			if ( fpdata.country.length == 2 ) {
				show = FP.isIn( fpdata.country, fp.notice.show_in );
				wait = FP.isIn( fpdata.country, fp.notice.req_consent_in );
			}

			FP.init( show, wait );

		} else {
			FP.init( false, false );
		};
	}';

if ( isset( $this->tools['geo'] ) ) {
    $output .= '
		// get visitor\'s location
		let remembered_country = FP.readCookie(\'fp_country\');

		if ( ! remembered_country && window.fetch ) {

			fpdata.is_robot = false;
			fpdata.country = \'checking\';

			if ( fp.geo && fp.geo.skip_robots ) fpdata.is_robot = FP.isRobot();

			if ( !fpdata.is_robot ){';
    include_once dirname( __FILE__ ) . '/location.php';
    $output .= '
			} else {
				fpdata.country = \'unknown\';
			}
		} else {
			fpdata.country = remembered_country;
		}';
} else {
    $output .= '
		fpdata.country = \'unknown\';';
}


if ( $this->cookie_notice_enabled ) {
    $output .= '

		if ( ! fpdata.cookies && fp.vars.track_current_user ) {

			let show = false,
				wait = false;

			// check whether the current visitor should see the notice

			if ( fp.notice.show_in == \'all\' ){
				show = true;
			} else if ( fpdata.country !== \'checking\' ) {
				if ( fpdata.country.length == 2 ) {
					show = fp.notice.show_in.indexOf( fpdata.country ) != -1;
				}
			} else {
				show = \'checking\';
			};

			// check whether we should require consent before loading tools that use cookies

			if ( fp.notice.req_consent_in == \'all\' ){
				wait = true;
			} else if ( fp.notice.req_consent_in == \'none\' ){
				wait = false;
			} else if ( fpdata.country !== \'checking\' ) {
				if ( fpdata.country.length == 2 ) {
					wait = fp.notice.req_consent_in.indexOf( fpdata.country ) != -1;
				}
			} else {
				wait = \'checking\';
			};

			FP.init( show, wait );

		} else {
			FP.init( false, false );
		}';
} else {
    $output .= '
		FP.init( false, false );';
}

// END
apply_filters( 'fupi_add_to_head_js', $output );
$output .= '
})(FP);';