<?php

$geo = ! empty ( $this->geo['geo'] ) ? esc_attr($this->geo['geo']) : 'cf_non_user'; // default: cloudflare free
$cf_worker_url = ! empty ( $this->geo['cf_worker_url'] ) ? esc_url($this->geo['cf_worker_url']) : false;


// PHP & Cloudways

if ( $geo == 'cloudways' ) {

	$output .= "\n\n" . 'fetch( fp.vars.admin_url, {
		method: \'POST\',
      	credentials: \'same-origin\',
      	headers: new Headers({\'Content-Type\': \'application/x-www-form-urlencoded\'}),
      	body: \'action=fupi_ajax_geo&method=' . $geo .'\'
    } )
    .then( function ( response ) { return response.json() } ) // get json
	.then( function ( data ) {
		if ( data.success && !!data.message ) {
			fpdata.country = data.message;
			if ( fp.geo && fp.geo.save_resp ) fpdata.geo = data.message;
			let expire = fp.geo && fp.geo.remember_geo ? fp.geo.remember_geo : 30;
			FP.setCookie(\'fp_country\', data.message, expire );
		} else {
			fpdata.country = \'unknown\';
			FP.setCookie(\'fp_country\', \'unknown\' );
			if ( fp.vars.debug ) console.error(\'Error retrieving country code. Returned: \' + data.message);
		}
		FP.checkLocation();
	} )
	.catch( function ( err ) {
		fpdata.country = \'unknown\';
		FP.setCookie(\'fp_country\', \'unknown\' );
		if ( fp.vars.debug ) console.error(\'Error retrieving country. Message:\', err);
		FP.checkLocation();
	} );';

// DB-IP.com

} elseif ( $geo == 'db_ip' ) {

	$output .= "\n\n" . 'window.fetch( \'https://api.db-ip.com/v2/free/self\' )
	.then( function ( response ) { return response.json() } ) // get content
	.then( function ( response ) {

		if ( response.countryCode && response.countryCode.length == 2 ) {
			fpdata.country = response.countryCode;
			if ( fp.geo && fp.geo.save_resp ) fpdata.geo = response;
			let expire = fp.geo && fp.geo.remember_geo ? fp.geo.remember_geo : 30;
			FP.setCookie(\'fp_country\', response.countryCode, expire );
		} else {
			fpdata.country = \'unknown\';
			FP.setCookie(\'fp_country\', \'unknown\' );
			if ( fp.vars.debug ) console.log(\'Geolocation test inconclusive - XX country error\');
		}

		FP.checkLocation();
	} )
	.catch( function ( err ) {
		fpdata.country = \'unknown\';
		FP.setCookie(\'fp_country\', \'unknown\' );
		if ( fp.vars.debug ) console.error(\'Error retrieving country code. Message:\', err);
		FP.checkLocation();
	} );';

// ipapi.co

} elseif ( $geo == 'ip_api' ) {

	$output .= "\n\n" . 'window.fetch( \'https://ipapi.co/json/\' )
	.then( function ( response ) { return response.json() } ) // get content
	.then( function ( response ) {

		if ( response.country && response.country.length == 2 ) {
			fpdata.country = response.country;
			if ( fp.geo && fp.geo.save_resp ) fpdata.geo = response;
			let expire = fp.geo && fp.geo.remember_geo ? fp.geo.remember_geo : 30;
			FP.setCookie(\'fp_country\', response.country, expire );
		} else {
			fpdata.country = \'unknown\';
			FP.setCookie(\'fp_country\', \'unknown\' );
			if ( fp.vars.debug ) console.log(\'Geolocation test inconclusive - XX country error\');
		}

		FP.checkLocation();
	} )
	.catch( function ( err ) {
		fpdata.country = \'unknown\';
		FP.setCookie(\'fp_country\', \'unknown\' );
		if ( fp.vars.debug ) console.error(\'Error retrieving country code. Message:\', err);
		FP.checkLocation();
	} );';

// IPDATA

} elseif ( $geo == 'ipdata' && ! empty ( $this->geo['ipdata_api_key'] ) ) {

	$output .= "\n\n" . 'window.fetch( \'https://api.ipdata.co/?api-key=' . esc_attr($this->geo['ipdata_api_key']) . '\' )
		.then( function ( response ) { return response.json() } ) // get json
		.then( function ( data ) {
			if ( data.country_code && data.country_code.length == 2 ) {
				if ( fp.geo && fp.geo.save_resp ) fpdata.geo = data;
				fpdata.country = data.country_code;
				let expire = fp.geo && fp.geo.remember_geo ? fp.geo.remember_geo : 30;
				FP.setCookie(\'fp_country\', data.country_code, expire );
			} else {
				fpdata.country = \'unknown\';
				FP.setCookie(\'fp_country\', \'unknown\' );
				if ( fp.vars.debug ) console.log(\'Geolocation test inconclusive - XX country error\');
			}
			FP.checkLocation();
		} )
		.catch( function ( err ) {
			fpdata.country = \'unknown\';
			FP.setCookie(\'fp_country\', \'unknown\' );
			if ( fp.vars.debug ) console.error(\'Error retrieving country code. Message:\', err);
			FP.checkLocation();
		} );';

// Cloudflare worker

} elseif ( $geo == 'cf_worker' && $cf_worker_url ) {

	$output .= "\n\n" . 'window.fetch( \'' . $cf_worker_url . '\' )
		.then( function ( response ) { return response.json() } ) // get json
		.then( function ( data ) {
			if ( data.country != \'XX\' ) {
				if ( fp.geo && fp.geo.save_resp ) fpdata.geo = data;
				fpdata.country = data.country;
				let expire = fp.geo && fp.geo.remember_geo ? fp.geo.remember_geo : 30;
				FP.setCookie(\'fp_country\', data.country, expire );
			} else {
				fpdata.country = \'unknown\';
				FP.setCookie(\'fp_country\', \'unknown\' );
				if ( fp.vars.debug ) console.log(\'Geolocation test inconclusive - XX country error\');
			}
			FP.checkLocation();
		} )
		.catch( function ( err ) {
			fpdata.country = \'unknown\';
			FP.setCookie(\'fp_country\', \'unknown\' );
			if ( fp.vars.debug ) console.error(\'Error retrieving country code. Message:\', err);
			FP.checkLocation();
		} );';

// Cloudflare default && for non CF users

} elseif ( $geo == 'cf_default' || $geo == 'cf_non_user') {

	$url = $geo == 'cf_default' ? '/cdn-cgi/trace' : 'https://www.cloudflare.com/cdn-cgi/trace';

	$output .= "\n\n" . 'window.fetch( \'' . $url .'\' )
		.then( function ( response ) { return response.text() } ) // get content
		.then( function ( response ) {

			if ( fp.geo && fp.geo.save_resp ) fpdata.geo = response;

			let regex = /loc=([A-Z]+)/g,
				resp_arr = regex.exec(response);

			if ( resp_arr.length > 1 && resp_arr[1].length == 2 ) { // resp_arr[1] holds country code
				if ( resp_arr[1] != \'XX\' ) {
					fpdata.country = resp_arr[1];
					let expire = fp.geo && fp.geo.remember_geo ? fp.geo.remember_geo : 30;
					FP.setCookie(\'fp_country\', resp_arr[1], expire );
				} else {
					fpdata.country = \'unknown\';
					FP.setCookie(\'fp_country\', \'unknown\' );
					if ( fp.vars.debug ) console.log(\'Geolocation test inconclusive - XX country error\');
				};
				FP.checkLocation();
			}
		} )
		.catch( function ( err ) {
			fpdata.country = \'unknown\';
			FP.setCookie(\'fp_country\', \'unknown\' );
			if ( fp.vars.debug ) console.error(\'Error retrieving country code. Message:\', err);
			FP.checkLocation();
		} );';

// if nothing matches then just init FP
} else {
	$output .= 'fpdata.country = "unknown";
	FP.setCookie("fp_country", "unknown" );
	FP.checkLocation();';
};
