;(function(window){

	// load on pageload
	if ( allow_loading_gopt() ) load_gopt();

	// Load on event
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'gopt':
				if ( allow_loading_gopt() ) load_gopt();
			break;
		}
	});

	// FUNCTIONS

	function allow_loading_gopt(){
		return FP.isAllowedToLoad( 'gopt', ['personalisation'], ['container_id'] ); // module id in fp.XX, required cookie permission, setting name with required data (like in fp.gtm.setting_name)
	}

	function after_gopt_loads () {
		fp.loaded.push('gopt');
	}

	function load_gopt() {

		switch (fp.gopt.load_method) {
			case 'sync':
				FP.getScript( 'https://www.googleoptimize.com/optimize.js?id=' + fp.gopt.container_id, after_gopt_loads );
			break;
			case 'async_lite':
				FP.getScript( 'https://www.googleoptimize.com/optimize.js?id=' + fp.gopt.container_id, after_gopt_loads, { 'async' : 'async' } );
			break;
			case 'async_full':

				// CSS
				let hide_snippet_wait = fp.gopt.hide_snippet_wait ? fp.gopt.hide_snippet_wait * 1000 : 4000,
					container_id = fp.gopt.container_id,
					style = document.createElement('style');

				document.head.appendChild(style);
				style.type = 'text/css';
				style.appendChild(document.createTextNode('.async-hide { opacity: 0 !important}'));

				// hide-snippet
				(function(a,s,y,n,c,h,i,d,e){s.className+=' '+y;h.start=1*new Date;
				h.end=i=function(){s.className=s.className.replace(RegExp(' ?'+y),'')};
				(a[n]=a[n]||[]).hide=h;setTimeout(function(){i();h.end=null},c);h.timeout=c;
				})(window,document.documentElement,'async-hide','dataLayer',hide_snippet_wait,
				{container_id: container_id});

				// Google Optimize script
				FP.getScript( 'https://www.googleoptimize.com/optimize.js?id=' + fp.gopt.container_id, after_gopt_loads, { 'async' : 'async', 'onerror' :"dataLayer.hide.end && dataLayer.hide.end()" } );
			break;
		}
	}

})(window);
