;(function(window){

	function can_enable_ga() 	{ return FP.isAllowedToLoad( 'ga', ['stats'], ['tracking_id'], 1, false ); }
	function can_enable_ga4() 	{ return FP.isAllowedToLoad( 'ga4', ['stats'], ['id'], 1, fp.notice.gtag_no_cookie_mode ); }
	function can_enable_gads() 	{ return FP.isAllowedToLoad( 'gads', ['stats','marketing'], ['id'], false, fp.notice.gtag_no_cookie_mode ); }

	load_gtag( can_enable_ga(), can_enable_ga4(), can_enable_gads() );

	// Load on event
	document.addEventListener('fp_load_scripts', function (e) {

		// LOAD GTAG
		switch (e.detail[0]) {
			case 'all':
			case 'gads':
			case 'ga41':
			case 'ga1':
				load_gtag( can_enable_ga(), can_enable_ga4(), can_enable_gads() );
			break;
		}
	});

	document.addEventListener('fupi_popup_closed', function (e) {

		// UPDATE CONSENT MODE
		if ( fp.notice.gtag_no_cookie_mode && window.gtag ) {

			let permissions = {};

			permissions['analytics_storage'] = fpdata.cookies.stats ? 'granted' : 'denied';
			permissions['personalization_storage'] = fpdata.cookies.personalisation ? 'granted' : 'denied';
			permissions['ad_storage'] = fpdata.cookies.marketing ? 'granted' : 'denied';

			window.gtag('consent', 'update', permissions );

			if ( fp.vars.debug ) console.log('FP: Google Tag cookie permissions have been updated', permissions);
		}
	} );

	function load_gtag( enable_ga, enable_ga4, enable_gads ) {

		let script_id = enable_ga ? fp.ga1.tracking_id :
						enable_ga4 ? fp.ga41.id :
						enable_gads ? fp.gads.id :
						false;

		if ( ! script_id ) return;

		window.dataLayer = window.dataLayer || [];
		window.gtag = function(){window.dataLayer.push(arguments);}

		if ( fp.notice.gtag_no_cookie_mode ) {

			if ( ! fpdata.cookies ) {

				if ( fp.notice.show_here == 'yes' ) {

					window.gtag('consent', 'default', {
						'ad_storage': 'denied',
						'analytics_storage': 'denied',
						'personalization_storage': 'denied',
						'functionality_storage': 'granted',
						'security_storage': 'granted',
					});

					if ( fp.vars.debug ) console.log('FP: Google Tag is in consent mode');
				}

			} else {

				window.gtag('consent', 'default', {
					'ad_storage': fpdata.cookies.stats ? 'granted' : 'denied',
					'analytics_storage': fpdata.cookies.personalisation ? 'granted' : 'denied',
					'personalization_storage': fpdata.cookies.marketing ? 'granted' : 'denied',
					'functionality_storage': 'granted',
					'security_storage': 'granted',
				});
			};
		}

		FP.getScript(
			'https://www.googletagmanager.com/gtag/js?id=' + script_id,
			function () { enable_tags( enable_ga, enable_ga4, enable_gads ) } ,
			{'async' : 'async'}
		);
	}

	function enable_tags( enable_ga, enable_ga4, enable_gads ){

		window.gtag('js', new Date());

		if ( enable_ga4 || enable_ga ) {

			var set_params = {};

			if ( fpdata.cookies && ! fpdata.cookies.marketing ) set_params['allow_google_signals'] = false;
			if ( fpdata.cookies && ! fpdata.cookies.personalisation ) set_params['allow_ad_personalization_signals'] = false;

			window.gtag( 'set', set_params );
		}

		if ( enable_ga4 ) {
			var can_load_ga42 = false;
			
			FP.load_ga4(1, can_load_ga42);
			
		}

		if ( enable_ga ) {
			var can_load_ga2 = false;
			
			FP.load_ga(1, can_load_ga2);
			
		};

		if ( enable_gads ) {
			fp.gads.id = fp.gads.id.indexOf('AW-') == 0 ? fp.gads.id : 'AW-' + fp.gads.id;

			if ( fp.gads.enh_conv ) {
				window.gtag( 'config', fp.gads.id, { 'allow_enhanced_conversions':true } );
			} else {
				window.gtag( 'config', fp.gads.id );
			}

			FP.load_gads();
		}
	}

})(window);
