;(function(window){

	// SPLITBEE LOADING

	function allow_loading_sbee(){

		let isAllowedToLoad = FP.isAllowedToLoad( 'sbee', ['stats'], [], false, fp.sbee.no_cookies ); // module id, req permission, required data ids, integration number, if has no cookie mode

		return isAllowedToLoad;
	}

	if ( allow_loading_sbee() ) load_sbee();

	// LOAD ON EVENT
	document.addEventListener('fp_load_scripts', function (e) {
		switch (e.detail[0]) {
			case 'all':
			case 'sbee':
				if ( allow_loading_sbee() ) load_sbee();
			break;
		}
	});

	document.addEventListener('fupi_popup_closed', function (e) {
		if ( fp.sbee.no_cookies ) {
			if ( fp.vars.debug ) console.log('FP: Cookie permissions have been updated. Splitbee is now running in cookie mode');
			splitbee.enableCookie();
		}
	});

	// fp.sbee.disreg_cookies, // should load on pageload

	function after_sbee_loads(){

		fp.loaded.push('sbee');

		// TRACK LOGIN STATUS & USER ROLE
		if ( fp.sbee.track_user_role && fpdata.user_role && fpdata.user_role.length > 0 ) {
			splitbee.user.set( { 'role': fpdata.user_role } );
		}

		

		// LOAD FOOTER SCRIPTS
		if( FP.fns.load_sbee_footer ) FP.fns.load_sbee_footer();
	}

	function load_sbee() {

		let attrs = { 'async' : true },
			script_name = 'sb';

		// if we can enable consent mode
		if ( fp.sbee.no_cookies ) {

			// and the visitor made no cookie choices
			if ( ! fpdata.cookies ) {
				// and the cookies notice will show up here
				if ( fp.notice.show_here == 'yes' ) {
					// enable consent mode
					if ( fp.vars.debug ) console.log('FP: Splitbee is in consent mode');
					attrs['data-no-cookie'] = true;
				}
			// if the visitor made some cookies choices but didn\'t agree to stats
			} else if ( ! fpdata.cookies.stats ) {
				// enable consent mode
				if ( fp.vars.debug ) console.log('FP: Splitbee is in consent mode');
				attrs['data-no-cookie'] = true;
			}
		};

		if ( fp.sbee.enable_ab_tests ){
			script_name = 'sb-ab';
			if ( fp.sbee.no_async ) attrs.async = false; // prevents flash of original content
		}

	    FP.getScript('https://cdn.splitbee.io/' + script_name + '.js', after_sbee_loads, attrs );

	}

})(window);
